2002-05-29 09:28:33  Roland Rosenfeld  <roland@spinnaker.de>  (roessler)

	* po/de.po: update.

2002-05-29 09:27:46  Ronny Haryanto  <ronny@haryan.to>	(roessler)

	* po/id.po: update

2002-05-28 09:07:29  Michael Elkins  <me@sigpipe.org>  (roessler)

	* mx.h, postpone.c: Fix some warnings noted by Vincent Lefevre.

2002-05-21 07:28:28  Edmund GRIMLEY EVANS  <edmundo@rano.org>  (roessler)

	* po/eo.po: update

2002-05-18 05:39:55  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* pattern.c: Fix #1175.

	* pattern.c: Fix #1175.  Noticed by Alain Bench.

2002-05-18 05:34:50  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* pop_lib.c, pop_lib.c: Attached patch for mutt 1.3.X/1.4 and
	1.5.X removes gcc warning in pop_lib.c.

2002-05-16 17:33:19  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: update

2002-05-16 13:05:14  Im Eunjea	<eunjea@koru.org>  (roessler)

	* po/ko.po: update.

	* po/ko.po: update

2002-05-16 13:04:23  Ronny Haryanto  <ronny@haryan.to>	(roessler)

	* po/id.po: update.

	* compose.c: Triple-DES, not Tripple-DES.

2002-05-14 18:56:01  "Andrej N. Gritsenko"  <andrej@lucky.net>	(roessler)

	* po/uk.po: update

2002-05-13 20:18:57  Toomas Soome  <Toomas.Soome@microlink.ee>	(roessler)

	* po/et.po, po/et.po: update

2002-05-13 20:18:17  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po, po/uk.po, po/ru.po: update

2002-05-13 20:16:08  Byrial Jensen  <byrial@image.dk>  (roessler)

	* po/da.po: update

2002-05-13 20:15:40  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update

2002-05-13 20:15:07  Jörgen Tegnér  <jorgen.tegner@telia.com>  (roessler)

	* po/sv.po, po/sv.po: update

2002-05-13 20:13:56  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2002-05-06 11:27:20  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* doc/manual.sgml.head: Remove -Q which is only present in
	unstable from the stable documentation.  Thanks to Andreas Kneib
	<Andreas.Kneib@t-online.de> for noting.

2002-05-02 01:05:27  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* Makefile.am: Include smime.h with EXRA_DIST.

2002-05-01 23:24:17  roessler  (roessler)

	* po/zh_TW.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po,
	po/zh_CN.po, po/pl.po, po/pt_BR.po, po/ru.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/eo.po, po/es.po,
	po/et.po, po/fr.po, po/gl.po, po/hu.po, VERSION, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, reldate.h, ChangeLog:
	automatic post-release commit for mutt-1.5.1

2002-05-01 23:21:10  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* smime.c: Shut up check_sec.sh.  No security holes, but some
	ugly code.

	* check_sec.sh: Give all the warnings at once.

	* build-release: - This is a development branch.  - Add a -nodiff
	option to suppress generating a patch.

2002-05-01 23:08:53  roessler  (roessler)

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/sk.po,
	po/sv.po, po/pl.po, po/pt_BR.po, po/ru.po, po/lt.po, po/nl.po,
	po/it.po, po/ja.po, po/ko.po, po/et.po, po/fr.po, po/gl.po,
	po/hu.po, po/id.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, ChangeLog, VERSION, po/ca.po, po/cs.po, reldate.h:
	automatic post-release commit for mutt-1.3.99

2002-05-01 23:06:21  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* build-release: s/scp1/scp/

2002-04-29 17:12:18  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* lib.c, lib.h, protos.h, lib.c, lib.h, protos.h: Fix #1171.

2002-04-29 12:26:23  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update.

2002-04-29 12:25:38  oota toshiya  <oota@mspd.mt.nec.co.jp>  (roessler)

	* po/ja.po, po/ja.po: update.

2002-04-29 12:09:21  Byrial Jensen  <byrial@image.dk>  (roessler)

	* imap/util.c: There is a possible buffer overflow due an
	off-by-one error in imap/util.c, line 125. The error is in the
	maximum field width indication in the sscanf() call. You must
	have room in the receiving buffer for this number of characters
	/plus a terminating NULL character/.

	* imap/util.c: There is a possible buffer overflow due an
	off-by-one error in imap/util.c, line 125. The error is in the
	maximum field width indication in the sscanf() call. You must
	have room in the receiving buffer for this number of characters
	/plus a terminating NULL character/.

2002-04-25 13:30:49  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* pop.c, pop_lib.c, pop.c, pop_lib.c: Attached patch fixes
	the problem described below. It should be applied to both mutt
	1.3/1.4 and 1.5 branches.

	> Date: Thu, 11 Apr 2002 16:24:00 -0500 > Subject: mutt 1.3.x
	/ pop > From: "Ryan O'Hara" <rohara@isis.visi.com> > To:
	bcully@users.sourceforge.net > User-Agent: Mutt/1.3.27i

	> Hi. My apologies if this has nothing to do with you. If it
	does not, > maybe you could forward it on to someone.

	> In mutt 1.3.x I have noticed that if I uses POP to retrieve
	mail, and > I enter an incorrect password whem prompted, it will
	*save* that > password and keep trying to use it. However, in the
	1.2.x versions it > worked like this: type in wrong POP password,
	try to connect to POP > server again and it will ask you (again)
	for the password. mutt 1.3.x > does not, it just tries to connect
	with the wrongs password (which > just failed).

	> This is kinda annoying. Just thought I'd point out this
	regression.

	> Thanks.  > R

2002-04-25 13:28:31  Wouter Verheijen  <wv@xs2mail.com>  (roessler)

	* doc/manual.sgml.head, doc/manual.sgml.head: Someone in
	news:comp.mail.mutt noted that the list of command-line options
	in the manual is not up-to-date.

	Included a small patch that includes all options that 'mutt
	-h' shows.

2002-04-25 13:26:58  Cedric Duval  <cedricduval@free.fr>  (roessler)

	* doc/manual.sgml.tail, OPS, init.h, pattern.c: attached are
	fixes for some little mistakes :

	* history-down -> scroll _down_, not up * functions
	decode-(save|copy) do not exist in the attach menu.  * gettext
	oversight in pattern.c * inconsistency between "printf-like
	sequences" used all over the place
	  and "escape sequences" for the description of $attribution.

	* doc/manual.sgml.tail, pattern.c, OPS, init.h: attached are
	fixes for some little mistakes :

	* history-down -> scroll _down_, not up * functions
	decode-(save|copy) do not exist in the attach menu.  * gettext
	oversight in pattern.c * inconsistency between "printf-like
	sequences" used all over the
	  place and "escape sequences" for the description of
	  $attribution.

2002-04-25 13:24:33  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* recvattach.c: Also fix this for the S/MIME case.

	* recvattach.c: Fiy handling of multiparts which have encrypted
	sub-parts, at least for PGP.

	* sendlib.c: Force 7bit encoding for application/pgp-keys.

2002-04-20 21:38:47  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4,
	m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4,
	m4/progtest.m4, intl/ChangeLog, intl/Makefile.in,
	intl/bindtextdom.c, intl/config.charset, intl/dcigettext.c,
	intl/eval-plural.h, intl/gettextP.h, intl/gmo.h,
	intl/hash-string.h, intl/l10nflist.c, intl/libgnuintl.h,
	intl/loadinfo.h, intl/loadmsgcat.c, intl/localcharset.c,
	intl/localealias.c, intl/localename.c, intl/os2compat.c,
	intl/os2compat.h, intl/osdep.c, intl/plural-exp.c,
	intl/plural-exp.h, intl/plural.c, intl/plural.y, ABOUT-NLS,
	INSTALL, config.rpath, configure.in: Backing out the latest
	iconv-related changes from the mutt-1-4-stable branch.

2002-04-20 21:36:38  roessler  (roessler)

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4,
	m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4,
	m4/progtest.m4: same as above.

2002-04-20 21:36:32  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* intl/eval-plural.h, intl/gettextP.h, intl/gmo.h,
	intl/hash-string.h, intl/l10nflist.c, intl/libgnuintl.h,
	intl/loadinfo.h, intl/loadmsgcat.c, intl/localcharset.c,
	intl/localealias.c, intl/localename.c, intl/os2compat.c,
	intl/os2compat.h, intl/osdep.c, intl/plural-exp.c,
	intl/plural-exp.h, intl/plural.c, intl/plural.y, intl/ChangeLog,
	intl/Makefile.in, intl/bindtextdom.c, intl/config.charset,
	intl/dcigettext.c: Committing the new iconv patches into a
	separate branch.

	* ABOUT-NLS, INSTALL, config.rpath, configure.in: Committing
	the new noiconv patches into a separate branch.

	* sendlib.c: Generate the resent-message-id ourselves, and add
	it in the top of the header.

2002-04-20 08:11:13  Wouter Verheijen  <wv@xs2mail.com>  (roessler)

	* copy.c, mutt.h, sendlib.c: Bug #571 "mutt should not replicate
	">From " headers while bounding", has a patch attached.  Will that
	patch get in?

	Although these lines are not generated by mutt, I would strongly
	suggest to prevent it, because by boucing a mail the MUA should
	ensure that the message header is according to the specification.
	A ">From " line is not, because of the spaces before a colon.

	Because this has such serious consequences (totally unreadable
	mail) when a MTA interpretes this line as the beginning of the
	body (not unreasonable), I think Mutt should prevent sending
	this invalid headerline.

	Because the other patch to the bugreport is not really correct
	IMHO (because the fieldnames are not limited to alphanumeric
	chars, RFC2822 3.6.8), I propose another one.

	This patch also appends Resent-* to the header, instead of
	prepending it. The Resent-Message-Id is however still appended,
	because I could not find it; is it added by the MTA instead of
	by Mutt?

2002-04-20 07:55:20  roessler  (roessler)

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4,
	m4/lcmessage.m4, m4/progtest.m4: Try to get the noiconv patch
	to work.

2002-04-20 07:55:09  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* configure.in: Try to get the noiconv patch to work with my
	development environment.

	* INSTALL: Fix a typo.

2002-04-20 07:26:10  Lars Hecking  <lhecking@nmrc.ie>  (roessler)

	* init.h, rfc2047.c, sendlib.c, INSTALL, charset.c, charset.h,
	 configure.in, gnupgparse.c:  patch.1.3.28.lh.noiconv
	 =======================

	 This is the new version of my noiconv patch. It _requires_
	 the previous patch! If applied without, you'll have to resolve
	 a couple of conflicts manually.

	 Notes: - it's a lot cleaner than the old noiconv patch because
	 no m4 files are
	   modified - new configure option --disable-iconv; INSTALL
	 updated accordingly
	   [I am guessing here, but the background for the --without-iconv
	    option mentioned in INSTALL was that mutt had a without-iconv
	    option before gettext included iconv support. When mutt's
	    intl/* files were updated to a newer gettext, there suddenly
	    were two iconv options, which then got merged, that is,
	    mutt's was removed. That was probably when --without-iconv
	    stopped working, but I'm not sure, it may well be that it
	    never worked since iconv support was introduced.]
	 - all changes in *.[ch] files should be identical to the
	 old patch

	* intl/localename.c: This one seems to have been missing, too.

2002-04-20 07:25:40  roessler  (roessler)

	* intl/localename.c: branches:	1.1.2;	1.1.4; file localename.c
	was initially added on branch mutt-1-4-stable.

2002-04-20 07:25:15  Lars Hecking  <lhecking@nmrc.ie>  (roessler)

	* config.rpath: Another file from the gettext patch.

2002-04-20 07:25:15  roessler  (roessler)

	* config.rpath: branches:  1.1.2;  1.1.4; file config.rpath was
	initially added on branch mutt-1-4-stable.

2002-04-20 07:24:54  Lars Hecking  <lhecking@nmrc.ie>  (roessler)

	* m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4: Add new m4
	files from patch.1.3.28.lh.gettext-0.11.1.

2002-04-20 07:24:54  roessler  (roessler)

	* m4/lib-ld.m4: branches:  1.1.2;  1.1.4; file lib-ld.m4 was
	initially added on branch mutt-1-4-stable.

	* m4/lib-link.m4: branches:  1.1.2;  1.1.4; file lib-link.m4
	was initially added on branch mutt-1-4-stable.

	* m4/lib-prefix.m4: branches:  1.1.2;  1.1.4; file lib-prefix.m4
	was initially added on branch mutt-1-4-stable.

2002-04-20 07:24:22  Lars Hecking  <lhecking@nmrc.ie>  (roessler)

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4,
	 m4/lcmessage.m4, m4/progtest.m4, intl/ChangeLog,
	 intl/Makefile.in, intl/bindtextdom.c, intl/config.charset,
	 intl/dcigettext.c, intl/eval-plural.h, intl/gettextP.h,
	 intl/gmo.h, intl/hash-string.h, intl/l10nflist.c,
	 intl/libgnuintl.h, intl/loadinfo.h, intl/loadmsgcat.c,
	 intl/localcharset.c, intl/localealias.c, intl/os2compat.c,
	 intl/os2compat.h, intl/osdep.c, intl/plural-exp.c,
	 intl/plural-exp.h, intl/plural.c, intl/plural.y:
	 patch.1.3.28.lh.gettext-0.11.1 ==============================

	 This one updates the gettext stuff in mutt to gettext-0.11.1. I
	 started doing this in the hope that the new gettext version would
	 simplify the noiconv patch, but unfortunately, this turned out
	 not to be the case (the new iconv m4 macros still don't allow
	 for switching iconv support off).

	 However, as a few hours of merging and testing were spent,
	 I'd suggest to adopt it for 1.4. The actual changes to intl/*
	 are part cosmetic, part code reorganisation. Ok, a bit more,
	 I'm no gettext expert :)

	 Notes: - after applying the patch, you need to chmod 755
	 config.rpath - a couple of new files for m4/*, too - I have
	 broken with the tradition of renaming gettext's AM_* macros
	   to MUTT_AM_*! I don't think it's necessary anymore to customise
	   these macros, but you (I really mean "you, tlr" :) want to
	   have a look at the new gettext.m4.  The others should be ok
	   as they are.
	 - previous gettext updates were also updating po/Makefile.in.in,
	   which I didn't; someone who has a clue about gettext should
	   check whether this might be necessary, and also whether any
	   other files in po/ need updating

	 I will provide the same patch for the 1.5 branch at some stage,
	 ideally after getting some  F E E D B A C K  for this one.

2002-04-20 07:23:49  roessler  (roessler)

	* intl/eval-plural.h: branches:  1.1.2;  1.1.4; file eval-plural.h
	was initially added on branch mutt-1-4-stable.

	* intl/gmo.h: branches:  1.1.2;  1.1.4; file gmo.h was initially
	added on branch mutt-1-4-stable.

	* intl/os2compat.c: branches:  1.1.2;  1.1.4; file os2compat.c
	was initially added on branch mutt-1-4-stable.

	* intl/os2compat.h: branches:  1.1.2;  1.1.4; file os2compat.h
	was initially added on branch mutt-1-4-stable.

	* intl/osdep.c: branches:  1.1.2;  1.1.4; file osdep.c was
	initially added on branch mutt-1-4-stable.

	* intl/plural-exp.c: branches:	1.1.2;	1.1.4; file plural-exp.c
	was initially added on branch mutt-1-4-stable.

	* intl/plural-exp.h: branches:	1.1.2;	1.1.4; file plural-exp.h
	was initially added on branch mutt-1-4-stable.

2002-04-20 07:23:39  Lars Hecking  <lhecking@nmrc.ie>  (roessler)

	* ABOUT-NLS, charset.c, charset.h, configure.in, gnupgparse.c,
	 init.h, rfc2047.c, sendlib.c:	patch.1.3.28.lh.gettext-0.11.1
	 ==============================

	 This one updates the gettext stuff in mutt to gettext-0.11.1. I
	 started doing this in the hope that the new gettext version would
	 simplify the noiconv patch, but unfortunately, this turned out
	 not to be the case (the new iconv m4 macros still don't allow
	 for switching iconv support off).

	 However, as a few hours of merging and testing were spent,
	 I'd suggest to adopt it for 1.4. The actual changes to intl/*
	 are part cosmetic, part code reorganisation. Ok, a bit more,
	 I'm no gettext expert :)

	 Notes: - after applying the patch, you need to chmod 755
	 config.rpath - a couple of new files for m4/*, too - I have
	 broken with the tradition of renaming gettext's AM_* macros
	   to MUTT_AM_*! I don't think it's necessary anymore to customise
	   these macros, but you (I really mean "you, tlr" :) want to
	   have a look at the new gettext.m4.  The others should be ok
	   as they are.
	 - previous gettext updates were also updating po/Makefile.in.in,
	   which I didn't; someone who has a clue about gettext should
	   check whether this might be necessary, and also whether any
	   other files in po/ need updating

	 I will provide the same patch for the 1.5 branch at some stage,
	 ideally after getting some  F E E D B A C K  for this one.

2002-04-17 17:05:54  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: Update.

2002-04-17 17:05:04  David Champion  <dgc@uchicago.edu>  (roessler)

	* m4/gssapi.m4: MIT krb5 1.2.4 has krb5-config, so it's
	no longer sufficient to say that possession of krb5-config
	indicates Heimdal. Patch attached. This assumes that Heimdal's
	"kreb5-config --vendor" begins with "Heimdal".	I cannot verify
	that this is correct, so patch might be wrong on this point.

2002-04-07 21:19:57  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/command.c, imap/imap.c, imap/message.c, imap/command.c,
	imap/imap.c, imap/message.c: The attached patch cleans up some
	bugs in switching IMAP mailboxes: * free current flags on mailbox
	close * reset reopen state * don't parse the same untagged
	SELECT response for multiple options * call mx_update_context
	after reading the whole mailbox, not after
	  each message * reset new mail flag if mail arrives in the
	middle of opening the
	  mailbox. This should close 1139

	939 is most likely unaffected. I discovered these problems while
	investigating 939.

2002-04-05 10:42:54  "TAKAHASHI, Tamotsu"  <arms405@jade.dti.ne.jp>
(roessler)

	* po/ja.po: update.

2002-04-04 20:49:46  Im Eunjea	<eunjea@koru.org>  (roessler)

	* po/ko.po: Update.

2002-04-04 06:50:52  "TAKAHASHI, Tamotsu"  <arms405@jade.dti.ne.jp>
(roessler)

	* po/ja.po: Update.

2002-04-04 06:50:12  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* pgp.c: Fix a typo noted by Tamotsu Takahashi.

2002-04-03 15:22:27  Thomas Roessler  <roessler@does-not-exist.org>
(roessler)

	* handler.c: Fix printing of format=flowed text parts.

	* commands.c: Fix #1144 in stable.

	* commands.c: Fix a file descriptor leak in the display filter
	code.  Noted by Chr. v. Stuckrad.

	fixes: #1144

2002-04-02 18:49:37  Lars Hecking  <lhecking@nmrc.ie>  (roessler)

	* m4/iconv.m4: branches:  1.3.2.1.2; The noiconv patch.

	* charset.c, charset.h: The noiconv patch.

	* configure.in: branches:  2.129.2.3.2; The noiconv patch.

	* gnupgparse.c, init.h, rfc2047.c, sendlib.c: The noiconv patch.

2002-03-30 08:26:31  roessler  (roessler)

	* po/pl.po: update.  From Pawel Dzienkonski.

	* po/fr.po: Update; From Vincent Lefevre.

	* postpone.c, sendlib.c: The attached patch allows the user
	to override the user-agent field with my_hdr.  It also removes
	the stripping of the x-mailer field when recalling a postponed
	message.

2002-03-28 13:25:23  roessler  (roessler)

	* mx.c, mx.h, mailbox.h, main.c, mbox.c, mh.c:
	patch-1.3.28-me.emptycheck.1

2002-03-27 08:50:42  roessler  (roessler)

	* pgp.c: There was some output missing.

	* po/POTFILES.in: update.

	* pgp.c: More fixes.  Note to self:  The code which controls
	character set selection for attachments is far too complicated.

	* pgp.c: Don't include temporary file names in the
	Content-Disposition header.

	* pgp.c: Use text/plain; format=... when we are asked to detect
	inline PGP material in in text/plain body parts.

	* pgp.c, sendlib.c: Fix encoder mode for text/plain; action=pgp-*.

	* pgp.c: Fix "noconv" handling for the message body when we
	generate inline PGP.

	* charset.c, charset.h, handler.c, muttlib.c, pgp.c: Some hackisch
	charset handling for text/plain; x-action=pgp-*.  I don't like
	this stuff, but it's better than nothing.

2002-03-26 22:25:48  roessler  (roessler)

	* pgp.c: Change x-action values to "pgp-encrypted", "pgp-signed".

	* contrib/gpg.rc, commands.c, compose.c, crypt.c, handler.c,
	muttlib.c, pgp.c, protos.h, recvattach.c, sendlib.c: More inline
	PGP changes.

	* pgp.c: Also permit for "action" and "x-action" on the receiving
	end, just in case we can settle on a joint standard with other
	MUA developers.

	* commands.c, crypt.c, handler.c, pgp.c, pgpinvoke.c, sendlib.c:
	OK, I'm giving up: pgp_create_traditional now creates text/plain;
	x-mutt-action={pgp-encrypt,pgp-sign}.

	* pgpinvoke.c: Fix application/pgp signatures.

	* charset.c, charset.h, gnupgparse.c, handler.c, mbyte.c,
	rfc2047.c, sendlib.c, charset.c, charset.h, gnupgparse.c,
	handler.c, mbyte.c, rfc2047.c, sendlib.c: Fix iconv warnings;
	from Edmund Grimley Evans.

	* smime.c: Please use ascii_strcasecmp() if you want to compare
	ASCII parameter strings.  mutt_strcasecmp() depends on the locale,
	and detects "i" and "I" as _different_ in Turkish locales.

2002-03-25 11:34:40  roessler  (roessler)

	* crypt.c: Fix S/MIME signature type.  Noted by Dan Ohnesorg
	<Dan@ohnesorg.cz>.

	* buffy.c, buffy.c: close 1103; from Brendan Cully

	* doc/manual.sgml.tail, doc/manual.sgml.tail: close 1122; from
	Brendan Cully

	* hdrline.c, muttlib.c: Fix #87s; from Brendan Cully.

	* hdrline.c, muttlib.c: Fix #872, from Brendan Cully.

	* contrib/smime_keys_test.pl, contrib/Makefile.in: Include a test
	script by Mike Schiraldi.  It's perl > the one I have installed,
	so I'm just putting it into contrib for now.

2002-03-20 09:53:42  roessler  (roessler)

	* editmsg.c, mailbox.h, mx.c: Rename M_NEW to M_NEWFOLDER.

	* editmsg.c, mailbox.h, mx.c: Rename the new M_NEW by M_NEWFOLDER.
	There was another constant of the same name.  Problem noted by
	Will Yardley's compiler.

2002-03-19 09:54:05  roessler  (roessler)

	* browser.c: Fix #1115.

	* editmsg.c, mailbox.h, mx.c: Fix a temporary file race problem
	when using the edit-message function.  Backported from unstable.

	* po/pl.po, po/pl.po: update

2002-03-18 18:54:56  roessler  (roessler)

	* browser.c: Should fix #1115.	BACKPORT!

2002-03-15 09:11:05  roessler  (roessler)

	* po/ja.po: update from oota toshiya.

	* po/ja.po: update, from oota toshiya.

2002-03-13 23:43:41  roessler  (roessler)

	* attach.c: Undoing the previous patch.  It was junk, and may
	ruin files.

	* attach.c, editmsg.c, mailbox.h, mx.c: Don't fopen mail folders
	in append mode where we should safe_fopen() them in write mode.
	Debian bug #138200, noted by Colin Philipps <cph@cph.demon.co.uk>.

	NEEDS BACKPORTING.

	* po/uk.po, po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po,
	po/tr.po, po/pl.po, po/pt_BR.po, po/ru.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/eo.po, po/es.po,
	po/et.po, po/fr.po, po/gl.po, po/hu.po, po/da.po, po/de.po,
	po/el.po: automatic post-release commit for mutt-1.3.28

	* po/ChangeLog: branches:  1.1.2; file ChangeLog was initially
	added on branch mutt-1-4-stable.

	* po/ChangeLog, po/ca.po, po/cs.po, ChangeLog, VERSION, reldate.h:
	automatic post-release commit for mutt-1.3.28

	* doc/smime-notes.txt, smime.c: Assorted patches from Mike
	Schiraldi.

2002-03-02 12:11:35  roessler  (roessler)

	* contrib/smime.rc, compose.c, init.h, mutt.h, sendlib.c, smime.c,
	smime.h: Introduce smime_default_key.  From Oliver Ehli.

	* contrib/smime.rc, smime.c, smime.h, smime_keys.pl, init.h,
	 mutt.h: smime.c: - the getkeys() function was broken and deleted
	 the last char
	   of the certfilename - it now lets me use more than one key
	 for the same mailbox
	   ie select these.  - some display output was garbled when the
	 email didn't match.
	   i posted some fix to mutt-users, but i don't like that sleep()
	   so i dropped the first error message, which basically repeated
	   the from/sender field only. so now there's just the message:
	   they don't match.

	smime_keys: - i modified the add_chain to continue even if
	 no roo-cert
	   is present (david collantes received som chain that got
	   exported from outlook. obiously they don't (always ?)
	   include the root cert) it will now abort if neither root nor
	   intermediate certs are present.
	 - add_cert created index entries with '-' as issuer cert, when
	   it should have been '?'. thus verify would fail. (obviously
	   nobody ever used that command (add_cert, that is) :)

	the feature above obsoletes the hash_cert and fingerprint_cert
	commands, adds import_cert command and ask_cert_label bool. i
	modified the output of smime_keys (a little) so it doesn't look
	too garbled when supplying the label (it is actually interactive
	:) furthermore, i do a verify after the cert was added and
	modified the verify routine to make the cerificate trusted in
	case of success. (we discussed this in another message) that is
	ok so far, but perhaps this requires some better root certificate
	handling, ie the trust should be somehow connected to the root
	certificate, that maybe added (if the user trusts it and its not
	present already) to the ca-file. i'll think about that some more
	... but then, there already is the add_root command. hmmm... (btw,
	you'll now never get asked to trust a certificate)

	i have not yet deleted the email handling from the import key
	stuff (in smime.c/crypt.c), for i'm thinking about smime_keys
	using it as an additional arg. otoh i don't think users would
	press ^k if verification failed...hmmm... but still, smime_keys
	does extract the email from the certificate either way and does
	verify it by itself, so the only thing that would happen is
	to have some invalid certificates, that mutt'll refuse to use
	anyways, left in the database....

	(From Oliver Ehli.)

2002-02-28 23:28:51  roessler  (roessler)

	* sort.c: Turn on incremental threading again.

	* smime_keys.pl: The script will try to pick out the end-user cert
	and pass that to openssl. The code which tells the difference may
	not be perfect. It works with all the certs in my collection,
	though. I won't be at all surprised if someone comes across a
	cert chain which confuses it, but it should print out an error
	in that case. Hopefully they will send us the chain so we can
	adjust our code.

	(From Mike Schiraldi.)

	* init.h, mutt.h, thread.c: Threading enhancements from Daniel
	Eisenbud.

	* curs_main.c, init.c, init.h, mutt.h, thread.c: $narrow_tree;
	fater redrawing when changing tree options.  From Daniel Eisenbud.

	* imap/message.c, mbox.c, mx.c, thread.c: A possible work-around
	for #939.  From Daniel Eisenbud.

	* init.h, mutt.h, thread.c: Threading enhancements from Daniel
	Eisenbud.

2002-02-26 10:58:56  roessler  (roessler)

	* po/ru.po: update

	* init.h: Fix a typo.

	* init.h: Fix a typo.  #1069.

	* imap/browse.c, imap/message.c, configure.in, mutt_sasl.c,
	imap/browse.c, imap/message.c, configure.in, mutt_sasl.c:
	Brendan Cully sent a patch.

	* install-sh, install-sh: Fix a typo.  From Edmund Grimley Evans.

	* po/ru.po: ru.po update.

	* pop_lib.c, pop_lib.c: CAPA response tags are case-insensitive.
	Noted by Michael Vore, patch from Vsevolod Volkov.

2002-02-18 14:55:31  roessler  (roessler)

	* alias.c, send.c: Fix for #1047.  From Michael Elkins.

2002-02-14 11:22:51  roessler  (roessler)

	* charset.c, gnupgparse.c, init.h, rfc2047.c: Iconv patch from
	Lars Hecking.  MAY NEED TO BE BACKPORTED.

2002-02-13 12:04:52  roessler  (roessler)

	* smime.c: mutt_any_key() shouldn't be used in curses mode.

	* hdrline.c, init.h, parse.c: Change the default format to be
	more friendly to "0-line messages", and fix optional expansion
	for %l - it was the wrong way around.  Also, add a hack to
	parse.c so we ignore negative values in Lines headers.

	* hdrline.c, muttlib.c, protos.h: Undo the %l fix.  It broke
	things.

	* menu.c: Fix mutt_pad_string; from Edmund Grimley Evans.
	(MAY NEED TO BE BACKPORTED.)

	* main.c: Report libiconv version.

2002-02-12 21:54:41  roessler  (roessler)

	* hdrline.c, muttlib.c, protos.h: Improve %l's behaviour.

	* extlib.c, main.c, pattern.c, smime_keys.pl: Mike Schiraldi's
	daily S/MIME patch.

2002-02-11 17:31:53  roessler  (roessler)

	* smime.c: This patch gets rid of an ugly static variable in
	smime.c. (From Mike Schiraldi.)

	* smime_keys.pl: This patch lets smime_keys.pl automagically
	handle both formats of x509 certificate -- PEM (text) and
	DER (binary). This lets Outlook users (and probably others)
	directly import the certs without first converting them manually.
	(From Mike Schiraldi.)

	* configure.in: Honor current values of $LIBS and $CPPFLAGS.
	From Thomas Dickey.

	* configure.in: Honor $LIBS and $CPPFLAGS.  From Thomas Dickey.

	* init.c, init.c: patch-1.3.27.me.initsort.1

2002-02-07 21:48:42  roessler  (roessler)

	* smime_keys.pl: Another S/MIME patch from Mike Schiraldi.

	* smime_keys.pl: Fix smime_keys.

	* smime.c: S/MIME fixes from Mike Schiraldi.

	* po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po,
	po/pt_BR.po, po/ru.po, po/el.po, po/eo.po, po/es.po, po/et.po,
	po/fr.po, po/gl.po, po/hu.po, po/id.po, po/it.po, po/POTFILES.in,
	po/ca.po, po/cs.po, po/da.po, po/de.po, Makefile.am: Make S/MIME
	messages translatable.

2002-02-06 19:14:47  roessler  (roessler)

	* lib.h: Avoid a warning on some machines.

	* lib.h, smime.c: Make some scanf formats safe.

2002-02-05 22:01:06  roessler  (roessler)

	* ascii.c: The previous fix was complete nonsense.  What a
	day. :-(

	* ascii.c: The previous fix was complete nonsense.

	* browser.c, lib.c, lib.h: Use strcoll for the file browser.
	From David Champion.

	* hook.c: Fix crypt-hook.  From Dale Woolridge
	<dale-list-mutt-dev@woolridge.org>.

	* smime_keys.pl: Clean-up from Mike Schiraldi.

	* imap/browse.c: Fix.

	* imap/browse.c: Fix another IMAP browsing bug.

	* po/ru.po, po/fr.po, po/ko.po: update

	* smime.c: Don't put garbage onto the screen when trying to
	decrypt messages.

	* contrib/smime.rc, init.h, smime.c, smime.h, smime_keys.pl:
	S/MIME fixes from Oliver Ehli:

	- smime_keys.pl:

	  support for multiple email adrresses in cert: will add one
	  entry to {keys, cetrificates}/.index now (for each mailbox)

	  support for certificates without intermediate certs (e.g. for
	  people who are their own CA: use root as intermediate, for it
	  probably wouldn't be known to anyone...)

	  bugfix in handle_pem: the checks if some type of cert is
	  present; die() could never be reached, as the variables checked
	  wouldn't have been set in that case, so it would break because
	  of undefined value or some such thing.... (so it has to check
	  $iter instead)

	- smime.c (init.h, ....)

	  support for importing certificates issued for multiple
	  addresses.

	  introduced smime_fingerprint_cert_command, so finally certs
	  can get compared ... (so the above works..)

	  cleaned up some error messages, that would mess up the terminal.

	  fixed typos (init.h)

	* ascii.c: Fix.

	* ascii.c: Fix ascii_*cmp functions.  Problem noted by Brad
	Thompson.

2002-02-04 09:59:02  roessler  (roessler)

	* smime.c, crypt.c: Some S/MIME fixes from Oliver Ehli
	<elmy@acm.org>.

2002-02-03 09:58:45  roessler  (roessler)

	* doc/manual.sgml.head, doc/muttrc.man.head, init.h: Add
	unauto_view.  From Jeremy Blosser.

	* Makefile.am, pgplib.h, pgppubring.c: Add a "-f" flag which
	helps to dump fingerprints.  Contributed by Jason Harris
	<jharris@widomaker.com>, and not strictly needed for mutt.

	* pgppubring.c: Correctly calculate fingerprints for type 20
	ElGamal keys.  Noted by Jason Harris <jharris@widomaker.com>.

	* pgppubring.c: Fix calculation of fingerprints (and key
	IDs) for type 20 ElGamal keys.	Noted by Jason Harris
	<jharris@widowmaker.com>.

2002-02-02 16:52:27  roessler  (roessler)

	* po/ca.po: update

	* po/ca.po: update.

	* mh.c: Don't forget deletions when a folder is changed.  Ups.

2002-02-01 17:23:20  roessler  (roessler)

	* smime_keys.pl: Fix some possible leaks of the private key
	(encrypted, but still...).  (yow_security_holes.patch from
	Mike Schiraldi.)

2002-01-31 22:05:58  roessler  (roessler)

	* doc/smime-notes.txt: Document %C, and other updates.	From Mike
	Schiraldi.

	* smime.c: Remove some unnecessary quotation marks.

	* contrib/smime.rc, init.h, smime.c, smime.h, smime_keys.pl:
	Use mutt -Q from smime_keys.

	* po/zh_TW.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po,
	po/tr.po, po/uk.po, po/zh_CN.po, po/it.po, po/ja.po, po/ko.po,
	po/lt.po, po/nl.po, po/pl.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po,
	po/id.po, po/ca.po, po/cs.po: update-po

	* main.c: fix a string.

	* doc/mutt.man: Document -Q.

	* init.c, main.c, protos.h: Add a -Q option to query configuration
	variables.  This is needed to avoid a separate mutt configuration
	parser in smime_keys.pl.

2002-01-30 22:51:12  roessler  (roessler)

	* send.c, send.c: patch-1.3.27.me.postpone_date.2

	* smime.c: Mike Schiraldi's daily S/MIME patch, as he puts it.

2002-01-29 21:08:10  roessler  (roessler)

	* smime.c: Improved certificate handling.  Suggested by Oliver
	Ehli, implemented by Mike Schiraldi.

	* smime.c: Properly handle certain signatures generated by
	Outlook.  From Mike Schiraldi.

	* parse.c, parse.c: Fix a segmentation fault in debugging code.
	From Daniel Eisenbud.

2002-01-28 23:29:05  roessler  (roessler)

	* crypt.c, init.h, mutt.h: Add a new crypt_timestamp option.
	The timestamps aren't really needed any more.

	* commands.c, menu.c, mutt.h, mutt_curses.h, pattern.c: Add ~V
	to match successfully verified messages.

	* contrib/smime.rc: Add a comment. From Mike Schiraldi.

	* init.h, init.h: Fix list-from documentation.	From Michael
	Elkins.

	* doc/smime-notes.txt: Add more information on S/MIME.
	Adapted from Oliver Ehli's notes by Mike Schiraldi.

	* send.c: Avoid C99 comments.  Noted by Vincent Lefevre.

	* po/ja.po, po/sv.po: updates

	* menu.c, menu.c: Wide character fix from TAKIZAWA Takashi.

	* Makefile.am, hook.c: S/MIME-related bug fixes from Brendan
	Cully.

2002-01-25 00:08:30  roessler  (roessler)

	* smime.c: ups

	* commands.c, recvattach.c, smime.c, smime.h: More decryption
	key detection fixes.

	* commands.c, smime.c: Make some prompts look nicer, and add
	sensible selection of the decryption key.

2002-01-24 23:53:19  roessler  (roessler)

	* commands.c, crypt.c, smime.c, smime.h: More S/MIME nit-picking.

	* mh.c: Fix.

	* mh.c: Still more code clean-up.

	* doc/smime-notes.txt: Update.

	* mx.c: little fix.

	* mh.c: Ups, don't use the wrong check function...

	* mh.c: Clean up the mh code, too.

	* mh.c: indentation

	* mh.c, mx.c, mx.h: Maildir efficiency improvements, from Michael
	Elkins and Thomas Roessler.

	* crypt.c, curs_lib.c, smime.c: S/MIME nits.

	* reap.pl: We don't need this any more.

	* imap/message.c, doc/Makefile.in, doc/smime-notes.txt,
	contrib/Makefile.in, contrib/ca-bundle.crt, contrib/smime.rc,
	Makefile.am, OPS.CRYPT, OPS.PGP, OPS.SMIME, attach.c, commands.c,
	compose.c, configure.in, copy.c, copy.h, crypt.c, crypt.h,
	curs_main.c, functions.h, globals.h, handler.c, hdrline.c,
	headers.c, hook.c, init.c, init.h, keymap.c, keymap.h, main.c,
	mutt.h, muttlib.c, mx.c, pager.c, parse.c, pattern.c, pgp.c,
	pgp.h, pgplib.h, pop.c, postpone.c, protos.h, recvattach.c,
	send.c, sendlib.c, smime.c, smime.h, smime_keys.pl: S/MIME
	support.  From Oliver Ehli <elmy@acm.org> and Mike Schiraldi
	<raldi@research.netsol.com>.

	* po/pt_BR.po, po/pt_BR.po: update

	* doc/manual.sgml.head, doc/muttrc.man.head, attach.c, globals.h,
	init.h, protos.h, rfc1524.c, sendlib.c: Introduce mime_lookup.
	From Brian Foley and Ulf Erikson.

	* po/ru.po, po/ru.po: update

	* mh.c: Make reading maildirs more efficient.

	* VERSION: Pseudo-revision for mutt-1.5.

	* m4/glibc21.m4, m4/gssapi.m4, m4/iconv.m4, m4/lcmessage.m4,
	m4/progtest.m4, m4/funcdecl.m4, m4/gettext.m4, m4/codeset.m4,
	m4/curslib.m4, m4/README, m4/.cvsignore, m4/Makefile.am.in:
	version bump

	* po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po,
	po/zh_TW.po, po/pl.po, po/pt_BR.po, po/ru.po, po/id.po,
	po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/fr.po,
	po/gl.po, po/hu.po, po/el.po, po/eo.po, po/es.po, po/et.po,
	po/.cvsignore, po/Makefile.in.in, po/POTFILES.in, po/ca.po,
	po/cs.po, po/da.po, po/de.po, imap/.cvsignore, imap/BUGS,
	imap/Makefile.am, imap/README, imap/TODO, imap/auth.c,
	imap/auth.h, imap/auth_anon.c, imap/auth_cram.c, imap/auth_gss.c,
	imap/auth_login.c, imap/auth_sasl.c, imap/browse.c,
	imap/command.c, imap/imap.c, imap/imap.h, imap/imap_private.h,
	imap/message.c, imap/message.h, imap/utf7.c, imap/util.c: more
	version bumps.

	* intl/.cvsignore, intl/COPYING.LIB-2, intl/COPYING.LIB-2.1,
	intl/ChangeLog, intl/Makefile.in, intl/VERSION,
	intl/bindtextdom.c, intl/cat-compat.c, intl/config.charset,
	intl/dcgettext.c, intl/dcigettext.c, intl/dcngettext.c,
	intl/dgettext.c, intl/dngettext.c, intl/explodename.c,
	intl/finddomain.c, intl/gettext.c, intl/gettext.h,
	intl/gettextP.h, intl/hash-string.h, intl/intl-compat.c,
	intl/l10nflist.c, intl/libgettext.h, intl/libgnuintl.h,
	intl/libintl.glibc, intl/linux-msg.sed, intl/loadinfo.h,
	intl/loadmsgcat.c, intl/localcharset.c, intl/locale.alias,
	intl/localealias.c, intl/ngettext.c, intl/plural.c, intl/plural.y,
	intl/po2tbl.sed.in, intl/ref-add.sin, intl/ref-del.sin,
	intl/textdomain.c, intl/xopen-msg.sed: more version number
	updates.

	* doc/.cvsignore, doc/Makefile.in, doc/PGP-Notes.txt,
	doc/applying-patches.txt, doc/devel-notes.txt, doc/dotlock.man,
	doc/instdoc.sh.in, doc/manual.sgml.head, doc/manual.sgml.tail,
	doc/mbox.man, doc/mutt.man, doc/muttbug.man, doc/muttrc.man.head,
	doc/muttrc.man.tail, doc/patch-notes.txt: more version number
	updates

	* contrib/iconv/README, contrib/iconv/iconv.aix-3.2.5.rc,
	contrib/iconv/iconv.aix-4.1.5.rc,
	contrib/iconv/iconv.aix-4.2.0.rc,
	contrib/iconv/iconv.aix-4.3.2.rc,
	contrib/iconv/iconv.freebsd-3.3.rc,
	contrib/iconv/iconv.glibc-2.1.3.rc,
	contrib/iconv/iconv.glibc-2.1.90.rc,
	contrib/iconv/iconv.hpux-10.01.rc,
	contrib/iconv/iconv.hpux-10.20.rc,
	contrib/iconv/iconv.hpux-11.00.rc,
	contrib/iconv/iconv.irix-6.5.rc, contrib/iconv/iconv.osf1-4.0a.rc,
	contrib/iconv/iconv.osf1-4.0d.rc,
	contrib/iconv/iconv.solaris-2.4.rc,
	contrib/iconv/iconv.solaris-2.5.1.rc,
	contrib/iconv/iconv.solaris-2.6-cjk.rc,
	contrib/iconv/iconv.solaris-2.6.rc,
	contrib/iconv/iconv.solaris-2.7.rc, contrib/iconv/make.sh,
	contrib/.cvsignore, contrib/Makefile.in, contrib/Mush.rc,
	contrib/Pine.rc, contrib/Tin.rc, contrib/gpg.rc,
	contrib/language.txt, contrib/language50.txt,
	contrib/patch.slang-1.2.2.keypad.1, contrib/pgp2.rc,
	contrib/pgp5.rc, contrib/pgp6.rc, contrib/sample.mailcap,
	contrib/sample.muttrc, contrib/sample.muttrc-tlr: Bumping more
	version numbers.

	* snprintf.c, sort.c, sort.h, stamp-h.in, status.c, strcasecmp.c,
	strdup.c, system.c, thread.c, url.c, url.h, utf8.c, wcwidth.c,
	pgpkey.c, pgplib.c, pgplib.h, pgpmicalg.c, pgppacket.c,
	pgppacket.h, pgppubring.c, pop.c, pop.h, pop_auth.c, pop_lib.c,
	postpone.c, prepare, protos.h, query.c, reap.pl, recvattach.c,
	recvcmd.c, regex.c, reldate.h, remailer.c, remailer.h,
	resize.c, rfc1524.c, rfc1524.h, rfc2047.c, rfc2047.h,
	rfc2231.c, rfc2231.h, rfc822.c, rfc822.h, score.c, send.c,
	sendlib.c, sha1.c, sha1.h, signal.c, md5.h, md5c.c, menu.c,
	mh.c, mime.h, mime.types, missing, mkinstalldirs, mkjtags.c,
	mutt.h, mutt_curses.h, mutt_menu.h, mutt_regex.h, mutt_sasl.c,
	mutt_sasl.h, mutt_socket.c, mutt_socket.h, mutt_ssl.c,
	mutt_ssl.h, mutt_ssl_nss.c, mutt_tunnel.c, mutt_tunnel.h,
	muttbug, muttbug.sh.in, muttlib.c, mx.c, mx.h, pager.c, pager.h,
	parse.c, patchlist.sh, pattern.c, pgp.c, pgp.h, pgpewrap.c,
	pgpinvoke.c, editmsg.c, enter.c, extlib.c, filter.c, flags.c,
	from.c, functions.h, gen_defs, getdomain.c, gettext.c, globals.h,
	gnupgparse.c, handler.c, hash.c, hash.h, hdrline.c, headers.c,
	help.c, history.c, history.h, hook.c, init.c, init.h, install-sh,
	keymap.c, keymap.h, lib.c, lib.h, mailbox.h, main.c, makedoc.c,
	mapping.h, mbox.c, mbyte.c, mbyte.h, attach.c, attach.h, base64.c,
	browser.c, browser.h, buffy.c, buffy.h, build-release, charset.c,
	charset.h, check_sec.sh, color.c, commands.c, complete.c,
	compose.c, config.guess, config.sub, configure.in, copy.c, copy.h,
	curs_lib.c, curs_main.c, date.c, depcomp, dotlock.c, dotlock.h,
	edit.c, GPL, INSTALL, Makefile.am, Muttrc.head.in, NEWS, OPS,
	OPS.MIX, OPS.PGP, PATCHES, README, README.SECURITY, README.SSL,
	TODO, VERSION, _regex.h, acconfig.h, account.c, account.h,
	addrbook.c, alias.c, ascii.c, ascii.h, .cvsignore, ABOUT-NLS,
	BEWARE, COPYRIGHT, ChangeLog: Bumping version numbers to 3.0,
	for the new unstable branch.

	* send.c: branches:  2.77.2; Set default Fcc when resending
	a message.

	* po/ja.po: branches:  1.33.2; update

2002-01-23 22:37:12  roessler  (roessler)

	* po/da.po: branches:  1.67.2; updates

	* po/el.po: branches:  1.77.2; updates

	* po/et.po: branches:  1.21.2; updates

	* po/ko.po: branches:  1.72.2; updates

	* po/pl.po: branches:  1.94.2; updates

	* po/uk.po, po/id.po: branches:  1.84.2; update

	* charset.c: branches:	2.50.2; Fix #999.  A single missing comma.

2002-01-22 12:12:45  roessler  (roessler)

	* po/pt_BR.po: branches:  1.58.2; automatic post-release commit
	for mutt-1.3.27

	* po/ru.po: branches:  1.129.2; automatic post-release commit
	for mutt-1.3.27

	* po/sk.po: branches:  1.66.2; automatic post-release commit
	for mutt-1.3.27

	* po/sv.po: branches:  1.80.2; automatic post-release commit
	for mutt-1.3.27

	* po/tr.po: branches:  1.25.2; automatic post-release commit
	for mutt-1.3.27

	* po/uk.po: automatic post-release commit for mutt-1.3.27

	* po/zh_CN.po: branches:  1.14.2; automatic post-release commit
	for mutt-1.3.27

	* po/zh_TW.po: branches:  1.11.2; automatic post-release commit
	for mutt-1.3.27

	* po/hu.po: branches:  1.17.2; automatic post-release commit
	for mutt-1.3.27

	* po/id.po: automatic post-release commit for mutt-1.3.27

	* po/it.po: branches:  1.103.2; automatic post-release commit
	for mutt-1.3.27

	* po/ja.po, po/ko.po: automatic post-release commit for
	mutt-1.3.27

	* po/lt.po: branches:  1.25.2; automatic post-release commit
	for mutt-1.3.27

	* po/nl.po: branches:  1.74.2; automatic post-release commit
	for mutt-1.3.27

	* po/pl.po: automatic post-release commit for mutt-1.3.27

	* po/ca.po: branches:  1.6.2; automatic post-release commit
	for mutt-1.3.27

	* po/cs.po: branches:  1.75.2; automatic post-release commit
	for mutt-1.3.27

	* po/da.po: automatic post-release commit for mutt-1.3.27

	* po/de.po: branches:  1.160.2; automatic post-release commit
	for mutt-1.3.27

	* po/el.po: automatic post-release commit for mutt-1.3.27

	* po/eo.po: branches:  1.80.2; automatic post-release commit
	for mutt-1.3.27

	* po/es.po: branches:  1.89.2; automatic post-release commit
	for mutt-1.3.27

	* po/et.po: automatic post-release commit for mutt-1.3.27

	* po/fr.po: branches:  1.108.2; automatic post-release commit
	for mutt-1.3.27

	* po/gl.po: branches:  1.61.2; automatic post-release commit
	for mutt-1.3.27

	* ChangeLog: branches:	2.73.2; automatic post-release commit
	for mutt-1.3.27

	* VERSION: branches:  2.63.2; automatic post-release commit
	for mutt-1.3.27

	* reldate.h: branches:	2.55.2; automatic post-release commit
	for mutt-1.3.27

2002-01-21 17:43:19  roessler  (roessler)

	* po/it.po: update

	* po/sv.po, po/de.po, po/eo.po: updates

	* mutt_ssl.c: A fix from Ulf Erikson, which he says to fix
	bug #989.

2002-01-18 11:44:54  roessler  (roessler)

	* po/zh_CN.po, po/zh_TW.po, po/pt_BR.po, po/ru.po, po/sk.po,
	po/sv.po, po/tr.po, po/uk.po, po/hu.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/eo.po,
	po/es.po, po/et.po, po/fr.po, po/gl.po, VERSION, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, reldate.h, ChangeLog:
	automatic post-release commit for mutt-1.3.26

2002-01-17 22:41:45  roessler  (roessler)

	* configure.in: branches:  2.129.2; Use ncurses.h for configure
	tests, if present.

2002-01-16 20:44:49  roessler  (roessler)

	* config.guess, config.sub, missing, mkinstalldirs: Updated auto*
	files. From Lars Hecking.

	* curs_main.c: patch-1.3.25-de-new_threads.1

	* protos.h: branches:  2.86.2; patch-1.3.25-de-new_threads.1

	* thread.c: branches:  2.27.2; patch-1.3.25-de-new_threads.1

2002-01-15 22:08:12  roessler  (roessler)

	* acconfig.h, configure.in: Configure and config.h cleanup.
	From Lars Hecking.

	* handler.c: branches:	2.52.2; Don't hallucinate a '\n' in the
	end of quoted-printable encoded attachments.

	* po/fr.po: update.

	* flags.c: patch-1.3.25.tlr.maildir_trash.1

	* mh.c: branches:  2.42.2; patch-1.3.25.tlr.maildir_trash.1

	* mutt.h: branches:  2.111.2; patch-1.3.25.tlr.maildir_trash.1

	* mx.c: branches:  2.63.2; patch-1.3.25.tlr.maildir_trash.1

	* po/ko.po: update

	* init.c: branches:  2.60.2; Avoid reading past the end of ta
	string when handling \ or ^ sequences.	From Michael Elkins.

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/nl.po,
	po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/gl.po,
	po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po,
	po/ca.po, po/cs.po, po/da.po, pgpkey.c: Shorten some messages.
	Noted by Jeremy Blosser.  #978.

	* pattern.c: branches:	2.23.2; Fix an off-by-one error.

2002-01-14 09:03:31  roessler  (roessler)

	* imap/imap.c: branches:  1.90.2; fix another case-sensitive
	comparison.

2002-01-13 21:19:25  roessler  (roessler)

	* ascii.h: Fix the ascii_strncmp() macro.

	* imap/auth_sasl.c: Parse IMAP responses locale- and case-
	insensitive.  From Brendan Cully.

	* imap/browse.c: branches:  1.34.2; Parse IMAP responses locale-
	and case- insensitive.	From Brendan Cully.

	* imap/command.c: branches:  1.35.2; Parse IMAP responses locale-
	and case- insensitive.	From Brendan Cully.

	* imap/imap.c: Parse IMAP responses locale- and case- insensitive.
	From Brendan Cully.

	* imap/message.c: branches:  1.60.2; Parse IMAP responses locale-
	and case- insensitive.	From Brendan Cully.

	* imap/util.c: branches:  1.51.2; Parse IMAP responses locale-
	and case- insensitive.	From Brendan Cully.

	* muttlib.c: branches:	2.52.2; A different fix for the '\012'
	issue.	Bug tracked down by Johannes Geiger <geiger@ePost.de>.

	* pager.c: A different fix for the '\012' issue.  Bug tracked
	down by Johannes Geiger <geiger@ePost.de>.

2002-01-12 11:42:18  roessler  (roessler)

	* NEWS: More on ~=.

	* doc/manual.sgml.head: branches:  1.73.2; Add a ~= pattern.
	From Frederic Duval.

	* doc/muttrc.man.head: branches:  1.16.2; Add a ~= pattern.
	From Frederic Duval.

	* mutt.h, pattern.c: Add a ~= pattern.	From Frederic Duval.

	* doc/manual.sgml.head: Fix a typo, #971.

2002-01-09 15:39:28  roessler  (roessler)

	* pgp.c: Fix #960.

2002-01-08 13:06:21  roessler  (roessler)

	* mx.c: Try to fix #943.

	* INSTALL: branches:  2.15.2;  2.15.4; fix libiconv URL.  #959.

	* NEWS: fix libiconv URL.  #959.

2002-01-07 19:10:51  roessler  (roessler)

	* po/ko.po: update

	* attach.c: branches:  2.29.2; Fix #951.

2002-01-04 14:30:29  roessler  (roessler)

	* rfc822.c: Terminate the correct buffer.  Noted by Durval
	Menezes <durval@tmp.com.br>.  (This bug shouldn't have any
	security implications. ;-)

	* po/et.po, po/fr.po, po/pl.po, po/sv.po: updates.

2002-01-03 20:57:20  roessler  (roessler)

	* mutt_ssl.c, mutt_ssl.h, mutt_ssl_nss.c, globals.h: Move some
	globals where they belong.  From Brendan Cully.

2002-01-02 16:28:46  roessler  (roessler)

	* acconfig.h: Cleanup; from Lars Hecking.

	* mutt_ssl.c: Replace a few strncpy() calls by strfcpy().

	* recvcmd.c: Bug fix.  Problem noted by Vincent Lefevre's
	compiler.

	* muttlib.c: Fix the \012 bug.

2002-01-01 20:18:41  roessler  (roessler)

	* po/zh_TW.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po,
	po/tr.po, po/uk.po, po/zh_CN.po, po/hu.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po,
	po/gl.po, po/Makefile.in.in, po/ca.po, po/cs.po, reldate.h,
	ChangeLog, VERSION: automatic post-release commit for mutt-1.3.25

	* intl/COPYING.LIB-2, intl/COPYING.LIB-2.1: ups, these were
	missing from the CVS.

	* po/ca.po: update.

	* po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/ru.po,
	po/pl.po, po/pt_BR.po, po/ko.po, po/nl.po, po/it.po, po/gl.po,
	po/id.po, po/es.po, po/fr.po, po/el.po, po/eo.po, po/de.po,
	po/cs.po, po/da.po, ChangeLog, VERSION, rfc822.c: post-release
	commit for mutt-1.2.5.1.

	* rfc822.c: Fix a security problem.

2001-12-28 17:19:00  roessler  (roessler)

	* protos.h, recvcmd.c, send.c: Make sure References and
	In-Reply-To headers are generated properly when the user replies
	to one or more message-type attachments.

2001-12-26 19:24:46  roessler  (roessler)

	* imap/imap.c: Possible fix for #905.	From Daniel Eisenbud.

2001-12-21 00:22:12  roessler  (roessler)

	* pager.c: Fix #929.

2001-12-18 15:13:18  roessler  (roessler)

	* imap/imap.c, imap/imap.h: Fix from #918.  From
	<ntyni+mutt@mappi.helsinki.fi>.

	* browser.c: branches:	2.38.2; Fix from #918.	From
	<ntyni+mutt@mappi.helsinki.fi>.

	* po/Makefile.in.in: Updating to gettext-0.10.40.

	* m4/gettext.m4: branches:  1.7.2;  1.7.4; Updating to
	gettext-0.10.40.

	* m4/iconv.m4: branches:  1.3.2; Updating to gettext-0.10.40.

	* m4/lcmessage.m4: branches:  1.3.2;  1.3.4; Updating to
	gettext-0.10.40.

	* m4/progtest.m4: branches:  1.4.2;  1.4.4; Updating to
	gettext-0.10.40.

	* ABOUT-NLS: branches:	2.1.2;	2.1.4; Updating to
	gettext-0.10.40.

	* intl/ChangeLog, intl/Makefile.in: branches:  1.3.2;  1.3.4;
	Updating to gettext-0.10.40.

	* intl/VERSION: Updating to gettext-0.10.40.

	* intl/bindtextdom.c: branches:  1.5.2;  1.5.4; Updating to
	gettext-0.10.40.

	* intl/config.charset: branches:  1.2.2;  1.2.4; Updating to
	gettext-0.10.40.

	* intl/dcgettext.c: Updating to gettext-0.10.40.

	* intl/dcigettext.c: branches:	1.2.2;	1.2.4; Updating to
	gettext-0.10.40.

	* intl/dcngettext.c, intl/dgettext.c, intl/dngettext.c,
	intl/explodename.c, intl/finddomain.c, intl/gettext.c,
	intl/gettext.h: Updating to gettext-0.10.40.

	* intl/gettextP.h, intl/hash-string.h: branches:  1.4.2;  1.4.4;
	Updating to gettext-0.10.40.

	* intl/intl-compat.c: Updating to gettext-0.10.40.

	* intl/l10nflist.c: branches:  1.5.2;  1.5.4; Updating to
	gettext-0.10.40.

	* intl/libgettext.h: Updating to gettext-0.10.40.

	* intl/libgnuintl.h: branches:	1.2.2;	1.2.4; Updating to
	gettext-0.10.40.

	* intl/loadinfo.h: branches:  1.4.2;  1.4.4; Updating to
	gettext-0.10.40.

	* intl/loadmsgcat.c: branches:	1.5.2;	1.5.4; Updating to
	gettext-0.10.40.

	* intl/localcharset.c: branches:  1.2.2;  1.2.4; Updating to
	gettext-0.10.40.

	* intl/locale.alias: Updating to gettext-0.10.40.

	* intl/localealias.c: branches:  1.5.2;  1.5.4; Updating to
	gettext-0.10.40.

	* intl/ngettext.c: Updating to gettext-0.10.40.

	* intl/plural.c, intl/plural.y: branches:  1.2.2;  1.2.4;
	Updating to gettext-0.10.40.

	* intl/textdomain.c: Updating to gettext-0.10.40.

2001-12-17 10:08:18  roessler  (roessler)

	* edit.c: Fix a memory allocation bug.	#917.

	* thread.c: Another threading update.

	* hdrline.c: branches:	2.27.2; Another threading update.

2001-12-13 12:10:59  roessler  (roessler)

	* menu.c: branches:  2.27.2; Threading updates, from Daniel
	Eisenbud.

	* mutt.h, sort.c, thread.c: Threading updates, from Daniel
	Eisenbud.

	* pager.c: compile fix.

2001-12-11 23:30:59  roessler  (roessler)

	* doc/muttrc.man.head: Typo, #911.

	* po/it.po: update

	* contrib/gpg.rc: Remove an unnecessary \-quoting.

	* init.c, pager.c: Add a missing else.

	* contrib/gpg.rc: Use gettext to determine the good signature
	pattern.

	* init.c: Make "`...`" work as expected.

	* po/it.po: update.

2001-12-10 13:12:41  roessler  (roessler)

	* query.c: Fix #910.

	* init.h: branches:  2.143.2; Change the default for
	$pgp_replyencrypt to "yes".

	* po/ja.po, po/pl.po: updates.

2001-12-09 09:12:08  roessler  (roessler)

	* po/ca.po, configure.in: Add a Catalan translation.  From Ivan
	Vilata i Balaguer <ivan@selidor.net>.

2001-12-04 10:28:22  roessler  (roessler)

	* po/ru.po: update

2001-12-03 18:36:09  roessler  (roessler)

	* po/da.po, po/de.po: update.

	* mx.c: Try to detect write() errors by calling fsync() after
	fflush().  May fix #895.

2001-11-29 09:43:41  roessler  (roessler)

	* po/zh_TW.po, po/zh_CN.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/hu.po,
	po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/eo.po,
	po/es.po, po/et.po, po/fr.po, po/gl.po, ChangeLog, VERSION,
	po/cs.po, po/da.po, po/de.po, po/el.po, reldate.h: automatic
	post-release commit for mutt-1.3.24

2001-11-28 10:30:36  roessler  (roessler)

	* po/id.po: update

2001-11-26 19:16:52  roessler  (roessler)

	* PATCHES: PATCHES should be _empty_ in the CVS version.  Ups.

	* PATCHES: patch-1.3.23.2.tt.wcwidth_ja.1.  Fix wcwidth_ja(),
	from Takizawa Takashi <taki@luna.email.ne.jp>.

	* mbyte.c: branches:  2.18.2; patch-1.3.23.2.tt.wcwidth_ja.1.
	Fix wcwidth_ja(), from Takizawa Takashi <taki@luna.email.ne.jp>.

	* handler.c, muttlib.c: patch-1.3.23.2.bj.state_attach_puts.1,
	from Byrial Jensen.  This patch is supposed to make one message
	more friendly to translators.

	* po/et.po, po/ja.po, po/pl.po, po/ru.po, po/da.po, po/de.po:
	updates.

2001-11-21 13:58:42  roessler  (roessler)

	* handler.c: Use $wrapmargin in the format=flowed handler, too.

	* pager.c, globals.h, init.h: Add a $wrapmargin configuration
	variable to fine-tune

2001-11-19 10:41:32  roessler  (roessler)

	* hash.c: Fix #868, #876.  Work-around from Len Lattanzi
	<len@mss.migration.com>.

	* hdrline.c, protos.h, thread.c: Fix mutt_messages_in_thread().
	From Daniel Eisenbud.  (patch-1.3.23.2-de-new_threads.2-3.gz).

2001-11-15 18:53:23  roessler  (roessler)

	* remailer.c: Should be slightly better than a mixmaster
	patch suggested by Stefan Karrmann <sk@mathematik.uni-ulm.de>.
	(UNTESTED!)

2001-11-12 09:53:54  roessler  (roessler)

	* sort.c, thread.c: patch-1.3.23.2-de-new_threads.2

2001-11-10 08:14:52  roessler  (roessler)

	* po/eo.po, po/fr.po: update

2001-11-09 09:28:55  roessler  (roessler)

	* mh.c: Add some NONULL's (#863)

	* Makefile.am: branches:  2.101.2; Distribute patchlist.sh.  Ups.

2001-11-08 22:42:45  roessler  (roessler)

	* po/uk.po, po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po,
	po/tr.po, po/pt_BR.po, po/ru.po, po/nl.po, po/pl.po, po/id.po,
	po/it.po, po/ja.po, po/ko.po, po/lt.po, po/gl.po, po/hu.po,
	po/et.po, po/fr.po, VERSION, po/cs.po, po/da.po, po/de.po,
	po/el.po, po/eo.po, po/es.po, reldate.h, ChangeLog: automatic
	post-release commit for mutt-1.3.23.2

	* pager.c, init.h, mutt.h: Add an $allow_ansi option.  Suggested
	and (mostly) implemented by Mike Schiraldi.

	* Makefile.am: Don't depend on GNU make.  Noted by Bob Bell.

	* pgp.c: Fix some messages, so the color marker is actually in
	the beginning of a new line.

	* globals.h, handler.c, init.c, mutt.h, muttlib.c, pager.c,
	pgp.c: somewhat cleaner in-band-signalling between the handlers
	and the pager.	In particular, it's more difficult now to get
	fake PGP and other mutt-generated "[-- " messages colored.

	* commands.c: branches:  2.50.2; patch-1.3.23.1-de-new_threads.3-4

	* curs_main.c, init.c, init.h, mutt.h, sort.c, thread.c:
	patch-1.3.23.1-de-new_threads.3-4

	* handler.c: 2.47 introduced another bug.  I should go to bed now.

	* handler.c: Replace a ridiculous for loop by a proper
	calculation.  Ahem.

	* handler.c, pager.c: Use a slightly different reset sequence
	for the format=flowed hack, and don't send any such sequence
	when we aren't in the internal pager.

	* pager.c: Trying to fix #738.

2001-11-07 22:25:09  roessler  (roessler)

	* handler.c: Fix #860.	Noted: The format=flowed code is not
	yet utf-8 aware.

	* addrbook.c: Fix #858.

	* doc/patch-notes.txt, Makefile.am: Implement the patchlist
	scheme instead of version number munging.

	* main.c: branches:  2.55.2; Implement the patchlist scheme
	instead of version number munging.

	* muttlib.c, patchlist.sh, protos.h: Implement the patchlist
	scheme instead of version number munging.

	* sendlib.c: branches:	2.94.2; Implement the patchlist scheme
	instead of version number munging.

	* complete.c: Fix 706, 853.

	* commands.c, init.h, mutt.h, thread.c:
	patch-1.3.23.1-de-new_threads.2-3

2001-11-06 20:38:17  roessler  (roessler)

	* mutt.h, sort.c, sort.h, thread.c, menu.c:
	[patch.1.3.23.1.de.new_threads.2]  Daniel Eisenbud's redone
	threading code, version two.

	* doc/patch-notes.txt: fix a typo.

	* PATCHES: uuups, there was a "test" left over.

	* doc/PGP-Notes.txt: Some part of this documentation was severely
	outdated.

	* doc/Makefile.in, doc/patch-notes.txt, Makefile.am, PATCHES,
	configure.in, main.c, muttlib.c, protos.h, sendlib.c: Add and
	document a new mechanism for displaying patches in running
	mutts' output.

	* send.c: Indentation fixing while staring at the code affected
	by #857.  No fix for the crash, though.

	* doc/manual.sgml.head, doc/muttrc.man.head, alias.c, init.c: Fix
	an addressbook bug, and introduce "unalias *".	From "g.c.w. de
	bruijn" <geerd.debruijn@nl.thalesgroup.com>.

2001-11-05 21:38:18  roessler  (roessler)

	* imap/browse.c, imap/imap.c, imap/util.c, mutt_ssl.c,
	mutt_ssl_nss.c: Missing gettext calls, noted by Byrial Jensen.

	* pop.c: branches:  2.22.2; Missing gettext calls, noted by
	Byrial Jensen.

	* thread.c: Missing gettext calls, noted by Byrial Jensen.

	* commands.c: Make the save-copy prompt more translator-friendly.
	from Byrial Jensen.

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/ja.po, po/pl.po:
	updates

	* mh.c: Fix a segmentation fault which occurs when mutt's get-mail
	POP mode is used with a maildir spool folder.  Noted by Frédéric
	L. W.  Meunier <0@pervalidus.net>.

	* mutt_socket.c, pop.c: Vsevolod Volkov's fix for #851, and a
	related bug.

	* headers.c, muttlib.c, protos.h, send.c: Byrial Jensen's
	mtime hack is needed at more than one place.  Noted by Manoj
	Kasichainula.

2001-10-31 09:38:07  roessler  (roessler)

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/es.po,
	po/et.po, po/fr.po, po/gl.po, po/hu.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sv.po, ChangeLog, VERSION, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/eo.po, reldate.h: automatic
	post-release commit for mutt-1.3.23.1

	* imap/message.c, commands.c, curs_main.c, flags.c, hdrline.c,
	init.h: Advanced threading, v 5.1.  From Daniel Eisenbud
	<eisenbud@cs.swarthmore.edu>.

	* mbox.c: branches:  2.22.2; Advanced threading, v 5.1.
	From Daniel Eisenbud <eisenbud@cs.swarthmore.edu>.

	* menu.c, mh.c, mutt.h, mx.c, mx.h: Advanced threading, v 5.1.
	From Daniel Eisenbud <eisenbud@cs.swarthmore.edu>.

	* parse.c: branches:  2.39.2; Advanced threading, v 5.1.
	From Daniel Eisenbud <eisenbud@cs.swarthmore.edu>.

	* pop.c, postpone.c, protos.h, sort.c, sort.h, thread.c:
	Advanced threading, v 5.1.  From Daniel Eisenbud
	<eisenbud@cs.swarthmore.edu>.

	* pgpewrap.c: branches:  2.3.2; Add magic comment so we can use
	traditional malloc() in this program.

2001-10-30 22:43:23  roessler  (roessler)

	* init.h: .mh_sequences fix, from lorenzo@cisco.com.

	* mutt_socket.c, mutt_ssl.c: TLS connection reuse.  From Brendan
	Cully.

2001-10-29 23:21:48  roessler  (roessler)

	* pager.c: Fix two places which _may_ look like buffer overflows,
	but aren't.

	* url.c: Fix #843.

	* doc/manual.sgml.head: Make the documentation of toggle-unlink
	more precise - someone on comp.mail.mutt got confused by this.

2001-10-28 19:46:43  roessler  (roessler)

	* imap/browse.c, imap/imap.c: Fix 839

	* po/fr.po: update

	* sendlib.c: Another aesthetic message-id change.

	* sendlib.c: GMT's too clumsy.	Just take G.

	* sendlib.c: Use GMT for message-IDs.  Note: The addition of
	the constant string "GMT" is so intended to avoid the production
	of duplicate message-IDs when mutts running in time zones ahead
	GMT are updated.

	* po/ru.po: update.

	* url.c: Another bug related to #837.

	* imap/util.c: Fix a problem related to #837 (the bug isn't
	entirely close, though).

2001-10-26 23:53:29  roessler  (roessler)

	* doc/manual.sgml.head: Point to the openProjects.net IRC channel
	instead of dal.net.

2001-10-25 07:54:35  roessler  (roessler)

	* pgp.c: Handle clearsigned messages gracefully even when
	pgp_verify_sig is set and pgp_decode_command is unset.

2001-10-24 11:08:22  roessler  (roessler)

	* complete.c: Suspected fix for #837.

2001-10-22 09:28:26  roessler  (roessler)

	* imap/util.c, globals.h, init.h: Make IMAP keepalive
	configurable.  From Brendan Cully.

2001-10-17 17:03:19  roessler  (roessler)

	* curs_main.c: Fix #829.

	* sendlib.c: Fix #828: Sendmail is now invoked with stdout and
	stderr redirected to /dev/null.  Apparently, sendmail 8.12.1
	doesn't like to be invoked with stderr and stdout closed.

	* curs_main.c: Fix CURHDR confusion.  Mutt should compile now.
	(Sorry for not committing this earlier.)

2001-10-16 14:29:27  roessler  (roessler)

	* addrbook.c, keymap.c: Address book nit fix from
	geerd.debruijn@nl.thalesgroup.com.

	* po/ja.po, po/it.po: update

2001-10-15 20:18:32  roessler  (roessler)

	* rfc2047.c: branches:	2.35.2; Close #821.  Fix provided
	by Edmund.

	* curs_main.c: AIX portability patch.  Suggested by Jan Chrillesen
	<jan@chrillesen.dk>.

	* doc/manual.sgml.tail: branches:  1.15.2; Fixing a nit, From
	David Ellement.

2001-10-12 09:03:26  roessler  (roessler)

	* po/fr.po: update

2001-10-11 20:08:44  roessler  (roessler)

	* imap/message.c: Small fix from Edmund GRIMLEY EVANS
	<edmundo@rano.org>.

	* compose.c: branches:	2.48.2; Little fix from
	sroberts@certicom.com.

	* po/eo.po: update

	* pgpewrap.c: Add public domain notice.

	* Makefile.am, configure.in, pgpewrap, pgpewrap.c: Include C
	version of pgpewrap, by Wessel Dankers <wsl@fruit.eu.org>.

	* po/da.po: update

	* compose.c: Unify "Can't stat" messages.  Suggested by Byrial.

	* editmsg.c: branches:	2.12.2; Unify "Can't stat" messages.
	Suggested by Byrial.

	* sendlib.c: Unify "Can't stat" messages.  Suggested by Byrial.

2001-10-10 23:37:06  roessler  (roessler)

	* mh.c: Fix #560.

	* pager.c: Fix minor snafu in Vsevolod's patch about important
	flags for POP folders.

	* main.c: Mess around with signal handlers.  Allegedly, this
	helps to get things working with Solaris 8.  See #455.

	* imap/message.c: Try to fix #302.

	* curs_main.c, pager.c: Don't allow setting the "important"
	flag when message resides on a POP server.

	* curs_lib.c: Rename pad_char to m_pad_char - AIX curses
	have a macro called pad_char.  Noted by Jan Chrillesen
	<jan@chrillesen.dk>.

	* pager.c: Patch from #272 (from acli@mingpaoxpress.com).

	* browser.c: Fix #813.

	* mx.c: Another consistency fix for maildir_trash.

	* mh.c, mx.c: Experimental patch to make maildir_trash handling
	more consistent.

	* buffy.c: branches:  2.21.2; maildir buffy: Don't consider
	"trashed" new messages new. Fixes #412.

	* main.c: Include platform information with mutt -v output.

	* muttbug.sh.in: Include some information about the compiler
	and compiler flags used with bug reports.

	* po/pl.po: update

	* po/fr.po, po/de.po: updates.

2001-10-09 09:29:55  roessler  (roessler)

	* getdomain.c: A different fix for #767.

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/ru.po,
	po/sk.po, po/sv.po, po/pt_BR.po, po/it.po, po/ja.po, po/ko.po,
	po/lt.po, po/nl.po, po/pl.po, po/eo.po, po/es.po, po/et.po,
	po/fr.po, po/gl.po, po/hu.po, po/id.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, reldate.h, ChangeLog, VERSION: automatic
	post-release commit for mutt-1.3.23

2001-10-07 06:43:52  roessler  (roessler)

	* doc/manual.sgml.head: We do update .mh_sequences files now.

2001-10-06 09:31:44  roessler  (roessler)

	* doc/manual.sgml.head: Documentation for check-traditional-pgp
	and for edit-type when used in read mode.

2001-10-02 22:20:03  roessler  (roessler)

	* enter.c: Fix #801.

2001-10-01 09:58:49  roessler  (roessler)

	* mh.c: Create mh_sequences files when they don't exist.
	Suggested by TAKIZAWA Takashi <taki@luna.email.ne.jp>.

2001-09-28 08:38:44  roessler  (roessler)

	* charset.c: More character set aliases, from Ionel Mugurel
	Ciobica <tgakic@sg10.chem.tue.nl>.

	* pager.c: Color fix from Brandon Long.  Welcome back!

2001-09-26 10:56:52  roessler  (roessler)

	* mh.c: OK, I couldn't resist. ;-)

	Depending on the user's usage patterns and configuration, there
	may be a strong bias in maildir files moving either within the
	new or to the cur subfolder. This patch adds hit counters for
	each of these directories. Mutt will then look first into the
	directory encountered more frequently in the past.  This should
	help to reduce the cost of chasing messages a bit, and isn't
	too costly itself.

	(Another possibility for optimization may be to actually base
	the prediction on the configuration and on the message flags
	as we know them - in particular, the mark_old and move options
	could have some effect here.  Thinking about message flags, one
	could even replace the simple heuristic currently implemented by
	a matrix recording hit counters depending on flags.  But then
	again, it's all just playing around, since this function will
	be invoked only rarely. ;-)

	* attach.c, commands.c, copy.c, copy.h, handler.c, mutt.h,
	recvattach.c: Fix inconsistencies between printing and displaying
	of message/rfc822 body parts.

	* attach.c: Fix attachment printing.

	* mh.c, mx.c, mx.h: Search for messages which may have been moving
	under our feet in maildir folders.  Suggested by Bjoern Jacke.

	* contrib/gpg.rc: Remove --comment '' - it breaks pgpewrap and
	isn't necessary with more recent gpg versions.

2001-09-21 09:35:18  roessler  (roessler)

	* po/pl.po: update

2001-09-17 10:19:10  roessler  (roessler)

	* send.c: fix #737.

2001-09-14 08:19:30  roessler  (roessler)

	* po/id.po: update

2001-09-11 12:24:32  roessler  (roessler)

	* addrbook.c, alias.c, init.c, menu.c, mutt.h, query.c: More
	addressbook fixes.

	* addrbook.c, attach.h, browser.c, functions.h, init.c, init.h,
	keymap.c, keymap.h, menu.c, mutt.h, mutt_menu.h, recvattach.c:
	The addressbook used to crash when someone issued the alias and
	unalias commands while on that menu.  This patch has a basic fix
	for this behaviour, and adds delete and undelete functions to
	this menu.  While I'm on it, I've also made sure that "apply-tag"
	untags everything on all menus.

	The original crash was noted by Oliver Kauss <kauss@gmx.de>.

2001-09-08 14:23:05  roessler  (roessler)

	* init.c: Thomas Guettler <thomas@thomas-guettler.de> reports
	a segfault when you search for "~b \\${".

	* po/zh_TW.po: update

2001-09-06 12:10:10  roessler  (roessler)

	* po/pl.po: update

	* curs_main.c: Try to fix a boundary condition: Assume that you
	are in a limited view which includes the folder's last message.
	Display that message.  Wait until a new message is added to the
	current folder which does NOT match the limit pattern. Press tab.
	Mutt would get confused.  I think that this patch fixes the
	problem (but I'm not entirely sure).

2001-09-05 12:09:44  roessler  (roessler)

	* sendlib.c: BSD/OS portability fix from Edmund Grimley Evans.
	#758.

	* imap/imap.c, init.h: patch-1.3.22.1.remove_warnings.awn.1,
	from Andrew W. Nosenko.

2001-09-04 19:12:23  roessler  (roessler)

	* po/da.po: update

	* imap/util.c, mutt_socket.c, muttlib.c, pop.c, url.c, url.h:
	patch-bac.canonifypath-4.

	The attached patch reverts the IMAP canonification patch I
	reverted a version ago (sorry for being so wishy-washy). This
	time I put in some code to preserve IMAP URL passwords in the
	initial pass, so people who like to use those sorts of URLs still
	can. That was the only reason I had reverted the patch before.

	(From Brendan Cully.)

	* po/ja.po, po/ru.po, po/uk.po: updates

	* mutt_tunnel.c: patch-bac.tunnelreopen-1 from Brendan Cully.

2001-09-03 13:59:37  roessler  (roessler)

	* curs_main.c, thread.c: Don't lose track of the current message
	when collapsing and changing sort modes wildly.  Noted by
	David T-G.

	* NEWS, globals.h, init.h, mh.c: Make MH sequences variable.

	* po/de.po: update

	* sendlib.c: Don't try to attach non-regular files.  #754.

2001-08-31 09:21:55  roessler  (roessler)

	* NEWS: Mention mailto URL support.

	* imap/imap.c, imap/util.c, imap/command.c: Fix some memory leaks.
	From Pawel Salek, by way of Brendan Cully.

2001-08-30 21:30:39  roessler  (roessler)

	* po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/lt.po, po/nl.po, po/pl.po, po/it.po,
	po/ja.po, po/ko.po, po/gl.po, po/hu.po, po/id.po, po/et.po,
	po/fr.po, po/eo.po, po/es.po, po/el.po, po/da.po, po/de.po,
	ChangeLog, VERSION, doc/Makefile.in, po/cs.po: automatic
	post-release commit for mutt-1.3.22.1

	* po/uk.po, po/zh_CN.po, po/sk.po, po/sv.po, po/tr.po,
	po/pt_BR.po, po/ru.po, po/pl.po, po/lt.po, po/nl.po, po/it.po,
	po/ja.po, po/ko.po, po/hu.po, po/id.po, po/gl.po, po/et.po,
	po/fr.po, po/eo.po, po/es.po, po/el.po, po/de.po, po/da.po,
	ChangeLog, VERSION, po/cs.po, reldate.h: automatic post-release
	commit for mutt-1.3.22

	* contrib/sample.muttrc-tlr: update

	* build-release: branches:  2.17.2; more preparations for
	stabilizing 1.3.

	* Makefile.am, README.UPGRADE: README.UPGRADE is quite outdated.

	* doc/muttrc.man.head, NEWS: documentation updates.

	* doc/mutt.man: branches:  1.16.2; mention ~/.mutt/muttrc

	* curs_main.c: Fix #750 / deb#108628.

	* pop_auth.c: patch-20010829.vvv.pop_auth

2001-08-28 20:39:04  roessler  (roessler)

	* handler.c: Don't do character conversion when we call an
	external handler for a text type.  Assume that the conversion
	is done there.

	* po/da.po: update

2001-08-24 08:07:42  roessler  (roessler)

	* sendlib.c: Don't use the 7bit encoding for non-text MIME types.
	This may produce slightly longer messages, but it helps to
	avoid corruption with binary attachments which look like text,
	but aren't.

	* po/de.po: update

	* sendlib.c: More liberally apply MIME encodings to non-text
	body parts when there's a ^From_ line.

2001-08-23 19:10:04  roessler  (roessler)

	* po/eo.po, po/sv.po: update

2001-08-22 14:41:32  roessler  (roessler)

	* po/et.po, po/fr.po: update

	* pop_auth.c: This should fix the warnings which A. Nosenko found.
	(And may introduce new ones about unused variables.)

2001-08-21 21:54:33  roessler  (roessler)

	* po/zh_CN.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po,
	po/pt_BR.po, po/ru.po, po/pl.po, po/ja.po, po/ko.po, po/lt.po,
	po/nl.po, po/hu.po, po/id.po, po/it.po, po/fr.po, po/gl.po,
	po/et.po, po/el.po, po/eo.po, po/es.po, po/da.po, po/de.po,
	po/cs.po, reldate.h, VERSION, ChangeLog: automatic post-release
	commit for mutt-1.3.21

2001-08-20 12:11:28  roessler  (roessler)

	* mx.c: Check for .mew-cache in MH folders.

2001-08-16 12:42:30  roessler  (roessler)

	* sendlib.c: Mutt's detection of overly long lines would fail
	with text files when the long line is the last one, and is
	not finished by a newline character.  This can, for instance,
	happen when you send out macintosh-generated HTML files.

	(And, apparently, we hit some boundary somewhere in the PGP code
	with that - I had some truncated attachments today.)

2001-08-13 16:12:08  roessler  (roessler)

	* pop.c: fix content-length headers.

	* mh.c: Fix treatment of maildir folders.  We partially used mh
	routines for these, introducing absurdities such as .mh_sequences
	files.

2001-08-12 10:15:15  roessler  (roessler)

	* init.c, init.h: Fix the "strange e-mail header" bug.	It was
	an uninitialized buffer.  Thanks to Brendan Cully for figuring
	it out.

2001-08-11 17:39:13  roessler  (roessler)

	* muttlib.c: Undo an earlier change to _mutt_expand_path, which
	seems to have caused problems.	From Brendan Cully.

	* config.guess, config.sub: Update.  Thanks, Brendan!

2001-08-09 11:28:09  roessler  (roessler)

	* po/uk.po, po/ja.po: update

2001-08-08 19:27:50  roessler  (roessler)

	* doc/manual.sgml.tail: Adding someone I forgot.

2001-08-07 12:45:51  roessler  (roessler)

	* doc/manual.sgml.tail: Update credits.  I'm sure I forgot some
	people.  If you feel you're one of them, please drop me a line!

2001-08-06 17:49:06  roessler  (roessler)

	* curs_lib.c: Here's a fix to allow (n)curses versions to work
	with some terminfo entries where (for whatever reason), someone
	specified cvvis but not cnorm. From a report/discussion with
	Mario Vanoni <vanonim@dial.eunet.ch>. (From Thomas Dickey.)

	* buffy.c: Another little MH buffy bug.  From Len Lattanzi
	<Len.Lattanzi@Migration.com>.

2001-08-03 16:55:41  roessler  (roessler)

	* mh.c: fix an mh_buffy segfault.

	* configure.in: Don't default to "no" when we can't find sendmail.
	#713; Brendan Cully.

	* buffy.c, mh.c, mx.h: MH buffy.

2001-08-02 22:59:16  roessler  (roessler)

	* contrib/gpg.rc: Don't emit a comment armor header at all.

	* mh.c: Update mh_sequences when messages are deleted.	Note:
	Currently, we only clean up our own sequences, and leave others'
	sequences alone.  Should possibly be fixed.

	* mh.c: Fix #720.

	* imap/browse.c: Namespace fix.  From Pawel Slawek (or Peter
	Bloomfield?); forwarded by Brendan Cully.

2001-08-01 22:40:29  roessler  (roessler)

	* po/eo.po: update

	* po/fr.po, po/ru.po, po/de.po: updates.

	* gnupgparse.c: branches:  2.22.2; Signed fixes.  Noted by
	Vincent Lefevre's compiler.

	* pgpkey.c: Signed fixes.  Noted by Vincent Lefevre's compiler.

2001-07-31 12:28:19  roessler  (roessler)

	* mh.c: More MH fixes.

	* mh.c: fix a small typo

	* mailbox.h: branches:	2.10.2; Add mh_sequences support.
	I hope this works.

	* mh.c, mx.c: Add mh_sequences support.  I hope this works.

2001-07-29 09:48:04  roessler  (roessler)

	* contrib/gpg.rc: Fix the comment header, and generally be
	less verbose.

2001-07-26 17:42:48  roessler  (roessler)

	* imap/util.c: patch-bac.imapnextword-1. From Brendan Cully.

	* pgpkey.c: Don't confuse validity and trust when it comes to
	PGP keys.

	* thread.c: O(n log (n)) sorting from Jan Kratochvil
	<short@ucw.cz>.

2001-07-25 19:51:58  roessler  (roessler)

	* po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po,
	po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/da.po, po/de.po,
	po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po,
	po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/cs.po:
	update-po after gettext update.

2001-07-24 21:29:47  roessler  (roessler)

	* po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/ru.po, po/pl.po, po/pt_BR.po, po/ja.po, po/ko.po,
	po/lt.po, po/nl.po, po/gl.po, po/hu.po, po/id.po, po/it.po,
	ChangeLog, VERSION, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, po/es.po, po/et.po, po/fr.po, reldate.h: automatic
	post-release commit for mutt-1.3.20

	* imap/imap.c: Avoid mail loss with IMAP.  From Brendan Cully.

	* imap/command.c: patch-bac.capability-20010724.1.  From Brendan
	Cully.

	* mbox.c: Add a status message, so "Writing messages" doesn't
	stay on screen forever.

2001-07-24 06:42:06  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/imap.c: The attached patch fixes a couple bugs I introduced
	recently when working around the buggy but firmly entrenched
	UW-IMAP 4.7 server.  These resulted in additional overhead
	when synchronising mailboxes and occasional problems opening
	empty mailboxes.

2001-07-19 14:51:14  roessler  (roessler)

	* curs_main.c: Redraw when an alias is created - the user may
	have assigned a different realname.

	* COPYRIGHT: update

2001-07-11 07:19:45  roessler  (roessler)

	* INSTALL: Replace mutt-dev@cs.hmc.edu by mutt-dev@mutt.org.
	Noted by "Mark E.  Mallett" <mem@mv.mv.com>.

2001-07-09 20:54:34  roessler  (roessler)

	* Makefile.am, acconfig.h, configure.in: locale-related fix from
	Lars Hecking.

2001-07-04 07:35:20  roessler  (roessler)

	* imap/util.c: Fix a nit.  From "Andrew W. Nosenko"
	<awn@bcs.zp.ua>

2001-07-03 19:32:12  roessler  (roessler)

	* m4/iconv.m4, configure.in: Iconv-related cleanup.  From Brendan
	Cully.

	* init.c, muttlib.c, protos.h: Unified buffer handling, from
	Brendan Cully.

	* pgppubring.c: branches:  2.26.2; Don't sign-extend chars.

	* pgp.c: Fixing a PGP signature reporting bug; adding debugging
	output.

	* mutt_socket.c: Don't fcntl -1.  From Brendan.

	* imap/imap.c, imap/imap_private.h, imap/message.c, muttlib.c,
	protos.h: Fix #677.  From Brendan Cully.

2001-07-02 20:28:32  roessler  (roessler)

	* query.c: Fix a minor nit with the external query interface.

	* doc/manual.sgml.head: documentation from Brendan Cully.

2001-06-29 10:06:16  roessler  (roessler)

	* imap/imap.c, hook.c, init.h, mutt.h, mutt_socket.c, protos.h:
	patch-bac-vvvacounthook-20010628.1

2001-06-28 20:34:05  roessler  (roessler)

	* query.c: Query patch from Olivier Chapuis
	<olivier.chapuis@free.fr>.

2001-06-27 16:08:06  roessler  (roessler)

	* po/ru.po: update.

	* init.h, mutt.h, mx.c: patch-1.3.19i.rs.keep_flagged

2001-06-26 10:26:54  roessler  (roessler)

	* pgppubring.c: fixes.

	* pgplib.h, pgppubring.c: Fix handling of revocation certificates.

	* pgppubring.c: Also dump revocations.

	* pgplib.c, pgplib.h, pgppubring.c: Add a very simple
	signature-dumping mode to pgpring.  (Not needed for mutt.)

2001-06-19 08:39:17  roessler  (roessler)

	* po/ja.po: update

	* imap/imap.c, imap/message.c: IMAP error checking for bug #662.
	From Brendan Cully.

2001-06-18 17:29:55  roessler  (roessler)

	* po/zh_CN.GB2312.po, po/zh_CN.po, po/zh_TW.Big5.po, po/zh_TW.po,
	configure.in: Renaming the Chinese translations.

	* po/eo.po: update

	* globals.h, init.h, mutt.h, pop.h, pop_auth.c: The attached patch
	adds two variables: $pop_authenticators and $pop_auth_try_all.

	From Vsevolod Volkov.

2001-06-14 13:29:06  roessler  (roessler)

	* po/pl.po: update

2001-06-13 08:29:16  roessler  (roessler)

	* m4/gettext.m4: Avoid more m4 macro collisions.

	* m4/glibc21.m4: branches:  1.2.2;  1.2.4; Avoid more m4 macro
	collisions.

	* imap/auth_sasl.c: An updated version of the previous patch.
	From Brendan.

	* mutt_sasl.c: branches:  2.10.2; An updated version of the
	previous patch.  From Brendan.

	* mutt_sasl.h, pop_auth.c: An updated version of the previous
	patch.	From Brendan.

	* pop_auth.c: This patch closes a ridiculous bug where the
	SASL library could be used without being initialised. I don't
	understand why lots of people weren't having problems, unless
	no one who uses SASL uses POP :)

	closes 549

	From Brendan Cully.

	* po/cs.po: update

2001-06-12 12:45:29  roessler  (roessler)

	* m4/gettext.m4, m4/progtest.m4, configure.in: gettext-related
	fixes.	Most of this may just be temporary if we decide to get
	rid of our own gettext.m4.

	* m4/gettext.m4: Fix comments.

	* po/tr.po: update

2001-06-11 18:32:05  roessler  (roessler)

	* imap/auth.c, imap/imap.c, doc/manual.sgml.head:
	patch-bac.flags-20010611.1

	* po/es.po, po/da.po: update.

	* doc/manual.sgml.head: Updates from Byrial Jensen.

	* keymap.c: command/function cosmetics from Byrial Jensen.

	* po/de.po, po/et.po, po/sv.po: update.

	* doc/mutt.man, doc/muttbug.man, init.c, init.h: Use the EMAIL
	environment variable as the default for $from.

	* po/eo.po, po/el.po: update.

2001-06-07 23:15:53  roessler  (roessler)

	* po/fr.po, po/id.po: updates for 1.3.19.

	* po/zh_TW.Big5.po: A fixed version from EGE.

	* build-release: Don't try to upload to sigtrap.guug.de any more.

	* po/tr.po, po/uk.po, po/zh_CN.GB2312.po, po/zh_TW.Big5.po,
	po/ru.po, po/sk.po, po/sv.po, po/ja.po, po/ko.po, po/lt.po,
	po/nl.po, po/pl.po, po/pt_BR.po, po/hu.po, po/id.po, po/it.po,
	po/fr.po, po/gl.po, po/es.po, po/et.po, po/el.po, po/eo.po,
	po/cs.po, po/da.po, po/de.po, reldate.h, VERSION, ChangeLog:
	automatic post-release commit for mutt-1.3.19

	* check_sec.sh: Don't check in intl/

	* m4/codeset.m4: branches:  1.1.2;  1.1.4; More from the gettext
	munster patch from E.G.E.

	* m4/glibc21.m4, m4/iconv.m4: More from the gettext munster
	patch from E.G.E.

	* po/zh_TW.Big5.po, m4/gettext.m4, m4/lcmessage.m4,
	m4/progtest.m4: Gettext update. (From E.G.E., of course.)

	* intl/Makefile.in, intl/VERSION, intl/bindtextdom.c,
	intl/cat-compat.c, intl/config.charset, intl/dcgettext.c,
	intl/dcigettext.c, intl/dcngettext.c, intl/dgettext.c,
	intl/dngettext.c, intl/explodename.c, intl/finddomain.c,
	intl/gettext.c, intl/gettext.h, intl/gettextP.h,
	intl/hash-string.h, intl/intl-compat.c, intl/l10nflist.c,
	intl/libgettext.h, intl/libgnuintl.h, intl/libintl.glibc,
	intl/linux-msg.sed, intl/loadinfo.h, intl/loadmsgcat.c,
	intl/localcharset.c, intl/locale.alias, intl/localealias.c,
	intl/ngettext.c, intl/plural.c, intl/plural.y, intl/po2tbl.sed.in,
	intl/ref-add.sin, intl/ref-del.sin, intl/textdomain.c,
	intl/xopen-msg.sed, intl/.cvsignore, intl/ChangeLog, Makefile.am,
	acconfig.h, configure.in, gettext.c: Gettext update.

	* lib.h: branches:  2.11.2; Gettext update.

	* mbyte.c: Gettext update.

	* po/ru.po: update.

	* configure.in: ALL_LINGUAS.  I forgot to do this earlier today.

	* NEWS: Documentation update from Brendan Cully.

	* po/sv.po, po/tr.po, po/uk.po, po/zh_CN.GB2312.po,
	po/zh_TW.Big5.po, po/pt_BR.po, po/ru.po, po/sk.po, po/ko.po,
	po/lt.po, po/nl.po, po/pl.po, po/et.po, po/fr.po, po/gl.po,
	po/hu.po, po/id.po, po/it.po, po/ja.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po: Updating the gl
	translation, another update-po run.

	* po/zh_TW.Big5.po: Changed to utf-8 in order to avoid problems
	with recent gettext versions.  Thanks to EGE!

	(BTW, the file name is lying now.  Is this a problem?)

	* po/tr.po, po/uk.po, po/zh_CN.GB2312.po, po/zh_TW.Big5.po,
	po/ru.po, po/sk.po, po/sv.po, po/pt_BR.po, po/pl.po, po/ja.po,
	po/ko.po, po/lt.po, po/nl.po, po/eo.po, po/es.po, po/et.po,
	po/fr.po, po/gl.po, po/hu.po, po/id.po, po/it.po, po/cs.po,
	po/da.po, po/de.po, po/el.po: update-po; adding an Estonian
	translation.

	* po/it.po: Fix a small bug.

	* imap/message.c: This patch ensures IMAP FLAGS aren't parsed
	twice when fetching the full message body. It really only amounts
	to a cosmetic error, but may cause spurious "Mailbox externally
	modified" messages.

	From Brendan Cully.

	* INSTALL, README.SSL, rfc2047.c: Documentation updates and a
	little bug fix.  From Brendan Cully.

	* init.c: Don't add empty strings to lists.  From Thomas Parmelan
	<tom@proxad.net>.

2001-06-05 15:43:41  roessler  (roessler)

	* handler.c: Leave slightly more margin with format=flowed.

	* imap/command.c, mutt_socket.c, mutt_ssl.c, mutt_tunnel.c:
	patch-bac.sockets-20010605.1

	* imap/auth.c, init.h: Change the delimiter for
	imap_authenticators to a colon.

	* imap/auth_gss.c, imap/auth_login.c, imap/auth_sasl.c,
	imap/imap.c, imap/auth.c, imap/auth.h, imap/auth_anon.c,
	imap/auth_cram.c: The attached patch should be the last feature
	I want to get in before 1.4. It creates a new config variable
	$imap_authenticators, which is a comma-separated list of
	authentication methods for mutt to try to use to authenticate to
	an IMAP server. If it is unspecified you get the old behaviour
	- any method is tried, the first to succeed or fail ends the
	auth loop.

	(From Brendan Cully.)

	* globals.h, init.h: The attached patch should be the last
	feature I want to get in before 1.4. It creates a new config
	variable $imap_authenticators, which is a comma-separated list of
	authentication methods for mutt to try to use to authenticate to
	an IMAP server. If it is unspecified you get the old behaviour
	- any method is tried, the first to succeed or fail ends the
	auth loop.

	* attach.c, commands.c, handler.c: Check mutt_create_filter*'s
	return value  for errors.  This should avoid a bunch of possible
	crashes.

2001-06-04 18:29:33  roessler  (roessler)

	* doc/manual.sgml.head: Score documentation fix.

	* po/pl.po: Update.

	* doc/.cvsignore, .cvsignore: Ignore some more generated files.
	From Andrew Nosenko.

	* Makefile.am: -I$(includedir) is moved from INCLUDES variable
	to the end of CPPFLAGS.  This allow build Mutt with Bruno's
	libiconv and --prefix=/usr on glibc-2.1.2 systems.

	From "Andrew W. Nosenko" <awn@bcs.zp.ua>.

	* doc/Makefile.in, doc/instdoc.sh.in, contrib/Makefile.in,
	INSTALL, Makefile.am, configure.in, init.c, main.c, muttbug.sh.in,
	sendlib.c: Clean up the sharedir mess.	From Lars Hecking.

2001-06-01 08:53:23  roessler  (roessler)

	* imap/command.c, imap/imap.c, imap/imap_private.h,
	imap/message.c, curs_main.c, mailbox.h: More concurrent IMAP
	modification handling from Brendan Cully.

	* po/fr.po: Update.

2001-05-31 18:04:24  roessler  (roessler)

	* mutt_tunnel.c: Tunnel fixes.

	* configure.in: Fix some typos.

	* mutt_curses.h, configure.in: Utf-8 support with ncurses, by
	Sven Verdoolaege.  Thomas E. Dickey says it looks reasonable,
	so I include it.

2001-05-30 23:00:51  roessler  (roessler)

	* imap/command.c, imap/imap.c, Makefile.am, enter.c,
	mutt_sasl.c, mutt_sasl.h, mutt_socket.c, mutt_socket.h,
	mutt_ssl.c, mutt_ssl_nss.c, mutt_tunnel.c: Socket API clean-up
	from Brendan Cully.

	* send.c: If messages have no References header, fall back to
	using In-Reply-To when constructing a reply's references header.
	This may not be strictly according to the book, but looks like
	a reasonable suggestion (which came from Vincent Lefebvre).

	* curs_main.c: Check whether any messages are visible.

2001-05-29 20:26:23  roessler  (roessler)

	* m4/gssapi.m4: branches:  1.1.2; GSSAPI fixes, tunnel driver.
	From Brendan Cully.

	* imap/auth.c, imap/auth_gss.c, imap/auth_sasl.c, imap/imap.c,
	Makefile.am, README, configure.in, globals.h, init.h,
	mutt_socket.c, mutt_socket.h, mutt_tunnel.c, mutt_tunnel.h:
	GSSAPI fixes, tunnel driver.  From Brendan Cully.

	* configure.in, md5.h, sha1.h: More type-determination fixes
	from Lars Hecking.

2001-05-28 19:14:47  roessler  (roessler)

	* imap/util.c: Consult /etc/services for imaps port.  From Brendan
	Cully.

	* imap/Makefile.am, Makefile.am, checktypes.c, configure.in,
	md5.h, md5c.c, sha1.c, sha1.h: Improve checking for 32bit
	integers.  From Brendan Cully and Lars Hecking.

	* muttbug.sh.in: Cosmetics.  From Brendan Cully.

	* imap/command.c, imap/imap.c, imap/imap_private.h: Detect
	external modifications of IMAP folders.  From Brendan Cully.

	* curs_main.c: Fix attaching messages via IMAP.  From Brendan
	Cully.

2001-05-24 10:18:30  roessler  (roessler)

	* po/ja.po: update.

	* browser.c: patch-bac.chdir-20010523.2

2001-05-23 14:19:16  roessler  (roessler)

	* browser.c: patch-bac.chdir-20010523.1

	* imap/browse.c: patch-bac.createnull-20010522.1

2001-05-22 21:45:52  roessler  (roessler)

	* doc/manual.sgml.head: Documentation nit from Björn Jacke.

	* configure.in: Let configure --help look prettier.  From Brendan
	Cully.

	* doc/manual.sgml.head, doc/manual.sgml.tail: Documentation
	fixes from Brendan Cully.

	* imap/imap.c: Attachment deletion on IMAP servers, take two.

2001-05-21 08:42:07  roessler  (roessler)

	* imap/imap.c, imap/message.c, commands.c, mx.c, protos.h:
	Attachment deletion for IMAP folders.  By Brendan Cully.

2001-05-20 22:35:29  roessler  (roessler)

	* handler.c: Fix character set conversion for non-plain text
	types with 8bit content-transfer-encodings.  Noted by Björn Jacke.

	* imap/message.c: \Seen for FCCs.  From Brendan Cully.

2001-05-17 18:37:21  roessler  (roessler)

	* pager.c: patch-1.3.18.bj.segfault.1.

	* handler.c: Fix multibyte encodings with quoted-printable.
	(patch-1.3.18.tt.decode_quoted.1) From TAKIZAWA Takashi
	<taki@luna.email.ne.jp>.

2001-05-15 20:41:55  roessler  (roessler)

	* imap/browse.c, imap/util.c, mutt_socket.c:
	patch-bac.notes-20010515.1

	* rfc1524.c: Make tests on an attachment's file name possible.
	Patch from Bob Bell <bobbell@zk3.dec.com>.

2001-05-13 15:43:48  roessler  (roessler)

	* po/de.po: Update.

2001-05-12 05:49:31  roessler  (roessler)

	* handler.c: Undo one of yesterday's aesthetical changes.

	* muttlib.c: IMAP path canonification hack from Brendan Cully.

	* handler.c: Adding a hack to use format=flowed's quoting
	information in the pager, using ANSI color sequences to turn
	off quote coloring.

2001-05-11 22:16:17  roessler  (roessler)

	* handler.c: Don't cut off the final part of ttachments with
	overlong lines.

	* handler.c: Correctly handle extremely long lines.

	* handler.c: Improve handling of indented text when wrapping
	text/plain; format=flowed.  This is, in particular, important
	when replying to messages with indented text.  I hope this code
	does The Right Thing most of the time now.

	(Further note that we still try to avoid wrapping at places
	where the user didn't do so.)

	* handler.c: Some more esthetical nits.

	* handler.c: More fixes.

	* recvcmd.c: Fix some nits with respect to text/plain;
	format=flowed.

	* copy.c, handler.c, init.h, mutt.h, send.c: Add experimental
	support for text/plain; format=flowed.

	* send.c: Fix #590.

	* headers.c: Some code simplifications.

	* headers.c, muttlib.c: Fix a memory leak in mutt_free_envelope();
	avoid dangling pointers in header editing.

2001-05-10 13:15:45  roessler  (roessler)

	* po/ja.po: update.

	* hdrline.c: Fix %D.  From Len Lattanzi
	<Len.Lattanzi@migration.com>.

	* headers.c: Fix header editing and references headers.

	* imap/auth_anon.c, imap/auth_cram.c, imap/auth_gss.c,
	imap/auth_login.c, imap/auth_sasl.c, imap/browse.c,
	imap/command.c, imap/imap.c, imap/message.c, imap/util.c,
	sort.c, copy.c, curs_main.c, globals.h, hook.c, init.h, mbox.c,
	menu.c, mutt_socket.c, mutt_ssl.c, muttlib.c, mx.c, pgpkey.c,
	pop.c, pop_auth.c: A slightly extended version of Dave Ewart's
	sleeptime patch.

	* pop_lib.c: branches:	2.4.2; A slightly extended version of
	Dave Ewart's sleeptime patch.

	* protos.h: A slightly extended version of Dave Ewart's sleeptime
	patch.

	* po/fr.po, po/id.po, po/sv.po, po/da.po: update.

	* po/hu.po, configure.in: Adding the Hungarian translation from
	Szabolcs Horvath <horvaths@fi.inf.elte.hu>.

2001-05-07 19:21:41  roessler  (roessler)

	* imap/README, imap/imap.h, imap/util.c, muttlib.c: IMAP path
	canonicalization.  From Brendan Cully.

2001-05-02 20:49:46  roessler  (roessler)

	* doc/manual.sgml.tail: Document some missing functions.

	* po/tr.po, po/uk.po, po/zh_CN.GB2312.po, po/zh_TW.Big5.po,
	po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/de.po,
	po/el.po, po/eo.po, po/es.po, po/fr.po, po/gl.po, po/cs.po,
	po/da.po: make update-po.

2001-05-01 21:32:50  roessler  (roessler)

	* po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/ru.po, po/sk.po,
	po/sv.po, po/tr.po, po/uk.po, po/pl.po, po/pt_BR.po, po/lt.po,
	po/nl.po, po/gl.po, po/id.po, po/it.po, po/ja.po, po/ko.po,
	po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po, po/fr.po,
	po/cs.po, ChangeLog, VERSION, reldate.h: automatic post-release
	commit for mutt-1.3.18

2001-04-26 15:52:34  roessler  (roessler)

	* configure.in: Replace tabs by spaces.

	* BEWARE, Makefile.am: Add a word of warning concerning the
	case problems.

	* imap/command.c, imap/imap.c, imap/message.c, imap/util.c,
	imap/browse.c, parse.c, pattern.c, pgp.c, pgpkey.c, postpone.c,
	recvattach.c, remailer.c, rfc1524.c, rfc2047.c, send.c,
	sendlib.c, url.c, Makefile.am, account.c, addrbook.c, alias.c:
	Add ascii_strcasecmp() and ascii_strncasecmp() functions which
	do locale-independent and case-insensitive string comparisons.
	Needed for mutt to work in iso-8859-9 environments, where
	tolower('I') != 'i'.

	* ascii.c: branches:  2.1.2; Add ascii_strcasecmp() and
	ascii_strncasecmp() functions which do locale-independent and
	case-insensitive string comparisons.  Needed for mutt to work
	in iso-8859-9 environments, where tolower('I') != 'i'.

	* ascii.h, attach.c, charset.c, color.c, commands.c, copy.c,
	edit.c, handler.c, headers.c, init.c, keymap.c, mutt.h,
	mutt_ssl_nss.c, muttlib.c, mx.c: Add ascii_strcasecmp() and
	ascii_strncasecmp() functions which do locale-independent and
	case-insensitive string comparisons.  Needed for mutt to work
	in iso-8859-9 environments, where tolower('I') != 'i'.

2001-04-25 22:08:41  roessler  (roessler)

	* globals.h, init.h, mutt.h, parse.c, protos.h, send.c,
	sendlib.c, thread.c, url.c: Implement RFC 2822's idea of
	the In-Reply-To header.  In particular, we have to drop the
	$in_reply_to configuration variable.  Also, the change in the
	specification makes some changes to the threading code reasonable.

	* parse.c: Use RFC 2822's interpretation of two-digit years.

	* charset.c: Kluge around some problems with iso-8859-9 locales.

2001-04-24 11:21:22  roessler  (roessler)

	* commands.c: When the character set is changed, ask whether or
	not mutt should convert.

2001-04-19 09:39:49  roessler  (roessler)

	* compose.c: Don't try to select the secret key from the public
	key ring.

2001-04-18 15:12:50  roessler  (roessler)

	* sendlib.c: Fix a segmentation fault.	Bug reported by Björn
	Jacke and analyzed by Lars Hecking.

2001-04-13 23:20:15  roessler  (roessler)

	* enter.c: Fix KEY_ENTER.  From EGE.

	* README, build-release: Introducing trithemius.gnupg.org.

2001-04-11 23:42:59  roessler  (roessler)

	* hook.c: Avoid excessive unhooking from within hooks.
	Problem noted by Eugene Lee <eugene@anime.net> on mutt-users.

	* doc/Makefile.in: Don't rely on GNU make's implicit rules for
	shell scripts.	Noted by EGE.

2001-04-09 16:10:59  roessler  (roessler)

	* INSTALL: Fix the documentation of --enable-locale-fix.
	From EGE.

	* enter.c, keymap.c: Entering multibyte characters.  From Edmund
	Grimley Evans.

	* send.c: Avoid a crash.  patch-1.3.17.tlr.pgpflags_fault.1.

2001-04-05 23:23:37  roessler  (roessler)

	* po/it.po: update

	* po/tr.po: update.

	* init.h: Fix a minor typo in the documentation.

2001-04-04 23:29:29  roessler  (roessler)

	* send.c: Fix pgp_replyencrypt and friends for group-replies to
	several tagged messages.  Noted by Werner Koch.

2001-04-03 19:26:55  roessler  (roessler)

	* pgpkey.c: More PGP key selection changes:  Clean up the key
	selection mechanism.  I'd appreciate if some of you could review
	the logic.

	* pgpkey.c: Fixes for the previous patch.

	* pgpkey.c: Add an error message in case keys can be found,
	but none are valid.

	* init.h: Write "mail folder" instead of "folder" in the
	description of $postponed.  If people believe they understand
	it better that way, fine with me.  (Debian #89195.)

	* doc/manual.sgml.head: Fix a typo.  Debian #90400.

	* po/sv.po: update.

	* url.c: Permit for passwords which contain '@'.  From Felix
	von Leitner <leitner@fefe.de>.

	* mutt_socket.c: Set the close on exec bit for IMAP sockets.
	From Jason Gunthorpe <jgg@wakko.deltatee.com>.	#536, Debian
	#92651.

2001-04-02 13:02:56  roessler  (roessler)

	* pop.c: Fix a buffer overrun.	Noted by Gordon Sadler
	<gbsadler1@lcisp.com>; #530.

	* imap/Makefile.am: Fix dependencies.  From Lars Hecking.

2001-03-30 08:53:12  roessler  (roessler)

	* imap/Makefile.am: Add a rule for ../types.h.

2001-03-29 11:23:05  roessler  (roessler)

	* pgp.c: Adding a dprint statement.

2001-03-28 14:59:52  roessler  (roessler)

	* pgp.c, pgp.h: Add some more PGP good signature checks, so we
	can detect whether or not an encrypted+signed message is OK.

	* main.c: fix some of the copyright messages.

	* gnupgparse.c, pgpkey.c, pgplib.c, pgplib.h, pgppacket.c: Make
	mutt compatible with GnuPG's latest features.  As requested by
	Werner Koch.

	* po/tr.po, po/uk.po, po/zh_CN.GB2312.po, po/zh_TW.Big5.po,
	po/ru.po, po/sk.po, po/sv.po, po/lt.po, po/nl.po, po/pl.po,
	po/pt_BR.po, po/it.po, po/ja.po, po/ko.po, po/es.po, po/fr.po,
	po/gl.po, po/id.po, po/eo.po, po/el.po, po/de.po, po/da.po,
	VERSION, po/cs.po, reldate.h, ChangeLog: automatic post-release
	commit for mutt-1.3.17

	* po/pl.po: update.

2001-03-23 12:30:17  roessler  (roessler)

	* send.c: handle my_hdr message-id: correctly.

2001-03-20 17:28:55  roessler  (roessler)

	* pgp.c: Fix Content-Disposition of PGP/MIME messages.	The second
	part should get a file name for convenience, not the first one.

	* po/ja.po: Update from Oota Toshiya <oota@ppd.fc.nec.co.jp>.

	* mbyte.c: Fix a bug in mbrtowc_iconv().  From TAKIZAWA Takashi
	<taki@luna.email.ne.jp>.

2001-03-12 11:54:38  roessler  (roessler)

	* po/ru.po: update from Vsevolod.

2001-03-08 16:48:50  roessler  (roessler)

	* pager.c: Cosmetic change for OP_PAGER_TOP, suggested by Mike
	Schiraldi <raldi@research.netsol.com>.

2001-03-05 20:52:04  roessler  (roessler)

	* init.h: Fix use_ipv6.

	* po/ja.po: update.

2001-03-04 14:25:07  roessler  (roessler)

	* po/eo.po: update.

	* pgppacket.c: Fix the interpretation of new-style packet lengths.
	This is a really bad bug.

	* init.h, mutt.h, mutt_socket.c: Make it possible to enable ipv6
	at run time.

2001-03-03 18:17:23  roessler  (roessler)

	* mutt_ssl.c: Fix a typo concerning OpenSSL version numbers.

2001-03-01 10:18:04  roessler  (roessler)

	* po/fr.po: update.

	* po/de.po, po/id.po: updates.

	* imap/imap.c: Don't engage STARTTLS when already in SSL mode.

2001-02-27 16:59:45  roessler  (roessler)

	* Makefile.am, depcomp, missing: Adding files for users of
	automake-cvs.  From Lars Hecking.

	* configure.in: Simplifications from Lars Hecking.

	* doc/Makefile.in: Distribute instdoc.sh.in.

	* po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/ru.po, po/sk.po,
	po/sv.po, po/tr.po, po/uk.po, po/ko.po, po/lt.po, po/nl.po,
	po/pl.po, po/pt_BR.po, po/id.po, po/it.po, po/ja.po, po/es.po,
	po/fr.po, po/gl.po, po/el.po, po/eo.po, po/da.po, po/de.po,
	VERSION, contrib/Makefile.in, po/cs.po, reldate.h, ChangeLog:
	automatic post-release commit for mutt-1.3.16

2001-02-26 16:35:39  roessler  (roessler)

	* pgp.c: Fix behaviour with multiple signed blocks inside one
	application/pgp.

	* pgp.c: Add out-of-band signature status signalling for
	application/pgp with clearsig.

2001-02-23 09:13:55  roessler  (roessler)

	* imap/imap.c, mutt_ssl.c, po/ru.po: update.

	* url.h: Ports are unsigned short, not short.

	* po/de.po: Update.

2001-02-21 17:02:18  roessler  (roessler)

	* po/fr.po: update.

	* po/pl.po, po/sv.po: updates.

2001-02-20 19:05:17  roessler  (roessler)

	* imap/auth_gss.c, imap/message.c: More IMAP patches from Brendan.

	* sendlib.c: lookup_mime_type() could overflow.  This is, however,
	harmless, because it only works on data from local configuration
	files which are either under the control of the user or under
	the control of root.

2001-02-19 18:21:53  roessler  (roessler)

	* imap/command.c: Improved error handling.

	* po/de.po: There is no such thing as a "Text Anhang" in German.

	* imap/imap.c, imap/imap.h, hook.c, mailbox.h, mx.c: Brendan
	Cully's generic access() wrapper which know about IMAP.

	* po/el.po: Update.

2001-02-16 00:42:57  roessler  (roessler)

	* imap/BUGS, imap/message.c: Bugfix.  From B.C.

	* imap/message.c: Fix #378.  From Brendan Cully.

	* imap/imap.c: Support for \HasNoChildren.  From Brendan Cully.

2001-02-15 16:37:27  roessler  (roessler)

	* imap/browse.c, imap/imap.c, imap/imap.h, imap/util.c,
	acconfig.h, configure.in, globals.h, init.h, mutt.h, mutt_sasl.c,
	muttlib.c, pop_auth.c, url.c: Brendan Cully's latest STARTTLS
	patch.

	* po/ja.po, configure.in: Adding ja.po.

	* charset.c: Fix iconv-hook.  It would segfault with x-unknown
	and other problematic cases.

	* init.h: Fix the documentation of pgp_verify_sig.  It's ask-yes,
	not ask.

2001-02-14 23:58:28  roessler  (roessler)

	* INSTALL: Add a comment about the sample iconv-hook files.

	* doc/Makefile.in, doc/instdoc.sh.in, doc/manual.sgml.head,
	doc/muttrc.man.head, doc/muttrc.man.tail,
	contrib/iconv/README, contrib/iconv/iconv.aix-3.2.5.rc,
	contrib/iconv/iconv.aix-4.1.5.rc,
	contrib/iconv/iconv.aix-4.2.0.rc,
	contrib/iconv/iconv.aix-4.3.2.rc,
	contrib/iconv/iconv.freebsd-3.3.rc,
	contrib/iconv/iconv.glibc-2.1.3.rc,
	contrib/iconv/iconv.glibc-2.1.90.rc,
	contrib/iconv/iconv.hpux-10.01.rc,
	contrib/iconv/iconv.hpux-10.20.rc,
	contrib/iconv/iconv.hpux-11.00.rc,
	contrib/iconv/iconv.irix-6.5.rc, contrib/iconv/iconv.osf1-4.0a.rc,
	contrib/iconv/iconv.osf1-4.0d.rc,
	contrib/iconv/iconv.solaris-2.4.rc,
	contrib/iconv/iconv.solaris-2.5.1.rc,
	contrib/iconv/iconv.solaris-2.6-cjk.rc,
	contrib/iconv/iconv.solaris-2.6.rc,
	contrib/iconv/iconv.solaris-2.7.rc, contrib/iconv/make.sh,
	contrib/Makefile.in, mutt.h, protos.h, charset.c, configure.in,
	hook.c, init.h: iconv-hook.

	* imap/auth.c, imap/imap.c, imap/message.c, acconfig.h,
	configure.in, mutt_sasl.c, mutt_socket.h, mutt_ssl.c, mutt_ssl.h:
	STARTTLS patch from Brendan Cully.

	* rfc2047.c, sendlib.c: Minor charset fixes.  Users can now give
	any character set names in

2001-02-13 23:42:29  roessler  (roessler)

	* charset.c: Some more strange character set aliaes.

	* charset.c: Add more possibly-interesting character set names.

	* charset.c: While I'm on it, fix a warning and remove some
	weired code by proper use of ctype functions.

	* imap/utf7.c: branches:  1.5.2; Change charset-hook's behaviour.

	* charset.c: Change charset-hook's behaviour.

	* charset.h: branches:	2.19.2; Change charset-hook's behaviour.

	* gettext.c, gnupgparse.c, handler.c, rfc2047.c, rfc2231.c,
	sendlib.c: Change charset-hook's behaviour.

	* po/id.po: update.

	* po/de.po: Fix some typos.  From Björn Jacke.

	* recvattach.c: A little fix for those who don't have PGP
	installed. ;-)

	* OPS.PGP, commands.c, curs_main.c, functions.h, pgp.c, pgp.h,
	protos.h, recvattach.c: Add a function check-traditional-pgp
	which can be used to handle old-style PGP messages and/or parts
	more easily.

	* query.c: Match all fields when searching on the query menu.

	* attach.c: Fix #470:  multipart- and message-type attachments
	weren't handled correctly.

2001-02-12 20:42:40  roessler  (roessler)

	* curs_lib.c: Fix '?' in the file name dialogue.  Fixes #468,
	#465.

	* po/sv.po, po/tr.po, po/uk.po, po/zh_CN.GB2312.po,
	po/zh_TW.Big5.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po,
	po/eo.po, po/es.po, po/fr.po, po/gl.po, po/id.po, po/it.po,
	po/ko.po, po/lt.po, po/nl.po, VERSION, po/cs.po, po/da.po,
	po/de.po, po/el.po, reldate.h, ChangeLog: automatic post-release
	commit for mutt-1.3.15

	* NEWS: Tell users about some of the new features.

	* pgppacket.c: Don't free(NULL).

	* mutt.h, pgp.c, pgp.h, pgplib.c, pgplib.h, pgpmicalg.c,
	pgppacket.c, pgppacket.h, pgppubring.c, postpone.c, protos.h,
	send.c, sendlib.c, Makefile.am, compose.c, configure.in,
	gnupgparse.c, init.h: Auto-detect the micalg used with PGP/MIME
	signatures.

	* handler.c: Make mutt_decode_* usable without passing a BODY
	structure.

	* imap/auth_anon.c, imap/auth_cram.c, imap/auth_gss.c: Fixes so
	mutt at least compiles with Brendan's new SASL patch.

	* lib.c: branches:  2.30.2; Fix mutt_read_line's behaviour when
	encountering an EOF.  From Aaron Lehmann <aaronl@vitelus.com>.

	* pager.c: Avoid an infinite loop in the pager.  From Edmund
	Grimley Evans.

	* imap/auth_login.c, imap/auth_sasl.c, imap/browse.c,
	imap/command.c, imap/imap.c, imap/imap_private.h, imap/message.c,
	imap/util.c, mutt_sasl.c, mutt_sasl.h, mutt_ssl.c, mutt_ssl.h:
	Brendan Cully's SASL patch.

2001-02-08 15:50:51  roessler  (roessler)

	* attach.c, commands.c, curs_lib.c, muttlib.c, pgp.c,
	recvattach.c, remailer.c: Replace various instances of endwin()
	by mutt_endwin().  This should help to avoid chaotic screen
	output on the "second" screen.

	* po/da.po: update.

	* doc/manual.sgml.head: Fix a typo.

2001-02-06 22:14:01  roessler  (roessler)

	* doc/manual.sgml.head, doc/muttrc.man.head: Document fuzzy dates.

	* date.c, pattern.c: Fuzzy date matching.  From Eike Rathke
	<er@erack.de>.

2001-02-02 12:36:19  roessler  (roessler)

	* pgpinvoke.c: Apply more conservative quoting to some PGP
	invocation.

	* po/sv.po: Update from Jörgen Tegnér.

2001-02-01 17:03:44  roessler  (roessler)

	* po/tr.po: update

2001-01-31 18:31:27  roessler  (roessler)

	* send.c: Don't use group mailboxes with list-reply.  E.g.,
	when you have "ietf" as a list pattern, and a message goes to

		IETF-Announce:;, ietf-openpgp@somewhere.org,

	list-reply will now yield ietf-openpgp and _not_:

		IETF-Announce: ietf-openpgp@...

	* po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/fr.po,
	po/gl.po, po/id.po, po/it.po, po/ko.po, po/lt.po, po/nl.po,
	po/pl.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po: Including the turkish translation from Fatih Demir
	<kabalak@gmx.net>; make update-po.

	* configure.in: Including the turkish translation from Fatih
	Demir <kabalak@gmx.net>.

2001-01-30 10:24:36  roessler  (roessler)

	* doc/manual.sgml.head: Stan Ryckman <stanr@sunspot.tiac.net>
	noted that we are abusing "envelope" where it should be "header".

	* thread.c: Fix sort_aux=received.  From <benno@sesgroup.net>.

	* pager.c: Eric Fischer <eric@eazel.com> sent us this patch as
	part of bug#441.  I'm not entirely sure that it works, but let's
	try it.

	* po/de.po, po/id.po: update

	* po/fr.po: update.

	* pop_auth.c: Fixing a stupid typo.  bug#445, from Larry Rosenman
	<ler@lerctr.org>.

2001-01-27 13:50:26  roessler  (roessler)

	* po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po,
	po/uk.po, po/pt_BR.po, po/ru.po, po/pl.po, po/ko.po, po/lt.po,
	po/nl.po, po/gl.po, po/id.po, po/it.po, po/es.po, po/fr.po,
	po/eo.po, po/el.po, po/de.po, po/da.po, po/cs.po, VERSION,
	reldate.h, ChangeLog: automatic post-release commit for
	mutt-1.3.14

	* recvattach.c: More improvements to the recvattach collapsing.

	* mutt.h, pager.c, pager.h, protos.h, recvattach.c: Add collapsing
	to the receive-attach menu, and improve digest handling that way.

	* OPS: branches:  2.22.2; Add collapsing to the receive-attach
	menu, and improve digest handling that way.

	* attach.c, attach.h, compose.c, functions.h, init.h: Add
	collapsing to the receive-attach menu, and improve digest handling
	that way.

2001-01-25 12:04:46  roessler  (roessler)

	* po/cs.po: Fixes from Björn Jacke <bjacke@suse.de>.

	* contrib/pgp6.rc: A nit from Björn Jacke <bjacke@suse.de>.

2001-01-22 11:04:56  roessler  (roessler)

	* mutt_ssl.c: patch-1.3.13.tk.ssl.connect.1

2001-01-18 11:27:56  roessler  (roessler)

	* complete.c: Completion fix.  From Aaron Schrab
	<aaron+mutt@schrab.com>.

2001-01-17 08:53:12  roessler  (roessler)

	* rfc822.c: This one-line diff should fix the behaviour of the
	address parser when encountering loose dots in addresses.

	* imap/auth_sasl.c: Try to catch mysterious failures of the SASL
	library instead of hanging.  From Brendan Cully.

2001-01-15 10:40:50  roessler  (roessler)

	* copy.c: Some debugging helpers.

	* send.c: Use safe_fclose() where a NULL pointer may be passed
	to fclose().

	* pattern.c: Make ~m usable in $simple_search.	From
	<David.Good@stratasource.com>.

2001-01-10 19:36:43  roessler  (roessler)

	* recvcmd.c, send.c: Make some messages about mime-forwarding
	more comprehensible to normal users.

2001-01-08 23:09:32  roessler  (roessler)

	* imap/auth_sasl.c, imap/utf7.c, imap/util.c, charset.c,
	charset.h, check_sec.sh, dotlock.c, enter.c, gnupgparse.c,
	keymap.c, lib.c, mutt_sasl.c, parse.c, pgp.c, pgppubring.c,
	pop_auth.c, regex.c, rfc2047.c, rfc2231.c, rfc822.c, sendlib.c,
	strdup.c: Let check_sec.sh check for use of the unsafe malloc,
	realloc, free, and strdup routines.  While we are on it, plug
	some memory leaks and make some code understandable.

	* intl/cat-compat.c, imap/auth_cram.c, imap/auth_gss.c,
	imap/imap.c, imap/imap_private.h, imap/message.c, base64.c,
	browser.c, check_sec.sh, commands.c, complete.c, copy.c,
	curs_lib.c, edit.c, handler.c, init.c, lib.c, pager.c, pgp.c,
	pgpkey.c, pop_lib.c, protos.h, query.c, rfc2231.c, rfc822.c,
	send.c, sendlib.c, snprintf.c: Fix and/or check more fishy code.

	* intl/cat-compat.c, imap/auth_cram.c, imap/auth_gss.c, browser.c,
	buffy.c, check_sec.sh, curs_main.c, enter.c, init.c, main.c,
	makedoc.c, mkjtags.c, mutt_sasl.c, pgp.c, pgpinvoke.c, pgpkey.c,
	pop.c, protos.h, regex.c, rfc2231.c, sendlib.c: Going through
	possible security problems with a fine comb.  If you want to help,
	check out the current source, and run check_sec.sh.

	* attach.c, build-release, check_sec.sh, edit.c, pgpkey.c:
	Some automated security checks concerning fopen() calls.

2001-01-04 05:39:31  roessler  (roessler)

	* gettext.c: Don't use debugfile unless DEBUG is #defined.

2001-01-03 13:39:48  roessler  (roessler)

	* enter.c, mbyte.c: More wide-char patches from EGE.

	* enter.c: Don't accept '\0' as keyboard input.

	* imap/auth_sasl.c: Set SASL_IP_{LOCAL,REMOTE} properties -
	needed for krb4 support; from yak@MIT.EDU.

	* enter.c: Try to fix nonprintable character input.

	* enter.c: Extend the editor so it supports unprintable
	characters.

2001-01-02 16:34:26  roessler  (roessler)

	* enter.c: Make my_wcstombs more robust.  From EGE.

	* main.c: Only show mailboxes with -y.	From
	devenish@arcme.uwa.edu.au.

	* account.h: Fix password input.  From Vsevolod Volkov.

2000-12-31 15:30:52  roessler  (roessler)

	* po/ru.po, pop_lib.c: Missing patches from VVV.

	* imap/imap.c, OPS, curs_main.c, functions.h, globals.h:
	Experimental patch to add an imap-fetch-mail function.

	* mutt.h, protos.h, browser.c, curs_lib.c, enter.c, main.c:
	Make browser behaviour more consistent with expectations.

	* po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po,
	po/uk.po, po/pt_BR.po, po/ru.po, po/lt.po, po/nl.po, po/pl.po,
	po/it.po, po/ko.po, po/id.po, po/es.po, po/fr.po, po/gl.po,
	po/eo.po, po/da.po, po/de.po, po/el.po, VERSION, po/cs.po,
	reldate.h, ChangeLog: automatic post-release commit for
	mutt-1.3.13

2000-12-30 10:28:16  roessler  (roessler)

	* po/pl.po: update.

2000-12-22 18:03:34  roessler  (roessler)

	* configure.in: autoconf consmetics.  From L.H.

	* enter.c, mutt.h: Some more changes to the enter code.

	* enter.c: Fix some ugly bugs in the completion code.
	In particular, replace_part() could lead to heap corruption.

	* po/lt.po, configure.in: Lithuanian translation.  From Gediminas
	Paulauskas <menesis@delfi.lt>.

2000-12-21 09:19:41  roessler  (roessler)

	* flags.c, init.h, mh.c, mutt.h: patch.me.maildir_trash.1

2000-12-17 19:54:58  roessler  (roessler)

	* po/sv.po: update.

2000-12-14 15:40:30  roessler  (roessler)

	* doc/manual.sgml.head: Improve hook documentation.  From Lars
	Hecking.

	* enter.c: More file name completion fixes.

	* enter.c: Fix "tab-tab" at the change-folder prompt.

2000-12-10 21:01:35  roessler  (roessler)

	* imap/message.c, init.h, mutt.h: Avoid implicit flag updates
	with IMAP.  From Brendan Cully.

	* configure.in, enter.c, mbyte.c, mbyte.h, mutt.h: More enter.c
	updates.  From E.G.E..

	* mbyte.h, mutt.h, configure.in, enter.c: More changes to the
	utf-8 friendly line editor: Implement some missing functions,
	include some more header files.

2000-12-08 10:38:30  roessler  (roessler)

	* curs_lib.c: Remove an unnecessary ENTER_STATE allocation.

	* curs_lib.c, enter.c, mutt.h, protos.h: Make _mutt_enter_string()
	re-entrant.

	* curs_lib.c, edit.c, enter.c, protos.h: Make the line editor
	utf-8 friendly.  First take from Edmund Grimley Evans.

2000-12-06 20:31:46  roessler  (roessler)

	* gnupgparse.c: Fix pgp_ignore_subkeys.

	* mutt_curses.h: Make the BEEP macro a bit safer.  From EGE.

	* imap/imap.c: Fix a memory leak in imap_logout_all.

2000-12-04 09:00:08  roessler  (roessler)

	* mbyte.c: A little fix for the -HAVE_WC_FUNCS +LOCALES_HACK case.
	From EGE.

2000-12-03 09:34:41  roessler  (roessler)

	* doc/PGP-Notes.txt: Document the fact that Courier MTA corrupts
	PGP/MIME signatures.

2000-12-02 09:16:47  roessler  (roessler)

	* po/el.po, po/uk.po: update.

2000-11-28 11:19:57  roessler  (roessler)

	* po/da.po, po/de.po, po/fr.po, po/id.po: updates

2000-11-27 13:14:28  roessler  (roessler)

	* attach.h, commands.c, compose.c, curs_main.c, protos.h,
	recvattach.c: Make sure edit-type works without a segmentation
	fault from the receive-attach menu.

	* po/uk.po, po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/ru.po,
	po/sk.po, po/sv.po, po/pl.po, po/pt_BR.po, po/nl.po, po/it.po,
	po/ko.po, po/fr.po, po/gl.po, po/id.po, po/eo.po, po/es.po,
	po/el.po, po/cs.po, po/da.po, po/de.po, reldate.h, VERSION,
	ChangeLog: automatic post-release commit for mutt-1.3.12

2000-11-23 10:30:49  roessler  (roessler)

	* contrib/sample.muttrc-tlr: Use display_filter to fix some
	ugliness people are sending me.

	* commands.c: Don't endwin() before invoking the display_filter.

2000-11-21 10:32:34  roessler  (roessler)

	* protos.h, main.c, curs_lib.c, globals.h: [stable] Introduce
	mutt_curses_message and mutt_nocurses_message.	From Olaf Kirch.

	* globals.h, main.c, protos.h, curs_lib.c: Introduce
	mutt_curses_message/mutt_nocurses_message.  From Olaf Kirch.

2000-11-20 13:20:28  roessler  (roessler)

	* contrib/gpg.rc: Add a missing --textmode switch.

2000-11-19 20:39:49  roessler  (roessler)

	* NEWS: Mention $print_split.

	* contrib/sample.muttrc-tlr: update

	* mutt.h, pgp.c, protos.h, commands.c, init.h: Introduce a
	new option named $print_split.	While we are on it, unify
	the pipe-message and print-message code, and fix the PGP
	key-extraction code so it doesn't interact with OPTPIPEDECODE
	in strange manners any more.

2000-11-18 19:50:48  roessler  (roessler)

	* curs_lib.c: Remove an unnecessary include statement.

2000-11-17 09:19:41  roessler  (roessler)

	* po/sv.po: Small fix from Jörgen Tegnér <teg@post.netlink.se>.

	* imap/auth_gss.c: [stable] GSSAPI patch from Bill Nottingham
	<notting@redhat.com>.

	* doc/manual.sgml.tail, curs_main.c, functions.h: Make folder
	synchronization possible from within the pager.  From Chris
	Cutler <cutler@bluemug.com>.

2000-11-15 20:29:58  roessler  (roessler)

	* charset.c: Fix langinfo-based character set detection.
	From Martin Norbäck <d95mback@dtek.chalmers.se>.

2000-11-14 16:57:19  roessler  (roessler)

	* curs_main.c: another possibly problematic case.

	* curs_main.c: Try fixing a possible segmentation fault.  I'm not
	entirely sure how I produced it, but it's at least obvious where
	it happened.

2000-11-13 22:19:57  roessler  (roessler)

	* gnupgparse.c, init.h, mutt.h: Add the pgp_ignore_subkeys option.
	Unset it to get the traditional listing with all the subkeys.
	(Experimental, may introduce new bugs.)

	* po/ru.po, po/sv.po: update

	* remailer.c: Qualify some more header fields.

2000-11-07 10:31:51  roessler  (roessler)

	* init.h, mutt.h, send.c: Add a sig_on_top option.

	* po/el.po: update

2000-11-06 11:27:07  roessler  (roessler)

	* po/zh_TW.Big5.po, po/da.po: update

	* configure.in: Make building mutt without iconv support possible.
	From EGE.

2000-11-03 10:16:32  roessler  (roessler)

	* init.h: Change pgp_good_sign's default to 0 instead of UL "".
	This should fix the annoying error messages when starting up
	mutt on some systems.

	* init.c: Make error reporting more verbose.

	* po/de.po, po/fr.po, po/id.po: updates

2000-11-01 13:14:18  roessler  (roessler)

	* po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po,
	po/uk.po, po/id.po, po/it.po, po/ko.po, po/nl.po, po/pl.po,
	po/pt_BR.po, po/ru.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, po/es.po, po/fr.po, po/gl.po, ChangeLog, VERSION,
	reldate.h: automatic post-release commit for mutt-1.3.11

2000-10-27 10:51:01  roessler  (roessler)

	* enter.c: A nicer version of {capitalize,...}-word functions.

	* doc/manual.sgml.head: Document the recent additions to the
	line editor.

	* OPS, enter.c, functions.h: Add capitalize-word, upcase-word,
	downcase-word functions to the editor.	Bindings follow the
	Emacs conventions (i.e., M-c, M-u, M-d).

2000-10-25 18:56:20  roessler  (roessler)

	* rfc822.c: Fix parsing of route-addrs.

2000-10-24 08:59:21  roessler  (roessler)

	* doc/manual.sgml.tail: Document edit-type.  From Mikko Hänninen.

	* po/el.po: update

2000-10-23 16:39:10  roessler  (roessler)

	* doc/manual.sgml.head: Typo.  From Daniel Roesen <dr@bofh.de>.

	* doc/manual.sgml.head: Fix documentation of uznknown MIME type
	handling.  From Brian Salter-Duke <b_duke@lacebark.ntu.edu.au>

2000-10-18 09:01:56  roessler  (roessler)

	* recvattach.c: Fix tree formatting in the recvattach menu.

2000-10-17 15:10:51  roessler  (roessler)

	* commands.c, curs_lib.c, hdrline.c, menu.c, protos.h: Fix
	pager and index display when non-printable space characters
	are encountered.  From EGE.

	* sendlib.c: Teach mutt to attach files of arbitrary type.

2000-10-16 17:29:55  roessler  (roessler)

	* curs_lib.c: nl_langinfo({YES,NO}EXPR) may return an _extended_
	regular expression.  Close #312.

	* po/zh_TW.Big5.po, po/id.po, po/sv.po: update

	* mutt_socket.c: Fix the strange "Can't connect" error messages.
	From Brendan Cully.

2000-10-12 14:49:58  roessler  (roessler)

	* po/da.po: update

2000-10-11 14:17:17  roessler  (roessler)

	* po/de.po: update.

	* po/fr.po: update

	* po/uk.po, po/zh_CN.GB2312.po, po/zh_TW.Big5.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sv.po, po/nl.po, po/pl.po, po/ko.po,
	po/es.po, po/fr.po, po/gl.po, po/id.po, po/it.po, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/eo.po, ChangeLog, Makefile.am,
	VERSION, reldate.h: automatic post-release commit for mutt-1.3.10

	* buffy.c: Compilation fix from Emil Sit <sit@cisco.com>.

2000-10-10 19:22:48  roessler  (roessler)

	* po/POTFILES.in, doc/manual.sgml.head, globals.h, init.c,
	init.h, mailbox.h, mutt.h, muttlib.c, mx.c, mx.h, pop.c, pop.h,
	pop_auth.c, pop_lib.c, protos.h, recvattach.c, Makefile.am,
	browser.c, buffy.c, commands.c, compose.c, configure.in,
	curs_main.c: Vsevolod Volkov's POP mailbox patch.

	* doc/manual.sgml.head: Mixmaster documentation patch from
	Brian Salter-Duke.

2000-10-09 08:30:35  roessler  (roessler)

	* main.c: Add an #ifdef for HAVE_GETADDRINFO.

	* mutt_socket.c: Use AF_INET6 only when necessary.

2000-10-07 18:06:24  roessler  (roessler)

	* curs_lib.c, help.c: Display fixes from EGE.

2000-10-05 19:12:28  roessler  (roessler)

	* query.c: Catch some possible NULL pointer deferences.
	From chris+usenet@chiappa.net (Chris Chiappa), posted to
	comp.mail.mutt.

2000-10-04 18:50:35  roessler  (roessler)

	* mutt_ssl_nss.c: Downgrade Michael Elkins' indentation style
	to the version used throughout mutt. ;-)

	* Makefile.am, acconfig.h, configure.in, init.c, init.h,
	mutt.h, mutt_socket.c, mutt_ssl_nss.c, pop.c: Adding support for
	Netscape's (pardon, Mozilla's) SSL implementation.  From Michael
	Elkins.

	* globals.h, init.h, mutt_socket.c, protos.h:
	patch.me.connect_timeout.1

	* signal.c: branches:  2.6.2; patch.me.connect_timeout.1

2000-10-03 10:47:20  roessler  (roessler)

	* NEWS: Document some of the recent user-visible changes.

	* doc/manual.sgml.head: More documentation for the "L" to_char.
	Thanks, Byrial!

	* hdrline.c, init.h: Adding a list flag to to_chars,  From Andreas
	Plesner Jacobsen <apj@wol.dk>.	Note: If you don't like the new
	behaviour, just set $to_chars to the old " +TCF" value.

	* po/ru.po: update

2000-10-02 09:11:52  roessler  (roessler)

	* configure.in, mutt_socket.c: patch-bac.ipv6-1

	* curs_lib.c: patch-1.3.9.bj.yesno.1

2000-09-28 06:53:36  roessler  (roessler)

	* init.h: Fix a minor typo.  From Byrial.

	* INSTALL, charset.c, charset.h, init.c: Document the
	--without-wc-funcs switch to configure, and clean up the code
	to set the character set from nl_langinfo from EGE.

2000-09-27 14:28:35  roessler  (roessler)

	* charset.c: Catch another error condition which may be caused
	by a broken nl_langinfo() function.

	* COPYRIGHT: We don't need to mention EAY's copyright any more.

	* charset.c: Fix #287.

2000-09-26 23:05:46  roessler  (roessler)

	* po/eo.po: update

	* Makefile.am, checktypes.c, main.c, pgppubring.c, sha.h, sha1.c,
	sha1.h, sha1dgst.c, sha_locl.h: Replace the BSD-licensed sha-1
	from SSLeay with a public domain version in order to satisfy
	GPL license zelots.

2000-09-25 13:03:09  roessler  (roessler)

	* po/sv.po: update

	* send.c: patch-1.3.9.bj.f-up-prompt.1

2000-09-21 09:37:14  roessler  (roessler)

	* po/sk.po, po/sv.po, po/uk.po, po/zh_CN.GB2312.po,
	po/zh_TW.Big5.po, po/ru.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/it.po, po/ko.po, po/es.po, po/fr.po, po/gl.po, po/id.po,
	po/el.po, po/eo.po, po/da.po, po/de.po, po/cs.po, ChangeLog,
	VERSION, reldate.h: automatic post-release commit for mutt-1.3.9

	* rfc2047.c: Make some of the code more readable.  From EGE.

2000-09-15 09:19:29  roessler  (roessler)

	* rfc2047.c, rfc2047.h, sendlib.c: Fix some RFC2047 encoding bugs.

2000-09-13 21:01:31  roessler  (roessler)

	* rfc2047.c: Undo part of the character set canonicalization.
	EGE pointed out it isn't needed.

	* rfc2231.c: Replace "unknown" by "unknown-8bit".

	* sendlib.c: s/iconv_open/mutt_iconv_open/.  Suggested by EGE.

	* charset.c: Add "646" as an alias for us-ascii.  SunOS 5.8
	seems to need it.

	* browser.c: Let the browser handle non-existent directories
	more gracefully.  From Byrial Jensen.

2000-09-12 23:18:47  roessler  (roessler)

	* configure.in: Remove some caching.  From EGE.

2000-09-11 10:50:37  roessler  (roessler)

	* charset.c, copy.c, mbyte.c, rfc2047.c, sendlib.c: Fix some
	more character set glitches.

2000-09-09 07:30:29  roessler  (roessler)

	* charset.c: sizeof (dest) == 4.  I should have written dlen
	instead.  Noted by EGE.

2000-09-08 21:52:04  roessler  (roessler)

	* imap/imap.c: Brendan's version of the last fix.  I put it in
	since he's most likely the next one to look at or change this. ,-)

	* imap/imap.c: Fix a silly little IMAP bug.  From Daniel
	Jacobowitz <dan@debian.org>.

	* charset.c, protos.h, rfc2231.c, sendlib.c: Add a character
	set comparison function.

2000-09-07 21:56:00  roessler  (roessler)

	* charset.c: Add a table of official character set names.
	Data taken from www.iana.org.

	* rfc2231.c: Detect pure 7bit data and don't encode them.
	This helps a bit in situations where mutt believes it has some
	really strange us-ascii alias as the character set.

	* po/es.po, po/es.po, po/el.po: update

	* curs_lib.c: Make the use of nl_langinfo(YESEXPR/NOEXPR)
	more robust.  Problem noted by Wolfgang Baumann <baumann@zib.de>.

2000-09-06 08:47:13  roessler  (roessler)

	* snprintf.c: Fix the MAX fix.	from Byrial Jensen.

2000-09-05 22:14:36  roessler  (roessler)

	* init.c, muttlib.c, pgppubring.c, protos.h, snprintf.c: Clean
	up some warning messages.  From Bob Bell.

	* hook.c: Fix a segmentation fault in hook parsing.  From Bob
	Bell.

2000-09-04 10:49:48  roessler  (roessler)

	* imap/browse.c, imap/imap.c, imap/imap.h, imap/imap_private.h,
	imap/util.c, account.c, account.h, browser.c, curs_main.c, url.c,
	url.h: patch-bac.imapurl-4

	* po/ru.po, po/da.po, po/da.po: update

	* po/id.po: update.

	* recvcmd.c: Fix a segmentation fault when replying to multiple
	message/rfc822-type attachments.  Noted by David Champion.

2000-09-01 08:58:39  roessler  (roessler)

	* init.c: Don't mutt_pretty_mailbox when setting variables,
	since this may badly interact with non-default settings.
	Suggested by Byrial Jensen.

2000-08-31 15:14:25  roessler  (roessler)

	* muttlib.c: patch-1.3.8.bj.pretty_mailbox.1

	* doc/manual.sgml.head: patch-1.3.8.bj.manquote.1

	* imap/command.c, imap/imap.c: patch-bac.command-3

2000-08-30 21:34:42  roessler  (roessler)

	* pager.c: Fix display of backspace sequences.	From EGE.

	* po/fr.po, po/de.po: update

	* po/sk.po, po/sv.po, po/uk.po, po/zh_CN.GB2312.po,
	po/zh_TW.Big5.po, po/id.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/pt_BR.po, po/ru.po, po/cs.po, po/da.po, po/de.po,
	po/el.po, po/eo.po, po/es.po, po/fr.po, po/gl.po, ChangeLog,
	VERSION: automatic post-release commit for mutt-1.3.8

	* VERSION: ups

	* po/POTFILES.in, imap/Makefile.am, imap/imap_ssl.c,
	imap/imap_ssl.h, imap/md5.h, imap/md5c.c, imap/util.c, ChangeLog,
	Makefile.am, VERSION, configure.in, curs_main.c, init.c, md5.h,
	md5c.c, mutt_socket.c, mutt_ssl.c, mutt_ssl.h, reldate.h: SSL
	unification patch from Vsevolod.

	* imap/command.c, imap/imap.c, imap/message.c, imap/message.h:
	patch-bac.expunge-2

	* muttlib.c: Fix mutt_prety_mailbox.  From Vsevolod.

2000-08-29 11:36:25  roessler  (roessler)

	* curs_lib.c: The next version of Byrial Jensen's yesorno patch,
	this time without a memory leak.

	* acconfig.h, configure.in, curs_lib.c, main.c: Use locale for
	yes/no expressions.

2000-08-28 13:14:55  roessler  (roessler)

	* rfc2231.c: Little fix from EGE.

	* po/ru.po: Update from Vsevolod.

2000-08-28 09:40:28  EGE  (roessler)

	* complete.c: Fix a buffer overrun in complete.c.

2000-08-28 09:39:36  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/auth_sasl.c, imap/command.c, imap/imap_private.h,
	muttlib.c: The attached small patch adjusts mutt_pretty_mailbox
	to handle URLs.

2000-08-28 09:38:42  Edmund GRIMLEY EVANS  <edmundo@rano.org>  (roessler)

	* browser.c, curs_lib.c, hdrline.c, protos.h, recvattach.c: This
	patch moves hdr_format_s from hdrline.c to curs_lib.c and renames
	it to mutt_format_s. The function is then used in various places
	in browser.c and recvattach.c where previously there was "%%%ss".

2000-08-28 09:37:44  roessler  (roessler)

	* rfc2047.c, rfc2047.h, rfc2231.c, rfc2231.h, sendlib.c: Do
	character set selection for RFC2231 encodings.	From EGE, but
	with choose_charset renamed to mutt_choose_charset.

2000-08-28 09:32:58  edmundo@rano.org (EGE)  (roessler)

	* mbyte.c, protos.h, utf8.c, wcwidth.c: This is the patch TAKIZAWA
	Takashi and I came up with in the end.

	When the Charset is euc-jp or shift_jis, iconv is used for
	mbrtowc and wcrtomb. The worst part is mbrtowc_iconv(), where
	I attempted to make mbrtowc both restartable (it can process
	part of multibyte character) and fast in the case where there
	is nothing left over from a previous character. Also I try to
	make no assumptions about how those character sets work, which
	is easy, because I know very little about them ...

	People who don't use one of those two stateless Japanese display
	charsets shouldn't be affected. People whose systems provide
	the wchar_t functions should be even less affected, because they
	don't even get this code in their binary.

2000-08-25 06:28:24  roessler  (roessler)

	* imap/imap.c, imap/imap_ssl.c, imap/imap_ssl.h, imap/util.c,
	account.c, account.h, browser.c, mutt_socket.c, mx.c, url.c,
	url.h: patch-bac.imapurl-2, with small modifications.

2000-08-22 22:23:10  roessler  (roessler)

	* muttlib.c: Fix #251, from Brendan.

	* Makefile.am, main.c, parse.c, protos.h, url.c, url.h: Add an
	URL parser, and support for mailto URLs.

	* doc/manual.sgml.head: Minor fixes from Will Fiveash.

	* po/ru.po: update

	* hdrline.c: Fix %B in index_format.

2000-08-21 19:25:26  roessler  (roessler)

	* imap/browse.c, imap/imap.c, mutt_socket.c, muttlib.c:
	patch-bac.parsepath-2

	* doc/manual.sgml.head, doc/manual.sgml.tail: Documentation
	patch from Lars Hecking.

	* imap/imap.h, imap/imap_private.h, imap/message.c, imap/util.c,
	imap/browse.c, imap/command.c, imap/imap.c, doc/manual.sgml.head,
	browser.c, browser.h, buffy.c, functions.h, globals.h, init.h,
	OPS: patch-bac.createplus-1

	* imap/auth_anon.c, imap/auth_cram.c, imap/auth_gss.c,
	imap/auth_login.c, imap/auth_sasl.c, imap/browse.c,
	imap/command.c, imap/imap.c, imap/imap_private.h, imap/message.c:
	patch-bac.command-2

2000-08-17 06:06:02  roessler  (roessler)

	* po/zh_CN.GB2312.po, configure.in: Adding zh_CN.GB2312
	translation.

	* imap/Makefile.am, doc/Makefile.in, mutt_socket.c, mx.c: Random
	cleanup from Brendan Cully.

	* hdrline.c: Fix justification of number formats.  (EGE)

2000-08-15 17:21:19  roessler  (roessler)

	* po/ru.po: update

	* mbyte.c, pager.c, protos.h: Another charset fix from EGE.

2000-08-10 15:48:13  roessler  (roessler)

	* imap/Makefile.am: Fix from Brendan Cully.

	* doc/mutt.man, doc/muttrc.man.tail: More minor fixes.

	* doc/mutt.man: Document $MAILDIR.

	* init.c: Tell mutt about the MAILDIR environment variable DJB
	talks about in maildir (5).

	* doc/muttbug.man: Fix a typo.

	* doc/mbox.man: fix some typos.

2000-08-09 21:14:35  roessler  (roessler)

	* doc/Makefile.in, doc/mbox.man: Install mbox (5), and fix a typo.

	* doc/mbox.man: Document the mbox format in a manual page.
	There may be some need for this.

	* Makefile.am, configure.in, init.c, main.c: Minor portability
	and compilation fixes.

2000-08-08 18:17:54  roessler  (roessler)

	* po/POTFILES.in: Some files were missing.  From Vsevolod Volkov.

	* imap/Makefile.am, imap/command.c, imap/imap.c,
	  imap/imap_private.h, imap/message.c, init.c, mutt_socket.c,
	  mx.c: * handles expunged messages better. Previously mutt's
	  state was only updated when syncing the mailbox. This was the
	  reason for Bob Bell's segfault when manipulating mailboxes
	  with multiple simultaneous clients.
	* makes a small adjustment for Sam's weird Courier server, which
	  returns an OK FETCH completed response even when FETCH fails. I
	  should probably report that behaviour to him as a bug, though.
	* renames IMAP_REOPEN_PENDING to IMAP_EXPUNGE_PENDING * gets
	rid of the _("Closing mailbox...") message, which was obscuring
	  the status updates.  * clears some spurious mutt_clear_error
	calls in imap_cmd_finish.  * makes socket reads and writes check
	that they have an open
	  connection. Shouldn't be necessary (and such calls are logged),
	  but can happen currently.
	* Some SASL vs regular authenticator tweaks in the imap Makefile.

	(From Brendan Cully.)

2000-08-07 08:31:36  roessler  (roessler)

	* po/Makefile.in.in, imap/Makefile.am, Makefile.am, configure.in,
	mapping.h, sort.h: Cross compilation patches from Rüdiger Kuhlmann
	<ruediger.kuhlmann@stud.uni-karlsruhe.de>.

2000-08-06 14:35:15  roessler  (roessler)

	* curs_lib.c: Return an exit value of 1 if mutt is left via
	ctrl-c.  From Andre Albsmeier <andre.albsmeier@mchp.siemens.de>.

2000-08-05 17:50:03  roessler  (roessler)

	* imap/imap.c, imap/imap_private.h, imap/message.c,
	imap/Makefile.am, imap/auth_anon.c, imap/auth_cram.c,
	imap/auth_gss.c, imap/auth_login.c, imap/auth_sasl.c,
	imap/browse.c, imap/command.c, mutt_socket.c: Unified IMAP
	command code.

	* doc/manual.sgml.head, doc/manual.sgml.head: Fix keyboard
	binding documentation.	From Thomas Schultz <tststs@gmx.de>.

2000-08-04 21:47:11  roessler  (roessler)

	* sendlib.c: Fix a character set encoding bug. From EGE.

	* imap/auth_sasl.c, imap/imap_ssl.c, doc/manual.sgml.head,
	account.c, mutt_sasl.c, mutt_sasl.h, mutt_socket.c, mutt_socket.h:
	SASL patch from Brendan Cully.

2000-08-03 22:08:13  roessler  (roessler)

	* charset.c: fix a segmentation fault.

	* po/eo.po, po/sv.po: update.

	* po/ru.po, po/sk.po, po/sv.po, po/uk.po, po/zh_TW.Big5.po,
	po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/fr.po, po/gl.po,
	po/id.po, po/it.po, VERSION, imap/Makefile.am, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, reldate.h, ChangeLog:
	automatic post-release commit for mutt-1.3.7

	* sendlib.c: Use a correct Envelope from when bouncing with
	$envelope_from enabled.

	* imap/BUGS, imap/auth_sasl.c, imap/imap.c, imap/imap_ssl.c,
	mutt_sasl.c: More IMAP fixes from Brendan.

2000-08-02 18:03:21  roessler  (roessler)

	* po/it.po: update

2000-08-01 18:04:42  roessler  (roessler)

	* mx.c: Fix from BC

	* imap/auth.c, imap/auth_gss.c, imap/auth_sasl.c, imap/message.c:
	Brendan's latest patches.

2000-07-31 10:49:00  roessler  (roessler)

	* po/fr.po: update.

	* m4/gettext.m4, imap/Makefile.am, imap/auth.c, imap/auth.h,
	imap/auth_anon.c, imap/auth_cram.c, imap/auth_gss.c,
	imap/auth_login.c, imap/auth_sasl.c, imap/command.c,
	imap/imap.c, imap/imap_private.h, Makefile.am, acconfig.h,
	account.c, account.h, configure.in, globals.h, init.h, main.c,
	mutt_sasl.c, mutt_sasl.h, mutt_socket.c, mutt_socket.h: Brendan
	Cully's SASL patch.  I hope I didn't miss any files.

2000-07-29 16:33:53  roessler  (roessler)

	* po/id.po: update.

	* imap/README: updated readme file.

	* Makefile.am: Make sure checktypes and makedoc don't depend on
	the intl library.

	* po/de.po: update.

2000-07-28 19:00:31  roessler  (roessler)

	* po/ru.po, po/sk.po, po/sv.po, po/uk.po, po/zh_TW.Big5.po,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/eo.po,
	po/es.po, po/fr.po, po/gl.po, po/id.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, ChangeLog, VERSION, reldate.h: automatic
	post-release commit for mutt-1.3.6

	* Makefile.am: parse.h no longer exists, so don't try to
	distribute it.

	* po/sv.po: branches:  1.27.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/uk.po: branches:  1.42.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/zh_TW.Big5.po: branches:  1.30.2.6.2; automatic post-release
	commit for mutt-1.2.5

	* po/pt_BR.po: branches:  1.20.2.6.2; automatic post-release
	commit for mutt-1.2.5

	* po/ru.po: branches:  1.67.2.7.2; automatic post-release commit
	for mutt-1.2.5

	* po/sk.po: branches:  1.28.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/ko.po: branches:  1.31.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/nl.po: branches:  1.36.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/pl.po: branches:  1.39.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/gl.po: branches:  1.23.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/id.po: branches:  1.31.2.7.2; automatic post-release commit
	for mutt-1.2.5

	* po/it.po: branches:  1.59.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/el.po: branches:  1.31.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/eo.po: branches:  1.30.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/es.po: branches:  1.49.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* po/fr.po: branches:  1.45.2.7.2; automatic post-release commit
	for mutt-1.2.5

	* po/cs.po: branches:  1.35.2.7.2; automatic post-release commit
	for mutt-1.2.5

	* po/da.po: branches:  1.13.2.7.2; automatic post-release commit
	for mutt-1.2.5

	* po/de.po: branches:  1.99.2.7.2; automatic post-release commit
	for mutt-1.2.5

	* reldate.h: automatic post-release commit for mutt-1.2.5

	* ChangeLog: branches:	2.40.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* VERSION: branches:  2.28.2.6.2; automatic post-release commit
	for mutt-1.2.5

	* imap/imap.c, imap/imap_private.h, imap/message.c: Use UIDs
	instead of sequence numbers in IMAP.  (Brendan)

	* imap/imap.c, imap/imap_private.h, imap/message.c,
	imap/message.h, imap/command.c, mutt.h, muttlib.c, mx.c: Handle
	expunged messages.  From Brendan Cully.

2000-07-26 09:30:01  roessler  (roessler)

	* doc/manual.sgml.head: Nits from Michael Sobolev.

2000-07-25 16:35:48  roessler  (roessler)

	* Makefile.am: Include the muttbug wrapper with the distribution.

	* doc/Makefile.in: Install muttbug.man als flea.1.

	* doc/mutt.man, doc/muttbug.man, Makefile.am, main.c, muttbug:
	Install muttbug(1) as flea(1), and adjust the documentation
	accordingly.  Note: Typing muttbug will still work.

	* doc/muttbug.man: More tiny fixes.

	* doc/muttbug.man: Fix some typos.  In particular, it's bug
	tracking system, not buck tracking system.  Oh well.

	* doc/Makefile.in, doc/mutt.man, doc/muttbug.man: muttbug(1)
	has a manual page of it's own now.

	* muttbug.sh.in: Fix a little bug concerning version numbers.

	* Makefile.am: The warning about README.UPGRADE can go.

	* doc/mutt.man: Mention the bug tracking system.

	* INSTALL: Mention that mutt needs an iconv implementation,
	and point users to libiconv.

	* INSTALL: Mention OpenBSD

	* Makefile.am: Remove types.h at "make clean" time.

	* curs_main.c: Fix a segmentation fault in the index.

	* curs_main.c: Try to fix a segmentation fault in the index.

2000-07-24 07:48:53  roessler  (roessler)

	* browser.h: make bit types unsigned.  From albert chin
	<china@thewrittenword.com>.

	* curs_lib.c, hdrline.c, help.c, mbyte.c, mbyte.h, menu.c:
	Replace wctomb and mbtowc with wcrtomb and mbrtowc.  From TAKIZAWA
	Takashi <taki@luna.email.ne.jp>, with small changes from Edmund
	Grimley Evans.

2000-07-23 21:47:01  roessler  (roessler)

	* menu.c: Fix #108, from Gero Treuner.

	* configure.in, resize.c: sys/ioctl.h vs. ioctl.h.  From Sam
	Roberts.

	* rfc2231.c: Fix an obvious bug which prevented rfc2231 _encoding_
	support from working.

2000-07-22 09:01:43  roessler  (roessler)

	* configure.in, mutt.h: Some more QNX compiling aides.

2000-07-21 07:32:12  roessler  (roessler)

	* imap/md5.h, Makefile.am, checktypes.c: Try to be smart about
	integer types.

	* imap/imap.c: Fix imap_passive.  From Brendan Cully.

	* contrib/Makefile.in: Fix #150.  From Brendan Cully.

2000-07-20 17:51:52  roessler  (roessler)

	* doc/devel-notes.txt: Typo.

	* imap/browse.c, imap/command.c, imap/imap.c, imap/imap.h,
	imap/imap_private.h, imap/util.c, mutt_socket.c, mutt_socket.h,
	mx.c, pop.c: Another IMAP patch from Brendan.

	* imap/util.c: quick hack against mx->mbox being NULL.

	* imap/BUGS, imap/imap.c, imap/imap.h, imap/util.c, postpone.c:
	patch-bac.postpone-2

	* pop.c: Use shared socket code, from Vsevolod Volkov.

2000-07-19 10:21:57  roessler  (roessler)

	* po/POTFILES.in, imap/Makefile.am, imap/auth.c, imap/auth_gss.c,
	imap/browse.c, imap/imap.c, imap/imap.h, imap/imap_private.h,
	imap/imap_socket.h, imap/imap_ssl.c, imap/imap_ssl.h,
	imap/message.c, imap/socket.c, imap/util.c, Makefile.am,
	acconfig.h, account.c, account.h, browser.c, configure.in,
	gettext.c, globals.h, init.c, init.h, mutt_socket.c,
	mutt_socket.h: IMAP socket moves by Brendan Cully, with a fix
	from Tommi Komulainen, and most likely based on input from
	Vsevolod Voykov (sp?).

	* imap/util.c: Fix more possible IMAP memory corruption.
	From Brendan Cully.

	* imap/util.c: Fix possible memory corruption in stable.
	From Brendan Cully.

	* imap/imap_private.h, imap/message.c, imap/socket.c, imap/imap.c:
	Backport various IMAP bug-fixes to stable.  From Brendan Cully.

2000-07-18 14:38:13  roessler  (roessler)

	* imap/auth.c, imap/auth_gss.c, imap/browse.c, imap/command.c,
	imap/imap.c, imap/imap_private.h, imap/message.c, imap/socket.c:
	More IMAP clean-up from Brendan Cully.

	* imap/imap.c, imap/imap_private.h, imap/message.c, imap/socket.c,
	imap/utf7.c: IMAP fixes from Brendan Cully.

	* init.h, init.h: Documentation fix.

2000-07-17 18:08:27  roessler  (roessler)

	* imap/message.c: Fix possible heap corruption.  From Brendan
	Cully.

	* imap/utf7.c: Name changes left out by EGE's patch.

	* imap/util.c, imap/imap_private.h: imap/UTF7 related fixes
	from EGE.

	* curs_main.c: Fix #192.

2000-07-16 15:35:14  roessler  (roessler)

	* imap/Makefile.am, imap/browse.c, imap/imap.c,
	imap/imap_private.h, imap/message.c, imap/utf7.c, imap/util.c:
	Support modified UTF-7 in folder names.  From Edmund Grimley
	Evans, modified by Brendan Cully.

	* handler.c: Another qp fix.

	* handler.c: More qp decoder modifications: We should handle
	multibyte characters spanning soft line breaks.

	* handler.c: Rewrite the quoted-printable decoder so it properly
	chops off trailing white space.  Problem noted by Byrial Jensen.

2000-07-15 06:51:47  roessler  (roessler)

	* imap/socket.c: Add a message that we are looking up a host.

2000-07-14 15:03:43  roessler  (roessler)

	* imap/message.c, imap/message.h: Brendan's latest IMAP changes.

	* README.SSL: Tommi Komulainen's entropy gathering patch -
	documentation.

2000-07-12 14:17:46  roessler  (roessler)

	* po/cs.po: update.

	* imap/imap_ssl.c: Entropy gathering fixes.

	* configure.in: Re-apply the iconv patch from vvv.

	* configure.in: undo the enable-external-dotlock patch.

	* handler.c: Initialize a variable in order to avoid a
	segmentation fault.  From Aaron Schrab.

2000-07-11 20:38:49  roessler  (roessler)

	* imap/imap.c, imap/imap_private.h, imap/socket.c: Unify logout
	stuff in _one_ function.  From Vsevolod Volkov.

	* imap/message.c: Disable a bug work-around which actually
	breaks things.

	* configure.in: Typo, noted by Brad <brad@comstyle.com>.

2000-07-10 19:52:12  roessler  (roessler)

	* main.c: Typo.

	* po/id.po: update.

	* rfc2047.c: Fix some possible NULL pointer deferences in the
	RFC2047 code.

	* imap/command.c, imap/imap.c, imap/message.c, imap/socket.c,
	browser.c, pgpkey.c, pop.c, query.c, remailer.c: Fix a bunch
	of cases where format parameters were missing from calls to
	mutt_message and mutt_error.

	* imap/command.c, imap/imap.c, imap/message.c, browser.c,
	pgpkey.c, pop.c, query.c, remailer.c: [stable] Fix a bunch of
	cases where format parameters were missing to calls of mutt_error
	and mutt_message.

	* po/ru.po, po/de.po, po/da.po: update.

	* po/da.po: Update.

	* INSTALL, acconfig.h, charset.c, configure.in, main.c: Some
	changes from EGE.

2000-07-07 15:12:37  roessler  (roessler)

	* po/fr.po: update

	* attach.c, copy.c, editmsg.c, from.c, mbox.c, parse.c, parse.h,
	pgp.c, protos.h: Fix #185:  is_from would return 0 (i.e., error)
	when parsing Jan 1 1970 12:00 - apparently, this point of time
	occurs on real mail folders.

2000-07-06 23:08:39  roessler  (roessler)

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/pt_BR.po, po/ru.po,
	po/sk.po, po/nl.po, po/pl.po, po/it.po, po/ko.po, po/es.po,
	po/fr.po, po/gl.po, po/id.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, ChangeLog, VERSION, po/cs.po: automatic post-release
	commit for mutt-1.2.4

	* muttlib.c: ups, this should be fixed in stable.

	* po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/uk.po,
	po/zh_TW.Big5.po, po/ko.po, po/nl.po, po/pl.po, po/eo.po,
	po/es.po, po/fr.po, po/gl.po, po/id.po, po/it.po, po/cs.po,
	po/da.po, po/de.po, po/el.po, reldate.h, ChangeLog, VERSION:
	automatic post-release commit for mutt-1.3.5

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/pt_BR.po, po/ru.po,
	po/sk.po, po/ko.po, po/nl.po, po/pl.po, po/fr.po, po/gl.po,
	po/id.po, po/it.po, po/el.po, po/eo.po, po/es.po, po/cs.po,
	po/da.po, po/de.po, reldate.h, ChangeLog, VERSION: automatic
	post-release commit for mutt-1.2.3

	* po/fr.po: update.

	* imap/auth.c, imap/auth_gss.c, imap/browse.c, imap/command.c,
	imap/imap.c, imap/imap_private.h, imap/imap_socket.h,
	imap/message.c, imap/socket.c: More IMAP clean-up.

	* imap/imap_private.h, imap/imap_socket.h, imap/message.c,
	imap/socket.c, imap/util.c, imap/browse.c, imap/command.c,
	imap/imap.c: More IMAP fixes from Brendan Cully.

2000-07-05 14:39:14  roessler  (roessler)

	* imap/socket.c: Fix the Fix.  From TK.

2000-07-05 10:32:17  Tommi Komulainen  <Tommi.Komulainen@iki.fi>
(roessler)

	* imap/imap_ssl.c, imap/socket.c: - imap_logout_all assumed
	  every connection with descriptor value != 0 to be ready for
	  reading/writing. Unfortunately when the descriptor was closed,
	  conn->fd remained untouched. This is why mutt segfaulted if
	  IMAP login was aborted with ^G.

	- ssl_socket_close was called without calling ssl_socket_open
	  first.  This caused a segfault because conn->sockdata was
	  NULL. Apparently there was also a memory leak, because
	  conn->sockdata was never free'd :-]

2000-07-05 08:05:03  roessler  (roessler)

	* imap/BUGS, imap/TODO, imap/auth.c, imap/imap.c, imap/socket.c:
	IMAP cosmetics from Brendan Cully.

2000-07-04 17:59:10  roessler  (roessler)

	* doc/manual.sgml.head: slight documentation imrpovement from
	Will Fiveash.

2000-07-03 15:26:22  roessler  (roessler)

	* po/de.po: update

	* imap/BUGS, imap/command.c, imap/imap.c, imap/imap.h,
	imap/imap_socket.h, imap/socket.c, imap/util.c, curs_main.c:
	IMAP logout patch from Brendan Cully.

	* po/id.po: update

	* po/id.po: update.

	* rfc2047.c: "Where have all the headers gone" fix from EGE.

	* sendlib.c: utf8 -> utf8 fix (From EGE).

	* rfc2047.c: RFC 2047 patch from EGE.

2000-06-30 08:28:56  roessler  (roessler)

	* po/pl.po: fix a format.

	* sendlib.c: Character set fix from EGE.

2000-06-27 22:28:01  roessler  (roessler)

	* sendlib.c: minor change from EGE.

	* main.c, rfc2047.c: Cosmetics.  No, I didn't touch the word-wrap
	code. ;-)

2000-06-26 23:10:26  roessler  (roessler)

	* muttlib.c: Fix a possible segfault in mutt_expand_folder. Noted
	by AMK; [stable].

	* muttlib.c: Fix a possible segmentation fault in
	mutt_expand_path.  Noted by Andreas M. Kirchwitz.

	* doc/Makefile.in, contrib/Makefile.in: "make check" cosmetics.

	* contrib/sample.muttrc-tlr: update.

	* configure.in: Iconv detection patch.	From Lars Hecking.

	* color.c, color.c: Fix #173.  From Roland Rosenfeld.

2000-06-22 23:18:36  roessler  (roessler)

	* muttlib.c: Avoid crashing when forwarding message/rfc822-type
	attachments.

	* Makefile.am, prepare: Lars Hecking's build process patch
	for stable.

	* rfc822.c: branches:  2.9.2.1.2; Fix stack corruption
	in the RFC822 parser.  Noted by Ari Gordon-Schlosberg
	<ari@heavyware.com>.

	* rfc822.c: Fix stack corruption in the RFC822 parser.
	Problem noted by Ari Gordon-Schlosberg <ari@heavyware.com>.

	* recvattach.c: Merge two almost-identical string constants.
	From Byrial.

2000-06-21 19:23:23  roessler  (roessler)

	* imap/auth_gss.c: More debug code which needs #ifdefs.

	* imap/auth_gss.c: More debugging code which needs #ifdefs.

	* po/eo.po: update.

	* Makefile.am, prepare: Work-around for keymap_defs and other
	dependency problems.  From Lars Hecking.

	* muttlib.c: Fix ~logname expansion for stable.

	* muttlib.c: Fix ~logname expansion.

	* README: Remove explicit list of mirrors, and refer to
	download.html.

	* mbox.c: Fix another mbox synch problem.

	* mbox.c: Fix another bug in mbox synching.

	* postpone.c: Some more character set cleanup,.

	* commands.c, compose.c, muttlib.c, pgpkey.c, postpone.c,
	protos.h, recvattach.c, send.c, sendlib.c: More character set
	clean-up.

	* postpone.c: Improve character set handling when postponing
	messages.  This patch may lead to information loss under very
	special circumstances.

	* muttlib.c, protos.h: Remove unused mutt_dup_body () function.

	* compose.c, pgpkey.c, protos.h, recvattach.c, send.c, sendlib.c:
	Fix character set selection.  Postponing and recalling messages
	should work again, now.

	* postpone.c, sendlib.c: Fix a file descriptor leak in sendlib.c.

	* main.c, main.c: patch-1.3.2.tbm.lastfolder, from Martin
	Michlmayr <tbm@cyrius.com>.

	* commands.c, hook.c, protos.h, recvattach.c, recvcmd.c, send.c:
	Apply message-hook to more commands, and make it more useful by
	permitting the "~h" and "~b" pattern specifiers.  Bad enough, this
	removes message-hook abilities from the receive-attachment menu.

2000-06-20 22:23:37  roessler  (roessler)

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/pl.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/it.po, po/ko.po, po/nl.po, po/es.po,
	po/fr.po, po/gl.po, po/id.po, po/el.po, po/eo.po, po/cs.po,
	po/da.po, po/de.po, ChangeLog, VERSION, reldate.h: automatic
	post-release commit for mutt-1.2.2

	* build-release: Add a "make" call, so build-release will also
	work from a source tree which hasn't been built recently.

	* commands.c: Do some comparisons case-insensitive.

	* po/ru.po: update.

	* doc/muttrc.man.head: s/display-hook/message-hook/

	* po/de.po: Fix a misleading fuzzy translation about PGP
	signature validity.  From Roland Rosenfeld.

	* imap/imap.c: Don't use debuglevel unless DEBUG is defined.
	Noted by china@thewrittenword.com.

	* imap/imap.c: Only use debuglevel if DEBUG is defined.  Noted by
	Albert Chin <china@thewrittenword.com>,

	* po/fr.po: update.

2000-06-19 21:13:19  roessler  (roessler)

	* doc/devel-notes.txt, doc/manual.sgml.head, init.h, makedoc.c:
	patch-1.3.3.bj.docref.1

	* build-release: Make sure m4/Makefile is _really_ rebuilt.

	* po/zh_TW.Big5.po, po/ru.po, po/sk.po, po/sv.po, po/uk.po,
	po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/es.po, po/fr.po,
	po/gl.po, po/id.po, po/it.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, po/cs.po, ChangeLog, VERSION, reldate.h: automatic
	post-release commit for mutt-1.2.1

	* doc/manual.sgml.head: Fix some more mentions of display-hook.

	* po/ru.po, po/sk.po, po/sv.po, po/uk.po, po/zh_TW.Big5.po,
	po/fr.po, po/gl.po, po/id.po, po/it.po, po/ko.po, po/nl.po,
	po/pl.po, po/pt_BR.po, ChangeLog, VERSION, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, reldate.h: automatic
	post-release commit for mutt-1.3.4

	* compose.c: No need to include iconv.h.

	* po/da.po: update.

	* po/ru.po: update

2000-06-17 08:07:36  roessler  (roessler)

	* imap/imap_ssl.c: Certificate verification fix from Tommi
	Komulainen.

	* imap/imap_ssl.c: SSL fix.

	* po/ru.po: upate

2000-06-16 10:21:34  roessler  (roessler)

	* OPS, commands.c, compose.c, functions.h, mutt.h, sendlib.c:
	patch-1.3.3.tlr.change_charset.1

	* po/ru.po: nit.

2000-06-15 21:37:07  roessler  (roessler)

	* doc/manual.sgml.head, doc/muttrc.man.head, commands.c, hook.c,
	init.h, mutt.h, recvcmd.c, send.c: patch-1.3.3.tlr.message_hook.1

	* mutt.h, sendlib.c: patch-1.3.3.tlr.content_info.1

	* imap/imap.c: shut up the compiler.

	* po/ru.po, commands.c, init.h: nits.

	* commands.c, globals.h, init.h: patch-1.2.bbell.display_filter.2.

	* complete.c: patch-1.3.2.bbell.complete.1 - autocomplete "!",
	which is helpful in certain IMAP contexts.

	* copy.c, mbox.c, mh.c, mx.c: [stable] Prevent data corruption
	when the temporary space runs full.  Backport from unstable.

	* po/el.po, po/fr.po: updates.

	* po/ru.po: update.

	* rfc2047.c, sendlib.c, copy.c, handler.c: Avoid dumping core
	when Charset isn't set.

	* init.h: Little documentation fix from Aaron Schrab.

2000-06-14 09:23:45  roessler  (roessler)

	* OPS, charset.c, charset.h, compose.c, functions.h, handler.c:
	Remove recode-attachment, and the "decoder" API.  (EGE)

	* gettext.c: Make sure --disable-nls works.  (EGE)

2000-06-13 20:36:33  roessler  (roessler)

	* init.h, mutt.h, sendlib.c: EGE's latest send-charset patch.

	* m4/curslib.m4: New file, contains Tom Dickey's CF_CURSES_LIBS
	macro from lynx.

	* configure.in: Use CF_CURSES_LIBS macro for better detection
	of platform-specific curses libraries.	From Lars Hecking.

	* main.c: Inform us about ICONV_NOTRANS.  From EGE.

	* configure.in: iconv detection.  From EGE.

	* commands.c: Only display PGP signature verification status if
	verification was tried.

2000-06-12 07:02:42  roessler  (roessler)

	* configure.in: A new check for working wchar functions.

2000-06-11 19:05:12  roessler  (roessler)

	* mh.c, mx.c: Fix some issues with synching of maildir/mh folders.
	Problems noted by Byrial Jensen.

2000-06-09 17:42:14  roessler  (roessler)

	* pattern.c: Force decimal parsing on dates, so 09 is parsed as 9,
	and not as "invalid".

	* imap/imap_ssl.c, imap/imap_ssl.c: Fix a mix-up.

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/de.po, po/el.po,
	po/eo.po, po/es.po, po/fr.po, po/gl.po, po/id.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po,
	VERSION, po/cs.po, po/da.po, ChangeLog, po/ru.po, po/sk.po,
	po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/da.po, po/de.po,
	po/el.po, po/eo.po, po/es.po, po/fr.po, po/gl.po, po/id.po,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/cs.po,
	reldate.h, ChangeLog: automatic post-release commit for mutt-1.3.3

	* charset.c, init.c: Fix some typos in the nl_langinfo stuff.

	* rfc2047.c: Latest patch from EGE.

2000-06-08 21:44:14  roessler  (roessler)

	* copy.c, mbox.c: This patch should fix the mailbox corruption
	various people observed.

	* charset.c, charset.h, init.c: Fix up the value returned by
	nl_langinfo(CODESET).

	* mbox.c: Improve error reporting with mbox folders a bit.

	* send.c: patch-1.2.bj.ed_mtime.1

	* Makefile.am, acconfig.h, configure.in, main.c, mbyte.c:
	Removing the built-in charset support.

	* doc/muttrc.man.head: one-character typo.

	* imap/imap_ssl.c: Fix #157.  From Enrik Berkhan
	<Enrik.Berkhan@fun.de>.

	* imap/imap_ssl.c: [stable] Fix #157.  From Enrik Berkhan
	<Enrik.Berkhan@fun.de>.

	* README.SSL, init.h, mutt.h, imap/imap_ssl.c: [stable]
	patch-1.3.2.tl.sslcerts.1.

	* charset.c: Don't return data on the stack.  Noted by "Andrew
	W. Nosenko" <awn@bcs.zp.ua>.

	* po/sv.po: update.

2000-06-04 18:18:56  roessler  (roessler)

	* doc/manual.sgml.head: Nits from Mikko Hänninen.

2000-06-02 10:05:41  roessler  (roessler)

	* imap/imap.h, imap/imap.h, pgp.c: Fix #152.

2000-05-30 12:52:41  roessler  (roessler)

	* po/pl.po: update

2000-05-29 22:34:12  roessler  (roessler)

	* rfc2047.c, rfc2047.h, send.c, sendlib.c: Edmund's latest
	RFC2047 encoding update.

2000-05-28 20:32:05  roessler  (roessler)

	* commands.c: Don't bother the user with messages about PGP
	signature verification when there is no PGP stuff about the
	message.

	* README.SSL, init.h, mutt.h: SSL certificate verification fixes
	from Tommi Komulainen.

	* imap/imap_ssl.c: SSL certificate verification fix from Tommi
	Komulainen.

	* imap/command.c: [stable] Handle connection take-down by servers
	more graciously.  From Patrick Caulfield.

	* doc/manual.sgml.head, contrib/pgp2.rc, contrib/pgp5.rc,
	commands.c, init.h, pgp.c, pgp.h: Modified version of Byrial
	Jensen's signature verification patch.

2000-05-25 12:21:29  roessler  (roessler)

	* pgp.c: Use strftime for time indications with PGP verification.

	* curs_lib.c, mbyte.c: Somewhat different sigsegv fix suggested
	by EGE.

	* mbyte.c: wctomb(0,wc) is needed to work for bounds checking.

	* mutt.h: Include stdlib.h from mutt.h.

	* makedoc.c, init.h: Minor fixes from Byrial.

	* doc/manual.sgml.head: typo.

	* doc/devel-notes.txt, init.h, makedoc.c: Documentation
	beautification patch from Byrial Jensen.  Thanks!

2000-05-24 19:20:07  roessler  (roessler)

	* po/ru.po: Fixes #143.

	* po/ru.po: Some fixes - #143.

	* charset.c, charset.h, compose.c, gnupgparse.c: Make charset-hook
	work with an external iconv implementation.

	* imap/command.c: Handle disconnects more gracefully.
	From Patrick Caulfield <patrick@sco.com>.

	* config.guess, config.sub: [stable] Latest versions from
	ftp.gnu.org/pub/gnu/config

	* config.guess, config.sub: Latest versions from
	ftp.gnu.org/pub/gnu/config.

2000-05-23 17:16:46  roessler  (roessler)

	* po/id.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sv.po, po/uk.po, po/zh_TW.Big5.po,
	ChangeLog, VERSION, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, po/es.po, po/fr.po, po/gl.po, reldate.h: automatic
	post-release commit for mutt-1.3.2

	* contrib/gpg.rc: Make this work on QNX.

	* contrib/gpg.rc: Change suggested by Sam Roberts
	<sroberts@uniserve.com> to make this work on QNX.

2000-05-22 16:15:35  roessler  (roessler)

	* po/pl.po: update

	* rfc2047.c: Fix a stupid segmentation fault.

	* lib.c: cosmetics.

	* rfc2047.c: Fix a memory leak.

	* charset.c, lib.c, lib.h, protos.h: Add mutt_str_adjust ().

	* parse.c: Fix a possible cause for heap corruption.

	* po/de.po: update.

	* charset.c, gettext.c: Make mutt_gettext () a bit more compact.

2000-05-21 18:45:15  roessler  (roessler)

	* mbyte.h: Small fix from EGE.

	* sendlib.c: Some fixes so ISO-2022-JP* works with mutt.
	Mostly from TAKIZAWA Takashi <taki@luna.email.ne.jp>.

	* muttlib.c: Comment a bit of code.

2000-05-20 18:16:18  roessler  (roessler)

	* po/fr.po: update.

	* charset.c, charset.h, curs_lib.c, rfc2047.c, rfc2231.c: String
	conversion patch from EGE.

	* doc/manual.sgml.head, hook.c: Second version of Byrial's
	display-hook patch.

	* po/uk.po, po/zh_TW.Big5.po, po/fr.po, po/gl.po, po/id.po,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po,
	po/sk.po, po/sv.po, ChangeLog, VERSION, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, reldate.h: automatic
	post-release commit for mutt-1.3.1

	* doc/muttrc.man.head: Document display-hook in the manual page.

	* commands.c, hook.c, init.h, mutt.h, protos.h, send.c: Add a
	display-hook command.  From Byrial Jensen.

	* alias.c, browser.c, init.c, lib.c, mutt.h, muttlib.c, protos.h:
	Add mutt_gecos_name function which centrally handles the GECOS
	processing.

	* imap/imap.c: Shut up some warnings.  We may have to think
	about mutt_stristr again.

	* configure.in: Verify that regmatch_t has offsets, and not
	only pointers.	From Sam Roberts <sroberts@uniserve.com>.

	* configure.in: Don't look for curses in /usr/5lib any more -
	this broke things for some people.

	* configure.in: Don't look for the curses library in /usr/5lib
	any more.  This broke things for some people.

	* sendlib.c: Real fix for the pointer problem noted by Heiko
	Schlichting.

	* sendlib.c: Fix a "string on stack returned" bug found by
	Heiko Schlichting.

2000-05-19 07:36:42  roessler  (roessler)

	* hdrline.c: Fix %. formats.  From EGE.

2000-05-18 17:06:59  roessler  (roessler)

	* copy.c, parse.c, rfc2047.c, rfc2047.h, rfc2231.c, send.c,
	sendlib.c: rfc2047_decode change from EGE.

	* charset.c: Catch a segmentation fault in mutt_convert_string ().

	* acconfig.h: Don't enable debugging by default in the stable
	branch.

	* configure.in, main.c: More debugging output, and a warning
	in configure.in.

	* main.c: Tell us something about internal iconv and CHARMAPS_DIR
	from mutt -v.

2000-05-17 12:39:16  roessler  (roessler)

	* mkjtags.c: handle ^L lines correctly.

	* mkjtags.c: Some beautifications.

	* Makefile.am, mkjtags.c: Add a little tool to help with building
	tags files my editor groks.

	* handler.c: When displaying a deleted attachment's information,
	present the file name if it is present.  Suggested by Pete
	Wenzel <pete@stc.com>.

	* imap/imap_ssl.c: SSL certificate check fix.  From Tommi
	Komulainen.

	* imap/imap_ssl.c: Certificate check fix, from Tommi Komulainen.

	* OPS, enter.c, functions.h: Add forward-word and backward-word
	functions to the editor.

	* OPS, enter.c, functions.h: Add a kill-eow function to the
	line editor.

	* init.c: Small fix to mutt_set_default().

2000-05-16 19:01:50  roessler  (roessler)

	* Makefile.am: We don't need to build in the charmaps/ directory
	unless we use the included iconv.

	* compose.c, mutt.h, protos.h, sendlib.c: Some fixes to the size
	calculation code.

	* compose.c, globals.h, init.h, sendlib.c: A modified version
	of Will Fiveash's compose format patch.

	* acconfig.h, configure.in, init.c, init.h: Use nl_langinfo's
	return value as the default for $charset.

	* init.c: More default setting.  This can easily be done much
	cleaner than the last version of the patch.

	* init.c: Hack: mutt_restore_default() now stores the latest
	value of a variable as it's default if there was no default
	before.  The code in question is executed precisely once: when
	mutt_restore_default() is invoked from mutt_init().

	* hook.c, lib.c, lib.h, muttlib.c, protos.h: Let _mutt_expand_path
	escape regular expression special characters.  For stable.

	* hook.c, lib.c, lib.h, muttlib.c, protos.h: mutt_expand_path
	is now able to escape special characters for use in regular
	expressions.  This is needed to make folder-hooks work like
	intended.

	* muttlib.c: Sanitize file names passed to mutt_adv_mktemp.

	* muttlib.c: Sanitize file name suggestions passed to
	mutt_adv_mktemp.

	* doc/manual.sgml.tail, OPS, enter.c, functions.h: Add a
	transpose-character function to the editor.  From Aaron Schrab.

	* configure.in: Improve the wchar_t checks.  From "Andrew
	W. Nosenko" <awn@bcs.zp.ua>.

2000-05-15 12:00:53  roessler  (roessler)

	* configure.in, mbyte.c, pager.c: More iconv-related patches
	from EGE.

2000-05-13 17:39:03  roessler  (roessler)

	* configure.in: HP/UX vs. ANSI C.  From Lars Hecking and Albert
	Chin. [stable]

	* configure.in: Configuration for ANSI C / HP/UX.  From albert
	chin and Lars Hecking.

2000-05-12 13:41:34  roessler  (roessler)

	* mbyte.c, wcwidth.c: Make things compile. ;-)

	* mbyte.c, mbyte.h, wcwidth.c: Isprint-related changes.
	Suggested by Andrew Nosenko, adapted by EGE.

	* gettext.c: Replacing some more free() calls by safe_free().

	* acconfig.h, configure.in, curs_lib.c, gettext.c, help.c,
	mbyte.c, mbyte.h, mutt.h, pager.c, wcwidth.c: wide-character
	related patches.  From Edmund Grimley Evans.

	* configure.in: HP/UX -Ae detection.  From Albert Chin. [stable]

	* configure.in: Improve the HP/UX check for the -Ae command
	line parameter.  From albert chin (china@thewrittenword.com).

	* gen_defs: Make sure gen_defs returns success.  [stable]

	* gen_defs: Sam Roberts reports that some shells do strange
	things with exit states.

	* doc/manual.sgml.head: Fix $spool vs. $spoolfile.  From David
	Ellement.

2000-05-11 07:10:32  roessler  (roessler)

	* doc/mutt.man: Remove some unnecessary spaces.

	* doc/mutt.man, main.c: Fix usage information.	Noted by Mikko
	Hänninen.

	* acconfig.h, configure.in, globals.h: Check volatility of
	sig_atomic_t.

2000-05-10 18:02:31  roessler  (roessler)

	* configure.in: Support for old Kerberos versions.  From David
	Champion <dgc@uchicago.edu>.

	* configure.in: Fix support for old Kerberos libraries.

	* hdrline.c, thread.c: updated messages-in-thread (%e) patch
	from Markus Holmberg.

	* po/pl.po: update.

	* init.h, mutt.h, pop.c: Fix a segmentation fault introduced by
	the change of pop_delete to a quad option.

	* po/fr.po: Update the French translation.

2000-05-09 20:19:28  roessler  (roessler)

	* parse.c: more mailtool brain-damage support.

	* acconfig.h, configure.in, parse.c: Sun mailtool message support.
	The format is ugly, but the patch is reasonably clean.

	* Makefile.am: include mbyte.h with the distribution.

	* doc/devel-notes.txt: Add a word about format flags.

	* imap/message.c: Make the X-Label patch work over IMAP.

	* po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po,
	po/uk.po, po/zh_TW.Big5.po, po/cs.po, po/da.po, po/de.po,
	po/el.po, po/eo.po, po/es.po, po/fr.po, po/gl.po, po/id.po,
	po/it.po, po/ko.po, reldate.h, ChangeLog, VERSION: automatic
	post-release commit for mutt-1.3

	* hdrline.c, init.h, protos.h, thread.c: Add a %e option
	for thread-relative message numbers.  From Markus Holmberg
	<markush@acc.umu.se>.

	* doc/manual.sgml.head, hdrline.c, init.h, mutt.h, parse.c,
	pattern.c: X-Label header support from David Champion
	<dgc@uchicago.edu>.

	* init.h, pop.c: Make pop_delete a quad-option.  From Honza
	Pazdziora <adelton@informatics.muni.cz>.

	* VERSION: Ups, we should leave the version file on 1.2, so the
	diff will get built properly when I release 1.3.

	* lib.h, mbyte.c, mbyte.h, menu.c, muttlib.c, pager.c,
	pgppubring.c, protos.h, rfc2047.c, rfc2231.c, sendlib.c,
	utf8.c, wcwidth.c, Makefile.am, VERSION, charset.c, charset.h,
	commands.c, compose.c, configure.in, curs_lib.c, curs_main.c,
	enter.c, gettext.c, gnupgparse.c, hdrline.c, help.c, init.c:
	Edmund Grimley Evans' UTF-8 patch.

	* po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po,
	po/sv.po, po/uk.po, po/zh_TW.Big5.po, VERSION, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po, po/fr.po,
	po/gl.po, po/id.po, po/it.po, reldate.h, ChangeLog: automatic
	post-release commit for mutt-1.2

	* build-release: unstable branch.

	* build-release: start preparing 1.2.

2000-05-03 07:48:46  roessler  (roessler)

	* po/zh_TW.Big5.po: branches:  1.30.2; automatic post-release
	commit for mutt-1.1.14

	* po/da.po: branches:  1.13.2; automatic post-release commit
	for mutt-1.1.14

	* po/de.po: branches:  1.99.2; automatic post-release commit
	for mutt-1.1.14

	* po/el.po: branches:  1.31.2; automatic post-release commit
	for mutt-1.1.14

	* po/eo.po: branches:  1.30.2; automatic post-release commit
	for mutt-1.1.14

	* po/es.po: branches:  1.49.2; automatic post-release commit
	for mutt-1.1.14

	* po/fr.po: branches:  1.45.2; automatic post-release commit
	for mutt-1.1.14

	* po/gl.po: branches:  1.23.2; automatic post-release commit
	for mutt-1.1.14

	* po/id.po: branches:  1.31.2; automatic post-release commit
	for mutt-1.1.14

	* po/it.po: branches:  1.59.2; automatic post-release commit
	for mutt-1.1.14

	* po/ko.po: branches:  1.31.2; automatic post-release commit
	for mutt-1.1.14

	* po/nl.po: branches:  1.36.2; automatic post-release commit
	for mutt-1.1.14

	* po/pl.po: branches:  1.39.2; automatic post-release commit
	for mutt-1.1.14

	* po/pt_BR.po: branches:  1.20.2; automatic post-release commit
	for mutt-1.1.14

	* po/ru.po: branches:  1.67.2; automatic post-release commit
	for mutt-1.1.14

	* po/sk.po: branches:  1.28.2; automatic post-release commit
	for mutt-1.1.14

	* po/sv.po: branches:  1.27.2; automatic post-release commit
	for mutt-1.1.14

	* po/uk.po: branches:  1.42.2; automatic post-release commit
	for mutt-1.1.14

	* ChangeLog: branches:	2.40.2; automatic post-release commit
	for mutt-1.1.14

	* VERSION: branches:  2.28.2; automatic post-release commit
	for mutt-1.1.14

	* po/cs.po: branches:  1.35.2; automatic post-release commit
	for mutt-1.1.14

	* po/sk.po, po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, po/fr.po, po/gl.po,
	po/id.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ru.po, ChangeLog, VERSION, po/cs.po: automatic post-release
	commit for mutt-1.1.13

	* reldate.h: branches:	2.25.2; automatic post-release commit
	for mutt-1.1.13

2000-04-30 06:58:21  roessler  (roessler)

	* imap/message.c: branches:  1.24.2; Catch the case that an IMAP
	server sends "\n\n" after a mail header.  Diagnosed by Brendan.

2000-04-29 13:38:05  roessler  (roessler)

	* query.c: branches:  2.5.2; Fix a possible segmentation fault
	with the external query feature.

	* imap/imap.c: branches:  1.26.2; Fix the "empty screen after
	sync" bug observed with certain versions of the Courier IMAP
	server.  From Brendan Cully.

2000-04-26 17:43:00  roessler  (roessler)

	* imap/util.c: branches:  1.23.2; Fix the imap_force_ssl option.

	* po/da.po: update.

	* contrib/pgp6.rc: Fix a little typo.  Noted by Steve Brewer
	<limako@mediaone.net>.

	* imap/imap_ssl.c: branches:  1.12.2; Add a new option named
	imap_force_ssl.

	* imap/imap_ssl.h, imap/util.c: Add a new option named
	imap_force_ssl.

	* init.h: branches:  2.80.2; Add a new option named
	imap_force_ssl.

	* mutt.h: branches:  2.62.2; Add a new option named
	imap_force_ssl.

2000-04-25 18:39:01  roessler  (roessler)

	* acconfig.h: branches:  2.15.2; Revised version of Lars' patch.

	* configure.in: branches:  2.61.2; Revised version of Lars' patch.

	* m4/funcdecl.m4: New macros CF_CHECK_FUNCDECL,
	CF_CHECK_FUNCDECLS, CF_UPPER. These are slightly modified versions
	of T. E. Dickey's macros from the lynx distribution. (From
	Lars Hecking.)

	* configure.in: Use new CF_CHECK_FUNCDECLS macro for curses
	functions. This should catch function declarations and macros
	alike. Due to a misfeature in autoheader, we have to explicitly
	AC_DEFINE the curses functions.  (From Lars Hecking.)

	* acconfig.h: acconfig.h: Remove duplicate VERSION and unused
	HAVE_GETOPT_DECL.  Remove DEBUGGER (it's AC_SUBST'ed, not
	AC_DEFINE'd). Add defines for curses functions. (From Lars
	Hecking.)

	* po/it.po: update.

2000-04-24 13:10:11  roessler  (roessler)

	* imap/util.c: Fix a segmentation fault with folder completion.
	From Brendan.

	* imap/message.c: Fall back to INTERNALDATE when Date header
	isn't present.	From Brendan.

2000-04-22 18:34:29  roessler  (roessler)

	* po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po,
	po/sv.po, po/uk.po, po/zh_TW.Big5.po, ChangeLog, VERSION,
	po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po,
	po/fr.po, po/gl.po, po/id.po, po/it.po, reldate.h: automatic
	post-release commit for mutt-1.1.12

	* doc/manual.sgml.head: branches:  1.31.2; Add a link to
	http://www.mutt.org/download.html.

	* init.c, init.h, thread.c: Handle sort_aux="threads"
	somewhat different, and probably more safely.  Problem and
	principle of fix noted by Gero Treuner and Michael Tatge
	<Michael.Tatge@studserv.uni-stuttgart.de>.

	* lib.c: branches:  2.23.2; Coda compatibility.  From Jan Harkes
	<jaharkes@cs.cmu.edu>.

	* parse.c: Fix message parsing.  This fixes the "Reply-To in
	body" bug.  From Edmund GRIMLEY EVANS.

	* doc/manual.sgml.tail: Fix the sgmltools URL.	From Martin
	Michlmayr.

	* charset.c: branches:	2.19.2; Comment cosmetics.  From Martin
	Michlmayer.

	* editmsg.c, extlib.c, gnupgparse.c, lib.c: Comment cosmetics.
	From Martin Michlmayer.

	* lib.h: branches:  2.7.2; Comment cosmetics.  From Martin
	Michlmayer.

	* pgpinvoke.c: Comment cosmetics.  From Martin Michlmayer.

	* pgpkey.c: branches:  2.24.2; Comment cosmetics.  From Martin
	Michlmayer.

	* pgplib.c, pgppubring.c, recvcmd.c: Comment cosmetics.
	From Martin Michlmayer.

	* remailer.c: branches:  2.11.2; Comment cosmetics.  From Martin
	Michlmayer.

	* rfc2231.c, rfc2231.h: Comment cosmetics.  From Martin
	Michlmayer.

	* doc/manual.sgml.head: Document the elmish "!!" shortcut for
	the last folder.  From Martin Michlmayr <tbm@cyrius.com>.

	* curs_main.c: branches:  2.44.2; Fix various inconsistencies
	with respect to thread deletion.

	* pager.c: Fix various inconsistencies with respect to thread
	deletion.

2000-04-12 16:32:26  roessler  (roessler)

	* browser.c: branches:	2.21.2; Initialize some more memory.
	Noted by Vsevolod Volkov <vvv@lucky.net>.

	* headers.c: Catch some error conditions.

	* main.c: branches:  2.29.2; Tell us whether debugging is enabled
	or not.

2000-04-09 13:32:36  roessler  (roessler)

	* po/sv.po: Update.

	* imap/imap_ssl.c: Another file mode change.

	* po/fr.po, po/es.po, po/el.po: update.

	* imap/imap_ssl.c: Save more than one SSL certificate to the
	certificate file.

	* po/da.po, po/cs.po: update.

	* imap/socket.c: branches:  1.9.2; Make host name comparison
	case-insensitive.

	* doc/manual.sgml.head: Minor typo in the documentation.
	Noted by Vsevolod Volkov <vvv@lucky.net>.

	* muttlib.c: branches:	2.16.2; The "!!" shortcut had another
	flaw.  Noted by Martin Michlmayr <tbm@cyrius.com>.

	* imap/BUGS: branches:	1.12.2; Documentation patch from Brendan
	Cully.

	* pattern.c: Fix ^ and ! pattern modifiers.

2000-03-31 12:37:21  roessler  (roessler)

	* po/pl.po, po/id.po: update.

2000-03-30 15:33:14  roessler  (roessler)

	* po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/pt_BR.po,
	po/ru.po, po/nl.po, po/pl.po, po/ko.po, po/it.po, po/fr.po,
	po/gl.po, po/id.po, po/eo.po, po/es.po, po/el.po, po/da.po,
	po/de.po, po/cs.po, VERSION, reldate.h, ChangeLog: automatic
	post-release commit for mutt-1.1.11

	* po/uk.po, po/zh_TW.Big5.po, po/sv.po, po/sk.po, po/pt_BR.po,
	po/ru.po, po/nl.po, po/pl.po, po/ko.po, po/id.po, po/it.po,
	po/gl.po, po/fr.po, po/es.po, po/eo.po, po/el.po, po/de.po,
	po/da.po, po/Makefile.in.in, po/POTFILES.in, po/cs.po: make
	update-po, and undo most parts of Lars' and Tommi's patch -
	it broke things here.

	* imap/imap_ssl.c: Typo, noticed by Vsevolod Volkov
	<vvv@lucky.net>.

	* po/de.po: update.

	* po/eo.po: fix.

	* contrib/Makefile.in: Distribute pgp6.rc. Ups.

	* po/uk.po: Updated Ukrainian translation.

	* curs_main.c: Cursor cosmetics.  From Byrial.

	* contrib/Makefile.in: Installation process patch from Bill
	Nottingham <notting@redhat.com>.

	* build-release: Explicitly use scp1.

2000-03-29 20:16:36  roessler  (roessler)

	* po/zh_TW.Big5.po, po/sv.po, po/uk.po, po/sk.po, po/pt_BR.po,
	po/ru.po, po/pl.po, po/ko.po, po/nl.po, po/id.po, po/it.po,
	po/gl.po, po/fr.po, po/eo.po, po/es.po, po/el.po, po/de.po,
	po/da.po, po/cs.po, VERSION, reldate.h, ChangeLog: automatic
	post-release commit for mutt-1.1.10

	* imap/message.c: Fix access to read-only folders via IMAP.

	* po/de.po, doc/Makefile.in, doc/manual.sgml.head, init.c,
	thread.c: Various little patches from Gero Treuner.

	* imap/Makefile.am: Build diff from Brendan Cully.

	* Makefile.am: branches:  2.61.2; Build diff from Brendan Cully.

2000-03-28 10:09:19  roessler  (roessler)

	* po/Makefile.in.in, po/POTFILES.in, Makefile.am: A patch from
	Tommi Komulainen (and Lars Hecking) for building outside the
	source directory.

2000-03-27 23:56:35  roessler  (roessler)

	* imap/auth_gss.c: branches:  1.3.2; NetBSD portability patches
	from Brendan Cully.

	* imap/imap_ssl.c, acconfig.h, configure.in: NetBSD portability
	patches from Brendan Cully.

2000-03-25 18:22:09  roessler  (roessler)

	* keymap.c: Timeout occasionally in menus, with the notable
	exception of the editor.  This is needed to avoid some more
	IMAP timeouts.	[patch-1.1.9.tlr.timeout.1]

2000-03-23 12:21:10  roessler  (roessler)

	* remailer.c: Little fix for the remailer menu.

	* configure.in: Fix Kerberos configuration.  From David Champion
	<dgc@uchicago.edu>.

2000-03-22 08:24:45  roessler  (roessler)

	* mutt.h, sort.c, init.h: Sorting fix from Gero Treuner.

2000-03-21 22:01:42  roessler  (roessler)

	* configure.in: Fix charmap configuration.  This was broken in
	configure.in,v 2.54.

2000-03-20 10:32:18  roessler  (roessler)

	* muttlib.c: Fix the "!!" shortcut for the last folder.  Noted by
	Byrial Jensen.

	* po/da.po, po/eo.po: update

	* configure.in, Muttrc.head, Muttrc.head.in: Put Muttrc.head under
	autoconf control - we need to substitute @docdir@ for the <f1>
	macro to work.

2000-03-19 09:19:30  roessler  (roessler)

	* po/nl.po: Fix some sloppiness errors.  From Brendan Cully.

2000-03-17 08:26:22  roessler  (roessler)

	* po/nl.po: update

	* rfc2047.c: Don't override iso-2022-jp with us-ascii.

	* sendlib.c: branches:	2.46.2; Don't override iso-2022-jp
	with us-ascii.

2000-03-16 10:01:43  roessler  (roessler)

	* commands.c, init.h, mutt.h: Add the $print_decode option.

	* po/ru.po, po/sv.po: updates

	* po/it.po: update.

	* editmsg.c: Use Editor with a fall-back to visual when editing
	messages.

	* muttlib.c: Localization nit from Byrial Jensen.

	* doc/manual.sgml.head, init.h: Documentation fixes from Mikko
	Hänninen.

2000-03-15 23:25:47  roessler  (roessler)

	* imap/imap_ssl.c, imap/imap_ssl.h, imap/socket.c: Fix entropy
	gathering in the IMAP SSL support.  From Tommi Komulainen.

	* README.SSL: branches:  2.4.2; Fix entropy gathering in the
	IMAP SSL support.  From Tommi Komulainen.

	* configure.in, init.h: Fix entropy gathering in the IMAP SSL
	support.  From Tommi Komulainen.

	* Makefile.am: Add a dependency for keymap_defs.h.  Hope it
	works now.

	* po/da.po: update

2000-03-14 21:05:00  roessler  (roessler)

	* po/pl.po, po/cs.po: updates.

	* configure.in: Fix a charmap configuration flaw.  From Gero
	Treuner.

	* doc/Makefile.in: Install all the documentation.  Problem noted
	and fix supplied by Gero Treuner.

	* po/es.po: Update from Boris Wesslowski.

	* base64.c: Add the original fetchmail copyright notice.

	* contrib/Makefile.in, contrib/pgp6.rc: More nits: Include a
	sample configuration file for using mutt with pgp6, and install
	and actually distribute Tin.rc.

2000-03-13 22:36:56  roessler  (roessler)

	* makedoc.c, send.c, charset.h, init.h: Various nits, noted by
	Gero Treuner.

	* po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/pt_BR.po,
	po/ru.po, po/pl.po, po/id.po, po/it.po, po/ko.po, po/nl.po,
	po/gl.po, po/es.po, po/fr.po, po/eo.po, po/el.po, po/da.po,
	po/de.po, po/cs.po, reldate.h, VERSION, ChangeLog: automatic
	post-release commit for mutt-1.1.9

	* build-release: change code for going on-line.

	* po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/pl.po,
	po/pt_BR.po, po/ru.po, po/ko.po, po/nl.po, po/gl.po, po/id.po,
	po/it.po, po/eo.po, po/es.po, po/fr.po, po/el.po, po/de.po,
	po/cs.po, po/da.po: make update-po.

	* po/sv.po, po/fr.po: updates.

2000-03-10 11:38:32  roessler  (roessler)

	* handler.c: Fix the handling of raw carriage return characters
	in the base64 handler.

2000-03-09 11:58:11  roessler  (roessler)

	* pgpinvoke.c: Bail on empty PGP formats.

	* po/ko.po: update.

2000-03-08 18:08:03  roessler  (roessler)

	* imap/message.c: Another fix from Brendan Cully.

	* po/pl.po: update.

	* sendlib.c, parse.c: Fix more RFC2047 encoding bugs.  Once again
	from Gero Treuner <gero@faveve.uni-stuttgart.de>.

2000-03-07 19:53:19  roessler  (roessler)

	* po/da.po, configure.in: Adding a Danish translation.
	Thanks to Morten Bo Johansen <mojo@image.dk> and
	the members of the sslug-locale mailing list, see
	http://www.sslug.dk/emailarkiv/locale/.

	* color.c: branches:  2.8.2; The uncolor/unmono commands weren't
	parsed correctly when not applicable.  This fixes bug#65.

	* makedoc.c: Make gcc happy.

	* TODO: Remove an old item from this list.  From Brendan Cully.

	* sendlib.c, TODO: Correct header encodings when postponing
	messages.

	* protos.h: branches:  2.40.2; Correct header encodings when
	postponing messages.

	* send.c: Correct header encodings when postponing messages.

	* po/de.po: update

	* po/pt_BR.po, po/el.po: updates.

	* curs_main.c: Fix NULL pointer deferences.

2000-03-04 12:57:53  roessler  (roessler)

	* po/zh_TW.Big5.po, po/uk.po, po/sk.po, po/sv.po, po/pt_BR.po,
	po/ru.po, po/pl.po, po/nl.po, po/ko.po, po/it.po, po/id.po,
	po/gl.po, po/fr.po, po/eo.po, po/es.po, po/el.po, po/de.po,
	po/cs.po, reldate.h, build-release, VERSION, ChangeLog: automatic
	post-release commit for mutt-1.1.8

	* protos.h, send.c, alias.c, headers.c: Unify alias expansion.

2000-03-03 16:52:41  roessler  (roessler)

	* contrib/gpg.rc: branches:  1.5.2; Don't use gpg-2comp by
	default, but leave the command lines using this one there as
	comments.

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/ru.po, po/sk.po,
	po/pl.po, po/pt_BR.po, po/nl.po, po/it.po, po/ko.po, po/es.po,
	po/fr.po, po/gl.po, po/id.po, po/el.po, po/eo.po, po/cs.po,
	po/de.po, imap/imap_ssl.c, imap/imap_ssl.h, imap/message.c,
	imap/message.h, imap/socket.c, imap/util.c, imap/auth.c,
	imap/auth_gss.c, imap/browse.c: The FSF apparently has moved.

	* imap/command.c: branches:  1.8.2; The FSF apparently has moved.

	* imap/imap.c: The FSF apparently has moved.

	* imap/imap.h: branches:  1.16.2; The FSF apparently has moved.

	* imap/imap_private.h: branches:  1.17.2; The FSF apparently
	has moved.

	* imap/imap_socket.h, doc/dotlock.man, doc/manual.sgml.head,
	doc/mutt.man, doc/muttrc.man.head, rfc822.h, score.c, send.c,
	sendlib.c, signal.c, sort.c, sort.h, status.c, system.c, thread.c,
	recvcmd.c, remailer.c, remailer.h, resize.c, rfc1524.c, rfc1524.h,
	rfc2047.c, rfc2047.h, rfc2231.c, rfc2231.h: The FSF apparently
	has moved.

	* rfc822.c: branches:  2.9.2; The FSF apparently has moved.

	* pgpinvoke.c, pgpkey.c, pgplib.c, pgplib.h, pgppubring.c:
	The FSF apparently has moved.

	* pop.c: branches:  2.7.2; The FSF apparently has moved.

	* postpone.c, protos.h, query.c, recvattach.c, mx.h, pager.c,
	pager.h, parse.c, pattern.c, pgp.c, pgp.h, menu.c: The FSF
	apparently has moved.

	* mh.c: branches:  2.22.2; The FSF apparently has moved.

	* mime.h, mutt.h, mutt_curses.h, mutt_menu.h, mutt_regex.h,
	muttbug.sh.in, muttlib.c: The FSF apparently has moved.

	* mx.c: branches:  2.41.2; The FSF apparently has moved.

	* history.c: branches:	2.5.6; The FSF apparently has moved.

	* history.h: The FSF apparently has moved.

	* hook.c: branches:  2.9.2; The FSF apparently has moved.

	* init.c, init.h, keymap.c, keymap.h, lib.c, lib.h, mailbox.h,
	main.c, makedoc.c, mapping.h: The FSF apparently has moved.

	* mbox.c: branches:  2.15.2; The FSF apparently has moved.

	* dotlock.h, edit.c, editmsg.c, enter.c, extlib.c, filter.c,
	flags.c, from.c, functions.h: The FSF apparently has moved.

	* globals.h: branches:	2.23.2; The FSF apparently has moved.

	* gnupgparse.c, handler.c, hash.c, hash.h, hdrline.c, headers.c,
	help.c, charset.c, charset.h, color.c, commands.c, complete.c,
	compose.c: The FSF apparently has moved.

	* copy.c: branches:  2.13.2; The FSF apparently has moved.

	* copy.h: The FSF apparently has moved.

	* curs_lib.c: branches:  2.18.2; The FSF apparently has moved.

	* curs_main.c, date.c, dotlock.c, COPYRIGHT, addrbook.c, alias.c,
	attach.c, attach.h, base64.c, browser.c, browser.h, buffy.c,
	buffy.h: The FSF apparently has moved.

	* po/sv.po: Swedish translation.

	* imap/imap.h, imap/imap.c, commands.c, compose.c, curs_main.c,
	editmsg.c, mailbox.h, mbox.c, mh.c, mx.c, mx.h, pop.c, postpone.c,
	send.c, sendlib.c, attach.c: Fix index updates when closing or
	synching mail folders fails.  There were some bug-fixes hidden
	in that code.

	* imap/message.c: More missing fclose (3) calls.

2000-03-02 21:01:27  roessler  (roessler)

	* imap/imap_ssl.c, imap/message.c: Fix a bunch of file descriptor
	leaks.

	* po/de.po: A one-character patch from Gero Treuner.

	* INSTALL, README.SSL: Add some SSL documentation.  From Tommi
	Komulainen.

	* mh.c, mx.c: Fix incompatible return value checking.  This should
	fix #29.

	* mutt.h, send.c, init.h: Add $reverse_realname option.
	Essentially suggested by ws@rhein.de.

2000-03-01 21:27:36  roessler  (roessler)

	* Muttrc.head: Fix #26: A little typo.

	* contrib/Makefile.in, contrib/sample.muttrc-tlr: Add a commented
	version of my .muttrc as an example.

	* contrib/sample.muttrc: Fix some mail addresses.

	* README.UPGRADE: Add some more documentation for users who
	are upgrading.	This is more precise than the NEWS file, but
	confined to the more notable changes.

	* configure.in: Another fix from Tommi Komulainen.

	* po/eo.po, po/id.po, po/de.po: update.

	* imap/util.c: Don't crash with NULL Context pointers.

	* po/fr.po: Update.

	* doc/dotlock.man, doc/mutt.man: dotlock is called mutt_dotlock
	for quite some time now.

	* po/sk.po, po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/pt_BR.po,
	po/ru.po, po/nl.po, po/pl.po, po/fr.po, po/gl.po, po/id.po,
	po/it.po, po/ko.po, po/el.po, po/eo.po, po/es.po, po/de.po,
	po/cs.po, VERSION, reldate.h, ChangeLog: automatic post-release
	commit for mutt-1.1.7

	* imap/command.c, init.h, mutt.h, README.SECURITY, configure.in:
	Add $imap_servernoise option to suppress IMAP server messages.
	From Brendan Cully.

	* imap/Makefile.am: Include auth_gss.c with the distribution.

2000-02-29 22:40:46  roessler  (roessler)

	* po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/pt_BR.po,
	po/ru.po, po/ko.po, po/nl.po, po/pl.po, po/it.po, po/fr.po,
	po/gl.po, po/id.po, po/eo.po, po/es.po, po/el.po, po/de.po,
	po/cs.po, reldate.h, VERSION, ChangeLog: automatic post-release
	commit for mutt-1.1.6

	* po/zh_TW.Big5.po, po/sv.po, po/uk.po, po/sk.po, po/ru.po,
	po/pt_BR.po, po/nl.po, po/pl.po, po/ko.po, po/gl.po, po/id.po,
	po/it.po, po/es.po, po/fr.po, po/el.po, po/eo.po, po/cs.po,
	po/de.po: Some updates; make update-po.

	* charset.c: Add error checking to the recode-attachment code.
	From "Andrew W.  Nosenko" <awn@bcs.zp.ua>.

	* configure.in: Replace --enable-ssl by --with-ssl.  From Tommi
	Komulainen.

	* imap/imap.c, mx.c, curs_main.c: More IMAP folder update hacks.
	Brendan says it works.

2000-02-28 18:06:35  roessler  (roessler)

	* doc/manual.sgml.head: Martin Michlmayr told me about a typo.

	* imap/imap.h, imap/util.c, menu.c, pager.c: New IMAP keep-alive
	code.  This should work from all menus, and it should always
	poll the current folder.

	* menu.c, pager.c: Do IMAP keep-alive polls from all menus.

	* curs_main.c, pager.c: Don't do Context updates from the
	background, part 2.

	* imap/imap.h, imap/imap_private.h, imap/util.c, imap/command.c,
	imap/imap.c: Don't do Context updates from the background.

2000-02-27 08:49:34  roessler  (roessler)

	* po/POTFILES.in: imap/auth_gss.c was missing.	Noted by "Andrew
	W. Nosenko" <awn@bcs.zp.ua>.

2000-02-26 18:14:24  roessler  (roessler)

	* Makefile.am: muttbug is a script, not a program.  Tell automake
	about this.

	* mx.c: Don't use an uninitialized string for error reporting.

	* imap/browse.c: Fix a segmentation fault.  Patch from Brendan
	Cully.

2000-02-25 08:57:05  roessler  (roessler)

	* .cvsignore: ignore muttbug{,.sh}

	* Makefile.am: Tell users about README.UPGRADE.

2000-02-24 21:34:10  roessler  (roessler)

	* po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/uk.po, po/ru.po,
	po/pt_BR.po, po/pl.po, po/ko.po, po/nl.po, po/fr.po, po/gl.po,
	po/id.po, po/it.po, po/es.po, po/cs.po, po/de.po, po/el.po,
	po/eo.po, reldate.h, ChangeLog, VERSION: automatic post-release
	commit for mutt-1.1.5

	* main.c: Fix #52, from Mikko.Hanninen@iki.fi.

2000-02-23 13:26:03  roessler  (roessler)

	* po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/uk.po, po/pl.po,
	po/pt_BR.po, po/ru.po, po/nl.po, po/id.po, po/it.po, po/ko.po,
	po/el.po, po/eo.po, po/es.po, po/fr.po, po/gl.po, po/cs.po,
	po/de.po: New German translation; make update-po.

	* po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/uk.po, po/pt_BR.po,
	po/ru.po, po/ko.po, po/nl.po, po/pl.po, po/fr.po, po/gl.po,
	po/id.po, po/it.po, po/eo.po, po/es.po, po/Makefile.in.in,
	po/cs.po, po/de.po, po/el.po: Fix some dependency, and do
	update-po again.  Also, Edmund Evans submitted a new Esperanto
	translation.

	* mx.c: safe_fclose() doesn't like FILE pointers.

	* mx.h, mx.c: Don't core dump when locking a folder fails.

2000-02-22 19:22:29  roessler  (roessler)

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/ru.po,
	po/pl.po, po/pt_BR.po, po/ko.po, po/nl.po, po/id.po, po/it.po,
	po/fr.po, po/gl.po, po/el.po, po/eo.po, po/es.po, po/de.po,
	po/cs.po: update-po.

	* po/ko.po: New Korean translation from
	<redhands@linux.sarang.net>.

	* muttbug.sh.in: Fix bug#42: A missing "'".

	* main.c: Cosmetic fix from Marco d'Itri.

	* imap/browse.c, browser.c, doc/manual.sgml.head: Brendan Cully's
	latest IMAP browser fixes.

2000-02-18 10:56:24  roessler  (roessler)

	* muttlib.c: In mutt_copy_body(), we also need to strdup()
	the content-description.

	* imap/command.c: Reasonably handle suerfluous EXIST messages
	from IMAP servers.  From Brendan Cully.

2000-02-17 18:22:27  roessler  (roessler)

	* send.c: Fix content-description encoding - it was done after
	signing, not before signing.

	* sendlib.c, attach.c, mx.c, pop.c: Do more error checking when
	writing messages to folders.

2000-02-16 17:29:33  roessler  (roessler)

	* send.c: Fix mail-followup-to generation.

	* sendlib.c: Don't output empty header fields.	This is made
	necessary by the addition of possibly empty my_hdr commands.

	* init.c: Permit empty my_hdrs.  Suggested by Edmund Grimley
	Evans.

	* po/cs.po: update.

	* pattern.c, protos.h, send.c: Generate mail-followup-to headers
	which contain the user's mail address when sending messages to
	_known_ mailing lists.

	* po/de.po: update.

2000-02-15 22:26:39  roessler  (roessler)

	* po/fr.po: update.

	* po/eo.po: New translation from Edmund Grimley.

	* OPS: Fix a typo.

	* globals.h: Increase the size of ErrorBuf.

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/pl.po, po/ru.po,
	po/sk.po, po/id.po, po/it.po, po/ko.po, po/nl.po, po/eo.po,
	po/es.po, po/fr.po, po/gl.po, po/cs.po, po/de.po, po/el.po,
	VERSION, reldate.h, ChangeLog: automatic post-release commit
	for mutt-1.1.4

	* doc/manual.sgml.head: Add improved documentation for the "push"
	command, and macros.  From Byrial Jensen, based on a patch by
	Mikko Hanninen.

	* functions.h: Fix the <exit> function on the pager.

	* doc/manual.sgml.head, doc/muttrc.man.head, hook.c, init.c,
	init.h, protos.h: Byrial Jensen's unhook command patch.

	* doc/Makefile.in: Remove superfluous empty lines from the text
	version of the manual.

	* OPS: Change the documentation string for OP_MAIN_PREV_UNDELETED
	- it may be confusing.

	* functions.h, keymap.c: More OP_EXIT fixes.

	* OPS, functions.h, keymap.c, pager.c: Remove the OP_PAGER_EXIT
	opcode, and change it to OP_EXIT.

	* doc/manual.sgml.head: Add more documentation for subscribe
	and lists.

2000-02-14 20:51:37  roessler  (roessler)

	* init.h: Fix documentation for $followup_to.

	* po/de.po: Fix the fixes.  Folks, when submitting changes to the
	.po files, please try a "make" in the po subdirectory afterwards.

	* po/it.po: New Italian translation from Marco d'Itri.

	* imap/imap.c, imap/Makefile.am, imap/auth.c, imap/auth_gss.c,
	imap/browse.c, doc/manual.sgml.head, mx.c, .cvsignore,
	Makefile.am, browser.c, browser.h, configure.in: Brendan Cully's
	patch from <20000212185021.A7365@xanadu.kublai.com>.

	* po/de.po: Fixes from Roland Rosenfeld.

	* attach.c, compose.c: Fix a couple of random perror() calls
	and related problems.

	* sendlib.c: Fix encoding for text/* attachments with long lines.

2000-02-11 09:04:22  roessler  (roessler)

	* contrib/Pine.rc: Fix bug #23.

	* init.h, makedoc.c: Fix minor documentation problems noted by
	Marius Gedminas <mgedmin@takas.lt>.

2000-02-10 19:46:13  roessler  (roessler)

	* imap/message.c, pager.c, parse.c, pattern.c, pgp.c, pgp.h,
	pgpkey.c, pgplib.h, postpone.c, protos.h, recvattach.c, send.c,
	sendlib.c, sort.h, functions.h, globals.h, handler.c, hdrline.c,
	headers.c, hook.c, init.c, init.h, keymap.c, keymap.h, main.c,
	mutt.h, muttlib.c, mx.c, Makefile.am, acconfig.h, attach.c,
	commands.c, compose.c, configure.in, copy.c, copy.h, curs_main.c:
	PGP-cleanup patch from Roland Rosenfeld.  Thanks!

	* muttbug.sh.in: ${prefix} should be defined, as it may be used
	by autoconf.

2000-02-09 18:28:45  roessler  (roessler)

	* doc/manual.sgml.head: Fix a minor typo.  From Mikko Hänninen.

	* muttbug.sh.in: Mostly Debian-related fixes from Roland
	Rosenfeld.

	* main.c: Small translation-related fix from Roland.

	* po/fr.po: Update from Vincent Lefevre.

	* pgpewrap: Portability patch to make pgpewrap work under HP/UX.
	From David Ellement <ellement@sdd.hp.com>.

	* doc/Makefile.in, doc/manual.sgml.head, doc/manual.sgml.tail,
	init.h: Documentation changes from Roland Rosenfeld.

2000-02-08 20:55:33  roessler  (roessler)

	* po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/uk.po, po/ru.po,
	po/ko.po, po/nl.po, po/pl.po, po/fr.po, po/gl.po, po/id.po,
	po/it.po, po/de.po, po/el.po, po/eo.po, po/es.po, build-release,
	po/cs.po, reldate.h, Makefile.am, VERSION, ChangeLog: automatic
	post-release commit for mutt-1.1.3

	* build-release: Don't build US releases.  RedHat and Caldera
	don't object, Debian uses the international version anyways,
	and SuSE (1) sits in Germany and (2) doesn't react.

	* contrib/pgp2.rc: add a comment concerning +encrypttoself.

	* pager.c, keymap.c: Avoid IMAP timeouts when viewing messages.
	From Tommi.Komulainen@iki.fi.

	* po/eo.po: Small fix from Edmund.

2000-02-07 19:16:41  roessler  (roessler)

	* doc/manual.sgml.head: Add a note on my_hdr when used from
	send-hook.

	* muttbug.sh.in: Remove another Debian reference from the severity
	level descriptions.

	* muttbug.sh.in: More fixes.

	* muttlib.c, protos.h, rfc2047.c, rfc2231.c: Fix bug#22.

	* muttbug.sh.in: Various fixes from Roland Rosenfeld.

	* buffy.c: Fix a NULL pointer deference.

2000-02-03 13:41:38  roessler  (roessler)

	* acconfig.h, configure.in, muttbug.sh.in: Add debugger support
	to muttbug.

	* init.c: Add a comment concerning muttbug.sh.

	* muttbug.sh.in: More changes to the bug report script.  Most of
	them were suggest by Roland Rosenfeld.

	* po/de.po: Minor fixes from Roland Rosenfeld.

	* muttbug.sh.in: Add some Debian specifics.

	* muttbug.sh.in: Strip comments from included configuration files.

	* muttbug.sh.in: another minor fix.

	* muttbug.sh.in: Minor fixes.

	* Makefile.am, configure.in, main.c, muttbug.sh.in: Add muttbug,
	the bug reporting utility.  (Yes, we are about to get a real
	bug-tracking system, see http://bugs.guug.de/.)

	* doc/manual.sgml.head: Documentation fix.

2000-02-02 10:53:28  roessler  (roessler)

	* init.c: Make the parsing of integers more

	* lib.c: Use O_NOFOLLOW when it's there, and needed.

2000-02-01 18:47:49  roessler  (roessler)

	* main.c: Cosmetics.

	* doc/mutt.man, doc/muttrc.man.head: Cosmetics.  Additionally,
	remove the y2k compliance notice from the manual page.

	* makedoc.c: Change the font used for typesetting "tables",
	so we get usable output when roffing the muttrc (5) manual page
	for a postscript printer.

	* po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/uk.po, po/pl.po,
	po/ru.po, po/ko.po, po/nl.po, po/gl.po, po/id.po, po/it.po,
	po/el.po, po/eo.po, po/es.po, po/fr.po, po/cs.po, po/de.po:
	Include various po-file updaes, and make update-po.

	* po/Makefile.in.in, po/POTFILES.in, Makefile.am: Build fix for
	the po/ subdirectory, from Edmund G. Evans.

	* po/eo.po: New Esperanto translation.

	* init.h: Add a bit more documentation on $recall.

2000-01-30 13:35:22  roessler  (roessler)

	* po/sv.po, po/uk.po, po/zh_TW.Big5.po, po/ru.po, po/sk.po,
	po/nl.po, po/pl.po, po/id.po, po/it.po, po/ko.po, po/es.po,
	po/fr.po, po/gl.po, po/eo.po, po/POTFILES.in, po/cs.po, po/de.po,
	po/el.po, po/Makefile.in.in, configure.in: Try to fix the build
	process in the po/ subdirectory.

	* configure.in: Add some languages to ALL_LINGUAS.

	* po/gl.po, po/sv.po: Adding translations from stable to unstable.

	* po/ru.po, po/zh_TW.Big5.po, po/fr.po, po/id.po, po/ko.po,
	po/pl.po, po/de.po, po/el.po, po/eo.po: make update-po; including
	new revisions submitted so far.

2000-01-29 08:03:48  roessler  (roessler)

	* init.h: Another change to attach_format.

	* pgp.c, recvattach.c, send.c, sendlib.c, OPS, compose.c,
	functions.h, init.h, mutt.h, parse.c: Michael Elkins'
	content-disposition patch, with some small changes.

2000-01-28 21:32:47  roessler  (roessler)

	* init.h: Make the documentation for rfc2047_parameters
	comprehensible to the end user.

	* init.h: Documentation fix.

	* rfc2231.c: RFC2231 support should understand utf-8.

2000-01-27 09:57:09  roessler  (roessler)

	* imap/imap_ssl.c, README.SSL, init.h, mutt.h: Add options
	to disallow individual SSL protocols.  From Jeremy Katz
	<katzj@linuxpower.org>.

2000-01-25 21:21:10  roessler  (roessler)

	* imap/BUGS: Brendan Cully's latest changes:

	   Here is a patch to add some support for read-only IMAP folders.
	   This is most useful if you have multiple copies of mutt open,
	   but it also allows you to open a folder read-only and not
	   have to worry about flags getting changed. Toggling read-only
	   still doesn't work correctly - you may lose your 'N' flags
	   if you open a folder normally and switch to read-only.

	  I've also decided to try using UID FETCH, although I'm not
	  sure if older IMAP servers support it, but then again I'm
	  not sure if anyone's using any really old IMAP servers. The
	  main advantage is in the case of multiple clients, where
	  one client is deleting messages and the other isn't getting
	  notification. I'm experiencing that on my UW-IMAP 4.6 server. On
	  the other hand, this server seems to have all sorts of terrible
	  problems with this scenario, so I'm not sure how well the code
	  functions. It's a two-line change so far, it's experimental,
	  and it's the only IMAP code in an #if 0 block...

	* imap/README: branches:  1.4.2; Brendan Cully's latest changes:

	   Here is a patch to add some support for read-only IMAP folders.
	   This is most useful if you have multiple copies of mutt open,
	   but it also allows you to open a folder read-only and not
	   have to worry about flags getting changed. Toggling read-only
	   still doesn't work correctly - you may lose your 'N' flags
	   if you open a folder normally and switch to read-only.

	  I've also decided to try using UID FETCH, although I'm not
	  sure if older IMAP servers support it, but then again I'm
	  not sure if anyone's using any really old IMAP servers. The
	  main advantage is in the case of multiple clients, where
	  one client is deleting messages and the other isn't getting
	  notification. I'm experiencing that on my UW-IMAP 4.6 server. On
	  the other hand, this server seems to have all sorts of terrible
	  problems with this scenario, so I'm not sure how well the code
	  functions. It's a two-line change so far, it's experimental,
	  and it's the only IMAP code in an #if 0 block...

	* imap/TODO, imap/command.c, imap/imap.c, imap/message.c:
	Brendan Cully's latest changes:

	   Here is a patch to add some support for read-only IMAP folders.
	   This is most useful if you have multiple copies of mutt open,
	   but it also allows you to open a folder read-only and not
	   have to worry about flags getting changed. Toggling read-only
	   still doesn't work correctly - you may lose your 'N' flags
	   if you open a folder normally and switch to read-only.

	  I've also decided to try using UID FETCH, although I'm not
	  sure if older IMAP servers support it, but then again I'm
	  not sure if anyone's using any really old IMAP servers. The
	  main advantage is in the case of multiple clients, where
	  one client is deleting messages and the other isn't getting
	  notification. I'm experiencing that on my UW-IMAP 4.6 server. On
	  the other hand, this server seems to have all sorts of terrible
	  problems with this scenario, so I'm not sure how well the code
	  functions. It's a two-line change so far, it's experimental,
	  and it's the only IMAP code in an #if 0 block...

	* doc/Makefile.in: Make the build process work when sgmltools
	aren't present.  From Lawrence Greenfield <leg+@andrew.cmu.edu>.

	* imap/auth.c: Fix GSSAPI support.  From Lawrence Greenfield
	<leg+@andrew.cmu.edu>.

2000-01-24 13:17:17  roessler  (roessler)

	* dotlock.h, mx.c, dotlock.c: Locking fix.

	* enter.c: patch-1.1.2.mg.autocomplete.1 - from Marius Gedminas
	<mgedmin@pub.osf.lt>.

	* Makefile.am: small build process fix.

	* m4/Makefile.am.in: Patch from Lars Hecking in order to build
	mutt cleanly under Solaris 2.6.

	* doc/manual.sgml.head: More list-reply documentation from
	Mikko.Hanninen@iki.fi.

	* init.h, mutt.h, rfc822.c: Removing rewrite_uucp.  There were
	too many objections against it.

	* init.h, mutt.h, rfc822.c: Adding the $rewrite_uucp option.

	* po/ru.po: update.

	* po/eo.po, configure.in: Adding the Esperanto translation
	to unstable.  From Edmund GRIMLEY EVANS <edmundo@rano.org>.

2000-01-21 09:28:56  roessler  (roessler)

	* po/el.po: New greek translation.

	* po/id.po: updated translation.

2000-01-20 17:35:41  roessler  (roessler)

	* po/pl.po: Updated polish translation.

	* contrib/Makefile.in, Makefile.am: "make distclean" fixes from
	Marco d'Itri.

	* compose.c: Typo noted by edmundo@rano.org.

	* po/ko.po: Update.

	* send.c: Honor mail-followup-to when doing a list-reply.
	From Mikko.Hanninen@iki.fi.

2000-01-19 14:59:01  roessler  (roessler)

	* commands.c: Don't move the index cursor after a failed attempt
	to save a message.  From Joe Orton <joe@orton.demon.co.uk>.

	* po/de.po: New German translation for unstable, from Roland
	Rosenfeld.

	* pgp.c: Fiksing a speling mysdeik nodet by Michael Sobolev. ;-)

	* NEWS: Add a notice on display-toggle-weed.

	* doc/manual.sgml.head, doc/manual.sgml.tail, OPS, functions.h:
	Rename display-headers to display-toggle-weed.

2000-01-18 22:46:18  roessler  (roessler)

	* mx.c: mx_open_mailbox_append: Add an error message and remove
	a file descriptor leak when we can open, but can't lock an MMDF
	or MBOX folder.

	* po/zh_TW.Big5.po, po/uk.po, po/sv.po, po/sk.po, po/ru.po,
	po/pt_BR.po, po/pl.po, po/nl.po, po/ko.po, po/it.po, po/gl.po,
	po/id.po, po/fr.po, po/eo.po, po/es.po, po/el.po, po/de.po,
	po/cs.po, reldate.h, VERSION, ChangeLog: automatic post-release
	commit for mutt-1.0.1

	* contrib/Makefile.in: Respect $DESTDIR in contrib/Makefile.
	From Hao Li <hli@rainfinity.com>.

	* imap/imap.c, imap/message.c: Fix use of confirmcreate with IMAP.
	A patch for this was suggested by Brian R. Gaeke.

	* init.h, alias.c: Documentation fix about gecos_mask.	From Will
	Fiveash.

2000-01-16 14:44:12  roessler  (roessler)

	* po/eo.po: new esperanto translation from edmundo@rano.org.

	* editmsg.c: Use Visual, not Editor, for editing messages.
	Noted by Marius Gedminas <mgedmin@pub.osf.lt>.

	* rfc822.c: quote-related fix to the RFC822 parser.  From Edmund
	Grimley Evans.

2000-01-12 09:20:34  roessler  (roessler)

	* init.c: It was impossible to unset a string.	If you did
	"unset realname" it would just print out the value of the string.
	Attached is the fix.

2000-01-10 21:34:06  roessler  (roessler)

	* reap.pl: Handle #ifndef in reap.pl.

	* configure.in: Recognize differently-named gccs as such, and
	enable warnings.  From "Andrew W. Nosenko" <awn@bcs.zp.ua>.

	* pgp.c: To compile on SunOs 4.1.4, the order of two includes
	needs to be switched (<sys/resource.h> contains a struct timeval.)

	From Mark Seiden <mis@seiden.com>.

	* doc/manual.sgml.head, pgplib.h, postpone.c, recvattach.c,
	recvcmd.c, remailer.c, remailer.h, rfc2231.c, rfc2231.h,
	attach.c, charset.c, charset.h, dotlock.h, editmsg.c, extlib.c,
	gnupgparse.c, lib.c, lib.h, makedoc.c, mh.c, muttlib.c, mx.c,
	mx.h, pgp.h: More copyright cosmetics - noted by Martin Michlmayr
	<tbm@cyrius.com>.

	* lib.c: Use safe_free() instead of free() with mutt_str_replace -
	equivalent, but nicer.

	* parse.c, pgpkey.c, postpone.c, protos.h, recvattach.c,
	rfc1524.c, rfc2047.c, send.c, sendlib.c, attach.c, browser.c,
	compose.c, curs_main.c, edit.c, history.c, init.c, lib.c,
	main.c, menu.c, mh.c, muttlib.c: Add (and use) a function
	mutt_str_replace, which essentially replaces the sequence:

		safe_free (&s); s = safe_strdup (t);

	* build-release, gnupgparse.c: Fix PGP uid parsing.  Noted by
	Edmund GRIMLEY EVANS <edmundo@rano.demon.co.uk>.

2000-01-08 10:31:28  roessler  (roessler)

	* VERSION, reldate.h, ChangeLog: automatic post-release commit
	for mutt-1.1.2

	* keymap.c: Fix a macro-related segmentation fault in stable.
	From Byrial Jensen.

	* keymap.c: Fix a macro-related segmentation fault.  From Byrial
	Jensen.

	* OPS, commands.c, compose.c, curs_main.c, functions.h, protos.h,
	recvattach.c: Unified edit-type function for the index, compose,
	and receive-attachment menus.  Mostly by Michael Elkins.

	* curs_lib.c: patch-1.1.1.me.endwin.1, from Michael Elkins.

	* mutt.h, parse.c, init.h: Undo Michaels "pgpsearchext" patch.

2000-01-06 12:00:50  roessler  (roessler)

	* rfc2231.c, rfc2231.h, rfc822.c, rfc822.h, score.c, send.c,
	sendlib.c, signal.c, sort.c, sort.h, status.c, system.c, thread.c,
	pgplib.c, pgplib.h, pgppubring.c, pop.c, postpone.c, protos.h,
	query.c, recvattach.c, recvcmd.c, remailer.c, remailer.h,
	resize.c, rfc1524.c, rfc1524.h, rfc2047.c, rfc2047.h, mh.c,
	mime.h, mutt.h, mutt_curses.h, mutt_menu.h, mutt_regex.h,
	muttlib.c, mx.c, mx.h, pager.c, pager.h, parse.c, pattern.c,
	pgp.h, pgpinvoke.c, keymap.c, keymap.h, lib.c, lib.h, mailbox.h,
	main.c, makedoc.c, mapping.h, mbox.c, menu.c, init.h, hash.h,
	hdrline.c, headers.c, help.c, history.c, history.h, hook.c,
	init.c, copy.h, curs_lib.c, curs_main.c, date.c, dotlock.c,
	dotlock.h, edit.c, editmsg.c, enter.c, extlib.c, filter.c,
	flags.c, from.c, functions.h, globals.h, gnupgparse.c, handler.c,
	hash.c, attach.c, attach.h, browser.c, browser.h, buffy.c,
	buffy.h, charset.c, charset.h, color.c, commands.c, complete.c,
	compose.c, copy.c, addrbook.c, alias.c: Update copyright notices
	for unstable.

	* signal.c, socket.c, sort.c, sort.h, status.c, system.c,
	thread.c, query.c, recvattach.c, resize.c, rfc1524.c,
	rfc1524.h, rfc2047.c, rfc2047.h, rfc822.c, rfc822.h, score.c,
	send.c, sendlib.c, pattern.c, pgp.c, pgpinvoke.c, pgpkey.c,
	pgppubring.c, pop.c, postpone.c, protos.h, pager.h, parse.c,
	menu.c, mh.c, mime.h, mutt.h, mutt_curses.h, mutt_menu.h,
	mutt_regex.h, mutt_socket.h, mx.c, mx.h, pager.c, imap.h,
	init.c, init.h, keymap.c, keymap.h, lib.c, mailbox.h, main.c,
	mapping.h, mbox.c, hash.c, hash.h, hdrline.c, headers.c,
	help.c, history.c, history.h, hook.c, imap.c, curs_main.c,
	date.c, dotlock.c, dotlock.h, edit.c, enter.c, filter.c, flags.c,
	from.c, functions.h, globals.h, gnupgparse.c, handler.c, buffy.c,
	buffy.h, charset.c, charset.h, color.c, commands.c, complete.c,
	compose.c, copy.c, copy.h, curs_lib.c, addrbook.c, alias.c,
	attach.c, attach.h, browser.c: Updat copyright notices in stable.

2000-01-05 09:40:52  roessler  (roessler)

	* init.h, mutt.h, parse.c: patch-1.1.1.me.pgpsearchtext.1.
	From Michael Elkins.

2000-01-03 10:15:54  roessler  (roessler)

	* strcasecmp.c: New str*casecmp replacements for stable.

	* strcasecmp.c: Fix strncasecmp and strcasecmp replacement
	functions.  Problem noted by Stu Heiss <stu@jpusa1.chi.il.us>.

2000-01-01 17:59:51  roessler  (roessler)

	* parse.c: y2k fix for 1.0.

	* parse.c: A y2k fix for those who still use two-digit year
	numbers as originally specified in RFC 822.

1999-12-29 18:38:07  roessler  (roessler)

	* po/zh_TW.Big5.po: New Chinese translation; from Anthnoy Wong
	<ypwong@debian.org>; Dec 21 1999.

	* sort.c: Fix a minor threading bug.  From Edmund GRIMLEY EVANS
	<edmundo@rano.demon.co.uk>, Dec 14 1999.

	* browser.c: Fix the use of link_is_dir() in the file
	browser.  This should fix the bug reported by John Yates
	<yates@flatiron.com> on Dec 07 1999.  (Details noted by Byrial
	Jensen <byrial@image.dk> on Dec 09 1999.)

	* send.c: Don't use IMAP folders for FCCs when sending messages
	in batch mode.	This is _not_ Brendan's patch, which may be
	included later.

1999-12-14 10:29:25  roessler  (roessler)

	* INSTALL: Add a short note that EXACT_ADDRESS is broken.
	In order to fix it, we'd need a RFC 2047 implementation
	which knows about RFC 822 syntax.  (This would also help with
	In-Reply-To headers, BTW, but would be considerably more complex.)

1999-12-13 11:36:01  roessler  (roessler)

	* init.h, mutt.h, protos.h, send.c, sendlib.c: Adding the
	envelope_from option.

1999-12-09 11:17:35  roessler  (roessler)

	* imap/README, imap/auth.c, imap/browse.c, imap/imap.c,
	imap/imap.h, imap/imap_private.h, imap/imap_socket.h,
	imap/imap_ssl.c, imap/message.c, imap/socket.c, imap/util.c,
	doc/manual.sgml.head, init.c, browser.c: Tommi Komulainen's
	multiple IMAP usernames patch.

1999-12-06 09:59:28  roessler  (roessler)

	* mbox.c: Cosmetic improvement for reading mmdf folders.
	From John Hawkinson <jhawk@bbnplanet.com>.

1999-12-04 15:42:07  roessler  (roessler)

	* mx.c: Check for the presence of .overview files when testing
	whether some directory is an MH folder.  This way, you can at
	least read Usenet news from the spool using Mutt. ;-)

	* alias.c, init.h, mutt_regex.h: William Feavish's GECOS regexp
	patch.

1999-12-03 16:54:03  roessler  (roessler)

	* doc/manual.sgml.head: Fix the documentation on how to join
	the mutt lists.  Noted by Marius Gedminas <mgedmin@takas.lt>.

	* init.h: Fix a small bug in the documentation for $hidden_host.

	* configure.in: Fix the handling of --disable configure switches.

	* configure.in: patch-1.0.rr.autoconf-disable.1: --disable-pop
	shouldn't enable pop.

	* rfc2047.c: Properly tag quoted-printable encoded RFC 2047
	strings with $send_charset, not with $charset.

	* Makefile.am, README, README.UPGRADE: Adding one more readme
	file.  This one is intended to serve as some kind of "howto"
	for the most notable incompatible configuration changes.

1999-12-02 16:29:26  roessler  (roessler)

	* pgpkey.c: Fix the PGP key selection menu's title.

	* imap/imap_ssl.c: SSL fixes from Tommi Kommulainen.

	* NEWS: Announce edit-message and resend-message, and the changes
	in recvcmd.c.

	* doc/manual.sgml.head: Clarify the documentation of
	lists/unlists/subscribe/unsubscribe a bit.

1999-12-01 12:06:31  roessler  (roessler)

	* imap/util.c: Now, I should have got the signal handling right.

	* imap/util.c: another alarm (0) was missing.  (However, this
	one didn't crash mutt.)

	* imap/util.c: imap_keepalive: cancel pending alarms.  Otherwise,
	mutt will die frequently.

	* imap/util.c: Re-set the list of blocked signals after the
	imap_keepalive stuff.

	* imap/imap.h, imap/util.c, curs_lib.c, mutt.h, system.c:
	A modified version of Tommi Kommulainen's imap keepalive patch.

1999-11-26 09:19:03  roessler  (roessler)

	* imap/message.c: Fix the lines header.

1999-11-25 15:18:02  roessler  (roessler)

	* imap/imap.h, imap/util.c, curs_lib.c, mutt.h, system.c: Undo
	the IMAP keepalive patch.  It has just bitten me while mutt was
	trying to dotlock a folder.  Seems that there needs some more
	work to be done.

	* imap/imap.h, imap/util.c, mutt.h, system.c, curs_lib.c:
	A modified version of Tommi Komulainen's imap keepalive patch.

1999-11-24 16:29:58  roessler  (roessler)

	* NEWS: Change some headlines: Instead of "major changes
	since <unstable version>", it's "major changes since 1.0" now.
	In addition, I changed the note concerning the lists/subscribe
	change to be more explicit than the old one.

	* imap/message.c: IMAP line count fix from
	Tommi.Komulainen@iki.fi.

1999-11-23 23:43:51  roessler  (roessler)

	* postpone.c: mutt_prepare_template() didn't work with
	PGP-encrypted messages due to an - errm - interesting typo.

	* doc/manual.sgml.head: Document the fact that users can enter
	a mail-followup-to header in the editor.  There seems to have
	been some confusion about this.

	* doc/PGP-Notes.txt, acconfig.h, configure.in, pgp.c: Disable
	core dumps before we ask the user for a pass phrase.  Suggested by
	<Stefan.Alfredsson@kau.se>.

	* doc/PGP-Notes.txt: Include the maildrop recipe Mark Weinem
	<mark.weinem@unidui.uni-duisburg.de> sent me some weeks ago.

	* muttlib.c: Permit !! for the last folder.  Elm compatibility.

	* NEWS: Tell our users that fcc_clear exists.

	* init.h, mutt.h, send.c: Adding an fcc_clear option for
	unencrypted and unsigned FCCs.

	* imap/Makefile.am: Include the SSL-related code with "make dist".

1999-11-22 16:01:42  roessler  (roessler)

	* imap/imap.c, imap/imap.h, imap/imap_private.h, imap/message.c,
	imap/util.c, imap/BUGS, imap/README, imap/TODO, OPS, browser.c,
	functions.h, pgppubring.c: IMAP folder creation and deletion.
	From Brendan Cully.

	* po/de.po: Der Versuch, "Diskussionsfaden" durch etwas
	Verständlicheres zu ersetzen. ;-)

1999-11-18 16:19:35  roessler  (roessler)

	* init.h: Include SSL documentation in the manual.

	* dotlock.c: indentation noise.

	* imap/socket.c: Small code clean-up.

	* mx.c: Detect .mew_cache files in MH folders.	Suggested by
	Kawaguti Ginga <ginga@amalthea.phys.s.u-tokyo.ac.jp>.

	* doc/manual.sgml.head: Documentation nit from Byrial Jensen.

	* lib.c: patch-1.0.bj.lastline.1: Handle last lines in
	configuration files nicely, even when they are not terminated
	by a \n character.

	* parse.c, rfc2231.c: Some rather cosmetic changes.

1999-11-17 22:47:59  roessler  (roessler)

	* menu.c: some reorganizations of the dialog menu code.

	* alias.c: Fix the address sanitizer.  You should now be
	able to auto-create an alias for someone like "Jon K. Hellan"
	<hellan@acm.org>.

	* imap/Makefile.am, imap/browse.c, imap/imap.c, imap/imap.h,
	imap/imap_private.h, imap/imap_socket.h, imap/imap_ssl.c,
	imap/imap_ssl.h, imap/message.c, imap/socket.c, imap/util.c,
	doc/manual.sgml.head, Makefile.am, NEWS, README.SSL, acconfig.h,
	configure.in, init.c, init.h, main.c, mutt.h: Tommi Komulainen's
	IMAP/SSL support patches.

	* menu.c, mutt_menu.h: Tommi Komulainen's menu/dialog patch.

1999-11-15 17:44:15  roessler  (roessler)

	* pgp.c: Fix the pgp-hook logic.

	* color.c: Small color fix from T. E. Dickey.

	* color.c: A small patch from TE Dickey.

1999-11-11 18:30:25  roessler  (roessler)

	* rfc822.c: ups, the previous patch included a small buffer
	overflow.

	* po/gl.po: Roberto Suarez Soto <robe@ceu.fi.udc.es> sent us a
	new translation.

	* rfc822.c: Fix a header quoting bug.

	* doc/Makefile.in: Another build process patch from Brendan Cully.

1999-11-10 21:35:33  roessler  (roessler)

	* rfc2231.c: Ignore empty MIME parameters.

1999-11-09 12:40:14  roessler  (roessler)

	* mbox.c, parse.c: Add some more sanity checks about
	content-length.

	* curs_lib.c: Fix an SLang-related compilation problem.
	Originally from Jon Kĺre Hellan.

	* postpone.c: Simplify mutt_prepare_template ().  Instead of
	copying around all kinds of data, we re-parse the postponed
	message's structure.

	* postpone.c: Make sure mutt doesn't forget MIME structure when
	the user resends a message/rfc822 body from the recvattach menu.
	Note, however, that this is more of a temporary solution
	- I think there is some more space for improvements in
	mutt_prepare_template().

	* imap/Makefile.am, doc/Makefile.in, contrib/Makefile.in,
	configure.in, Makefile.am: Build process fixes from Brendan Cully.

	* pager.c: Add a missing redraw after resend-message.

1999-11-08 22:10:49  roessler  (roessler)

	* VERSION: Undo changes which are due to release-building tests.
	After all, we want the _right_ diff next time.

	* build-release: Finalize the new build-release script.

	* ChangeLog, VERSION, build-release: automatic post-release
	commit for mutt-1.1.1.2

	* LAST_TAG, Makefile.am, OVERSION, VERSION, build-release,
	ChangeLog: automatic post-release commit for mutt-1.1.1.1

	* LAST_TAG, Makefile.am, OVERSION: Preparing some improvements
	to the build process.

	* po/de.po, reldate.h, VERSION, ChangeLog: automatic post-release
	commit for mutt-1.1.1

1999-11-07 22:52:40  roessler  (roessler)

	* sendlib.c: short-cut utf-7 as a 7bit character set.  Currently,
	utf-7 may be overridden by us-ascii.

	* protos.h, recvattach.c, recvcmd.c, rfc1524.c, rfc1524.h,
	send.c, sendlib.c, attach.c, attach.h, browser.c, commands.c,
	compose.c, curs_main.c, functions.h, init.h, mutt.h, muttlib.c,
	pager.c, pager.h, postpone.c, Makefile.am: Rewriting lots of
	the recvattach code.

	* po/eo.po: branches:  1.1.2; file eo.po was initially added on
	branch mutt-1-0-stable.

	* po/eo.po, configure.in: Esperanto translation from Edmund
	GRIMLEY EVANS <edmundo@rano.demon.co.uk>.

1999-11-05 07:28:11  roessler  (roessler)

	* pgppubring.c: preprocess out some unused strings.

1999-11-04 21:35:32  roessler  (roessler)

	* rfc2231.c: Catch a segmenatation fault.  Note that this is
	not the real fix for the problem...

	* menu.c: Change a short to an int where it should have been one.

	* po/gl.po: New version.

	* protos.h, send.c, status.c, buffy.c, globals.h, postpone.c:
	IMAP postpone changes from Byrial Jensen.

1999-11-03 20:30:19  roessler  (roessler)

	* recvattach.c: Adding a comment which describes some ideas on
	how the attachment menu should work.

1999-11-02 15:51:07  roessler  (roessler)

	* imap/BUGS, imap/command.c, imap/imap.c, imap/imap_private.h,
	imap/message.c, imap/util.c, buffy.c: Various IMAP-related fixes
	from Brendan Cully.

1999-10-31 17:12:55  roessler  (roessler)

	* po/it.po: [stable] Small fix from Marco d'Itri.

	* m4/.cvsignore, intl/.cvsignore, imap/BUGS, imap/message.c,
	contrib/.cvsignore: From Brendan Cully: IMAP updates should work
	properly again.

1999-10-29 05:43:40  roessler  (roessler)

	* po/.cvsignore: Cosmetics.

	* imap/BUGS: Update the documentation.

	* doc/.cvsignore: Cosmetics.

	* buffy.c, globals.h, postpone.c, send.c, status.c: Don't check
	the number of postponed messages every time the status line
	is updated - this gets quite slow when used with slow IMAP
	connections.

1999-10-28 17:42:07  roessler  (roessler)

	* README: Fix the version number in the README file.

	* pop.c: Cosmetic POP fixes from Evan DiBiase
	<evand@telerama.com>.

	* pop.c: Cosmetic fixes from Evan DiBiase <evand@telerama.com>.

1999-10-28 08:15:38    <Jon.K.Hellan@item.ntnu.no>  (roessler)

	* imap/imap_socket.h, imap/socket.c, init.h, globals.h: Adding
	imap_preconnect.  This way, you can let mutt start an ssh tunnel
	before it tries to connect to an IMAP server.

1999-10-27 12:17:34  roessler  (roessler)

	* po/gl.po: branches:  1.1.2; file gl.po was initially added on
	branch mutt-1-0-stable.

	* po/gl.po, configure.in: Adding a Galician translation.

1999-10-26 15:14:01  roessler  (roessler)

	* curs_lib.c, main.c: Some display-related fixes from Andrej
	Gritsenko.

	* editmsg.c: Fix a small bug in the new edit-message feature.
	From Andrej Gritsenko.

	* imap/imap.c, imap/imap_private.h, imap/util.c, imap/auth.c,
	imap/browse.c, imap/command.c: * stops mutt from logging CRAM
	secrets in debug mode.	* should fix mutt segfaulting when trying
	to open {} * helps with the problem of mutt detecting new mail
	in the wrong
	  folder. Now, IMAP commands from the SELECTED state should call
	  imap_cmd_finish after they've executed commands. I've only put
	  this is imap_buffy_check for now - in my opinion the command
	  execution path is still not stable, and rewrites may obviate
	  the need for this...

	(From: Brendan Cully <brendan@kublai.com>)

1999-10-25 20:05:14  roessler  (roessler)

	* po/sv.po: branches:  1.1.2; file sv.po was initially added on
	branch mutt-1-0-stable.

	* po/sv.po, configure.in: Adding the Swedish translation to
	stable.

	* po/de.po: Updated German translation from Roland Rosenfeld.

	* imap/imap.h, imap/imap_private.h, imap/message.c, imap/util.c,
	imap/.cvsignore, imap/BUGS, imap/Makefile.am, imap/browse.c,
	imap/command.c, imap/imap.c, init.h: Brendan Cully's IMAP code
	movements patch.

1999-10-22 08:49:30  roessler  (roessler)

	* Makefile.am, VERSION, reldate.h, ChangeLog: automatic
	post-release commit for mutt-1.1

	* po/zh_TW.Big5.po, po/uk.po, po/sk.po, po/pt_BR.po, po/ru.po,
	po/pl.po, po/nl.po, po/ko.po, po/it.po, po/id.po, po/fr.po,
	po/es.po, po/el.po, po/de.po, po/cs.po, NEWS, VERSION, reldate.h,
	ChangeLog: post-release commit for one dot zero.  (yes, really.)

1999-10-21 08:07:22  roessler  (roessler)

	* compose.c: Another sprintf-vs-null issue.

1999-10-20 14:51:57  roessler  (roessler)

	* po/id.po: new indonesian translation.

	* imap/message.c: Flags should only be modified using
	mutt_set_flag().  Everything else leads to neglected side effects.
	In this case, index colors, searches and possibly other side
	effects were ignored when a message which resides on an IMAP
	folder was read.

	* imap/auth.c: Let the user skip CRAM-MD5 by entering an empty
	secret.

	* po/id.po, po/el.po: translation updates.

	* configure.in: Don't use GNU grep specific options.

1999-10-19 15:34:04  roessler  (roessler)

	* imap/auth.c: Fix some sloppiness-induced, but harmless,
	nonsense.

	* imap/imap_private.h, imap/auth.c, imap/imap.c: Add
	AUTHENTICATE=ANONYMOUS support to the IMAP authentication methods.
	This is, for instance, needed to access the cyrus-related mailing
	lists' archives at CMU.

	* po/el.po: New greek translation.

1999-10-18 09:13:42  roessler  (roessler)

	* pgp.c: Handle Ctrl-G on the pgp-hook prompt correctly.

1999-10-16 15:19:29  roessler  (roessler)

	* Makefile.am: doc/PGP-Notes.txt vs. doc/PGP-Notes.

	* Makefile.am: [stable] doc/PGP-Notes.txt has an extension. ups.

	* send.c: [stable] Fix Debian bug #47408.

	* send.c: Fix Debian bug #47408: When the postponed folder
	is a maildir, messages should only be written to the _new_
	subdirectory.

	* po/nl.po: New nl translation from Johan van Selst
	<johans@stack.nl>.

	* po/cs.po: New cs translation from Jiri Pavlovsky
	<pavlovsk@ff.cuni.cz>.

	* po/zh_TW.Big5.po: [stable] chinese translation fixes from
	Anthony Wong <ypwong@debian.org>.

	* init.h: scoring documentation fix.

	* globals.h, init.h, mutt.h, mx.c, protos.h, score.c, sort.c:
	Scoring improvements.

1999-10-14 16:09:10  roessler  (roessler)

	* po/ru.po: New Russian tranlation for stable.

	* contrib/gpg.rc: New gpg.rc from Roland Rosenfeld.

	* po/fr.po: [stable] New french translation.

	* po/de.po: [stable] Fixes to the German translation.

	* pattern.c: [stable] Fix a segmentation fault when attempting
	to search pgp-encrypted messages.

	* pattern.c: Fix a segmentation fault when search PGP-encrypted
	messages.

1999-10-11 20:26:41  roessler  (roessler)

	* VERSION, po/es.po, reldate.h, ChangeLog: automatic post-release
	commit for mutt-0.96.8

	* po/zh_TW.Big5.po, po/uk.po, po/sk.po, po/ru.po, po/pl.po,
	po/nl.po, po/ko.po, po/it.po, po/id.po, po/fr.po, po/es.po,
	po/el.po, po/de.po, po/cs.po, VERSION, reldate.h, ChangeLog:
	post-release commit for 1.0pre4.

	* po/zh_TW.Big5.po: New Chinese Translation.

	* dotlock.c: [stable] Use dotlock.c from unstable.

1999-10-06 20:20:54  roessler  (roessler)

	* Makefile.am: Makefile.am fix for unstable.

	* Makefile.am: [stable] Check for mutt_dotlock in
	$(DESTDIR)$(bindir), not in $(bindir). This should fix some
	Debian build problems.

	* init.h: fix the $from documentation.	Noted by David DeSimone.

1999-10-05 06:50:34  roessler  (roessler)

	* compose.c, mutt.h, recvattach.c: small fixes from Gero Treuner.

	* mutt.h, recvattach.c, compose.c: [stable] small fixes from
	Gero Treuner.

1999-10-04 10:05:26  roessler  (roessler)

	* configure.in: [stable] add pt_BR to ALL_LINGUAS.

	* configure.in: add pt_BR to ALL_LINGUAS.

	* po/pt_BR.po: Brasilian translation.

	* po/pt_BR.po: branches:  1.1.2; file pt_BR.po was initially
	added on branch mutt-1-0-stable.

	* po/pt_BR.po: Brasilian translation.

	* imap/BUGS, imap/Makefile.am, imap/README, imap/auth.c,
	imap/imap.c, imap/util.c, .cvsignore, mx.c: Some fixes from
	Brendan Cully.

	* pgpewrap: pgpewrap spits out ugly error messages when used
	with ash.

	* configure.in: AM_C_PROTOTYPES seems to be too recent for the
	installed automake/autoconf base.

	* postpone.c: Remove some nonsense from the resend-message
	patches.

	* postpone.c: Fix a memory leak.

1999-09-30 22:05:28  roessler  (roessler)

	* imap/message.c, send.c, sendlib.c, OPS, buffy.c, curs_main.c,
	functions.h, headers.c, main.c, mbox.c, mh.c, mutt.h, parse.c,
	parse.h, postpone.c, protos.h, recvattach.c: Add a resend-message
	function (similar to the _old_ edit-message), and redo large
	parts of mutt_prepare_edit_message (now mutt_prepare_template).

	* main.c: unstable cosmetics.

	* main.c: [stable] cosmetic change suggested by marco d'itri.

	* po/es.po, po/es.po: New spanish translation from Boris
	Wesslowsky.

	* imap/Makefile.am, makedoc.c: Build fixes from Lars Hecking.

	* doc/manual.sgml.in, Muttrc.in, NEWS, globals.h, init.h, send.c:
	[stable] Re-add in_reply_to, this time with the right default
	value.

	* sendlib.c: [unstable] fix the duplicate x-mailer/uesr-agent
	problem.

	* send.c, globals.h, init.h: [unstable] Re-add in-reply-to.
	This time with a suitable default. #-\

1999-09-29 17:47:33  roessler  (roessler)

	* configure.in: More fixes from Lars Hecking.

	* configure.in: Adding AC_PREREQ to configure.in.

	* configure.in: make sure the right software is used for building
	mutt. Patch suggested by Lars Hecking and Will Fiveash.

	* pgpinvoke.c: don't leak /dev/null file descriptors.  From Roland
	Rosenfeld.

	* curs_main.c: fix^2 for stable.

	* curs_main.c: Fixing the fix - missing brackets.

	* curs_main.c, parse.c: [stable] Fix some memory leaks noted by
	purify running on behalf of Daniel Eisenbud.

	* curs_main.c, parse.c: Fix some memory leaks noted by purify
	running on behalf of Daniel Eisenbud.

1999-09-28 18:55:31  roessler  (roessler)

	* po/ru.po: Here goes an update for version 1.0-pre3i.	The main
	feature of this translation is that one-letter answers to
	multiple choice questions are not localized (Thomas, could you
	please add this as comment to the update in CVS?)

	(From: Michael Sobolev.)

	* sendlib.c: [stable] Include SPACE and HT with MIME specials.

	* sendlib.c: [unstable] Include SPACE and HT with MimeSpecials.

	* Makefile.am: Better solution for the makedoc build using
	automake.

	* Makefile.am: Some makes apparently have to be told about how
	to build makedoc.

1999-09-27 17:55:14  roessler  (roessler)

	* copy.c: A back-port from unstable had missed some parts which
	could lead to message corruption with mh mail folders.

	* po/it.po: new Italian translation from Marco d'Itri.

	* po/pl.po: New polish translation.

	* po/de.po, po/de.po: Translation fix from Roland Rosenfeld.

	* doc/manual.sgml.in: Documentation fix from Roland Rosenfeld.

1999-09-25 07:37:51  roessler  (roessler)

	* po/zh_TW.Big5.po, po/uk.po, po/sk.po, po/ru.po, po/pl.po,
	po/nl.po, po/ko.po, po/it.po, po/id.po, po/fr.po, po/es.po,
	po/el.po, po/de.po, po/cs.po: post-release commit for 1.0pre3.

	* VERSION, reldate.h, ChangeLog: pre-release commit for 1.0pre3.

1999-09-24 17:51:55  roessler  (roessler)

	* po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/pl.po, po/ru.po,
	po/it.po, po/ko.po, po/nl.po, po/fr.po, po/id.po, po/el.po,
	po/es.po, po/cs.po, po/de.po, ChangeLog, VERSION, reldate.h:
	automatic post-release commit for mutt-0.96.7

1999-09-23 21:13:55  roessler  (roessler)

	* po/el.po: New Greek tranlsation from Fanis <madf@geocities.com>.

	* browser.c: [stable] Solaris snprintf vs. NULL pointers.

	* browser.c: Try not to pass NULL pointers to snprintf
	- the Solaris version doesn't like them.  (Noted by
	Thomas.Parmelan@efrei.fr.)

	* imap/imap_private.h, imap/socket.c, imap/util.c, imap/BUGS,
	imap/imap.c, buffy.c: Brendan Cully's latest changes:

	* includes all of my last patch, since it hasn't been committed
	yet.  * catches a couple segfault problems if Context is NULL.
	* works harder to avoid sending null STORE FLAGS commands. May not
	  be perfect yet, but also has extra debugging code.  * has the
	beginnings of a more interactive IMAP error handler.
	  Doesn't do anything yet, I'm just including it because I want
	  to get the rest of the patch out.

	* doc/Makefile.in, Makefile.am: Use $(MAKE) instead of make.
	Noted by Ryan Murray <rmurray@cyberhqz.com>.

	* doc/Makefile.in, Makefile.am, configure.in, init.h: A small
	portability fix related to makedoc.

	* po/es.po: [stable] new spanish translation from Boris Wesslowski
	<Boris.Wesslowski@StudBox.Uni-Stuttgart.DE>.

	* alias.c: increase this limit for stable as well.

	* handler.c: [stable] Fix a buffer overflow and a bug helping
	with exploiting this overflow in the text/enriched handler.

	* handler.c: Fix a buffer overflow and a bug helping with
	exploiting this overflow in the text/enriched handler.

	* imap/browse.c, doc/manual.sgml.head, curs_main.c: This small
	patch:

	* catches a possible null-pointer dereference in mx_close_mailbox
	  when logging out of the server.
	* fixes IMAP tab-completion cosmetics (slightly broken with last
	  Cyrus-compatibility updates)
	* adds a bit to the IMAP part of the manual.

	Brendan Cully <brendan@kublai.com>

	* alias.c: Increase a buffer to make larger group aliases
	possible.  The current STRING buffer was far too small.

1999-09-12 19:39:10  roessler  (roessler)

	* po/es.po: [stable] Updated spanish translation from Boris
	Wesslowski.

	* po/es.po: [stable] Fixes for the Spanish translation.
	From Nicolás Lichtmaier <nick@debian.org>.

	* imap/BUGS, imap/Makefile.am, imap/TODO, imap/auth.c,
	imap/imap.c, imap/imap.h, imap/imap_private.h, imap/message.c,
	imap/util.c, buffy.c, commands.c, globals.h, init.h: The attached
	patch (imap-turbocharge.diff):

	* changes mutt_buffy_check to only poll the selected folder
	  when it is opened, not all mailboxes (unless the timeout
	  has expired).  This is a noticeable win if you have a few
	  IMAP mailboxes.

	* sets the default checkinterval to 60 seconds from 0. Things
	  are much much slower with 0.

	* makes some cosmetic renames

	* moves lots of generic imap stuff into a separate file,
	imap/util.c

	* abstracts the process of sending a command to an IMAP server
	  a bit better (lots more to do here, though).

	* moves the message-set creation code used by the new fastdelete
	  code into its own function, since it is generally useful.

	* implements server-side copy of messages. Tagged messages
	  are copied in one command, thanks to the message-set
	  function. Speedy!

	(From: Brendan Cully; modifications by tlr.)

1999-09-11 17:04:12  roessler  (roessler)

	* po/pl.po: [stable] new polish translation from Pawel Dienkonski.

	* po/es.po: [stable] New Spanish translation from Boris
	Wesslowski.

	* configure.in: [stable] Hurd portability patch from Marcus
	Brinkmann.

	* configure.in: Hurd portability patch from Marcus Brinkmann.

	* imap/browse.c, imap/imap.c: Fix IMAP fast deletion.
	From Brendan.

	* Muttrc.in: typos fixed by Telsa.

	* doc/manual.sgml.in: Small manual fix for stable.  Noted by
	Telsa <hobbit@aloss.ukuu.org.uk>.

1999-09-08 06:05:54  roessler  (roessler)

	* imap/imap.c, imap/imap.h, imap/imap_private.h, mx.c,
	curs_main.c: The attached patch:

	* gets Mutt to properly log off the IMAP server when
	  quitting. Clients don't care, but it's polite and proper.
	* further updates the flags changes from yesterday * uses CLOSE
	instead of EXPUNGE when closing a mailbox and purging
	  messages, for some slight speed gain.  * purges all messages
	marked for deletion in one command (if purging),
	  making for very cool speed gains switching mailboxes if you're
	  on, say, a few high volume mailing lists. Yeah, baby! (I
	  personally love this one).

	(From Brendan Cully <brendan@kublai.com>)

1999-09-07 17:01:28  roessler  (roessler)

	* Makefile.am: Bail out if the chmod of mutt_dotlock fails.

	* pgpkey.c: Fix a strtok NULL pointer problem.

	* doc/manual.sgml.in: notes on how to produce secure mailcaps.

	* gnupgparse.c, pgpinvoke.c: GPG-related fix from Gero Treuner.

	* imap/BUGS, imap/Makefile.am, imap/TODO, imap/imap.c,
	  imap/imap_private.h, imap/message.c, imap/message.h, mutt.h,
	  muttlib.c, mx.c, status.c, complete.c, flags.c: * redoes the
	  folder update optimisation I did yesterday. It's somewhat
	  cleaner and less invasive, and I'm not so worried about memory
	  leaks now.

	* Fixes the bug where mutt would append a '/' to $folder even
	  if it was only {mailhost}, causing mutt to browse the root
	  directory instead of the home directory.

	* includes a first stab at preserving the D flag on the IMAP
	  server.  Now if you answer no to 'Purge deleted', the server
	  still stores the messages as deleted, but doesn't expunge them
	  on exit.

	  NOTE: this is a first attempt. Play around, but don't mark
	  things as deleted that you'd be sorry to see disappear.

	(From: Brendan Cully <brendan@kublai.com>)

	* doc/manual.sgml.head: Adding notes from README.SECURITY.

1999-09-06 09:16:53  roessler  (roessler)

	* imap/Makefile.am, imap/TODO, imap/imap.c, imap/imap.h,
	imap/imap_private.h, imap/message.c, imap/message.h, mutt.h,
	muttlib.c: * Small imap/Makefile.am tweak for make dist

	* Hold on to mailbox flags, message flags, do update in one pass
	  instead of two, halving traffic on mailbox sync.

	* Update message flags at fetch as well as header download,
	  if the server thinks they've changed. Saves some unneeded
	  updates on sync.

	* Move some structures out of imap_private.h into message.h,
	  since they are local now.

	(From: Brendan Cully <brendan@kublai.com>)

1999-09-05 08:42:23  roessler  (roessler)

	* contrib/Tin.rc: add a sample of tin/lynx-like key bindings.

	* imap/Makefile.am: include message.c with the IMAP library.

	* init.c: [stable] Fixing "unignore *".

	* init.c: Fix "unignore *": We must not add "*" to the unignore
	list.

	* init.h: Documentation nit, from Liviu.

1999-09-04 04:55:58  roessler  (roessler)

	* imap/BUGS, imap/browse.c, imap/imap.c, imap/imap_private.h,
	imap/message.c: Fix some more IMAP problems.  From Brendan Cully.

1999-09-03 21:42:16  roessler  (roessler)

	* contrib/sample.muttrc: fix mailing list addresses.  Noted by
	David Benfell <benfell@greybeard95a.com>.

	* browser.c: - If the name of the folder returned by an IMAP
	  server is empty, Mutt could segfault in the browser window
	  attempting to display it.
	- add_folder in browser.c looks like it got corrupted in
	  some CVS update. A small patch makes things work again for
	  examine_mailboxes.
	(From: Brendan Cully <brendan@kublai.com>)

	* strdup.c, configure.in: strdup for unstable.

	* configure.in: [stable] Some systems may not have strdup.
	Substitute it.

	* strdup.c: branches:  1.1.2; file strdup.c was initially added
	on branch mutt-1-0-stable.

	* strdup.c: [stable] Some systems may not have strdup.
	Substitute it.

	* browser.c: [stable] cosmetic fix from Brendan Cully.

1999-09-02 18:50:46  roessler  (roessler)

	* editmsg.c: Don't copy the Status header to the user's edit
	buffer - we destroy it later when copying the message back.

	* acconfig.h, configure.in, init.c, init.h, main.c:
	[stable] Improved pgp 6.5.1 support.  From Jochen Schmitt
	<Jochen@herr-schmitt.de>.

	* doc/manual.sgml.head, Makefile.am, OPS, compose.c, curs_main.c,
	editmsg.c, mutt.h, protos.h, send.c, sendlib.c: A new edit-message
	feature, giving the raw message in an editor.

	* imap/auth.c: Fix a tiny signedness warning.

	* dotlock.c: Remove a superfluous label.

	* dotlock.c: [stable] remove a superfluous label.

	* po/cs.po: New czech translation.  From Jiri Pavlovsky
	<pavlovsk@ff.cuni.cz>.

	* doc/manual.sgml.in: [stable] It's www.sgmltools.org, not
	www.sgml-tools.org.  Noted by Heiko Schlichting.

1999-09-01 21:41:19  roessler  (roessler)

	* doc/Makefile.in, Makefile.am: A couple of build process
	and portability fixes concerning the automatically generated
	documentation.

	* mutt.h, init.c: [stable] Fix ignore/unignore.  This is a
	back-port from the unstable branch.

	* po/ko.po: New Korean translation.  From Byeong-Chan Kim
	<redhands@linux.sarang.net>.

	* curs_lib.c, edit.c, hdrline.c, sendlib.c: Fix a couple of
	possible compilation warnings.	(Noted by "John C.  Place"
	<placej@ctcdist.com>.)

	* hdrline.c, sendlib.c, curs_lib.c, edit.c: [stable] Fix a couple
	of small warnings.  Noted by "John C. Place" <placej@ctcdist.com>.

	* ChangeLog: check-point commit.

	* mx.c: Don't clear the error line whenever dotlocking a file.

	* mx.h: adding a prototype.

	* curs_main.c, mailbox.h, mx.c: When the user synchronizes a
	mail folder, do a thorough check.

1999-08-31 20:26:33  roessler  (roessler)

	* po/uk.po, po/zh_TW.Big5.po, po/ru.po, po/sk.po, po/ko.po,
	po/nl.po, po/pl.po, po/id.po, po/it.po, po/es.po, po/fr.po,
	VERSION, po/cs.po, po/de.po, po/el.po, reldate.h, Makefile.am,
	ChangeLog: automatic post-release commit for mutt-0.96.6

	* po/zh_TW.Big5.po, po/uk.po, po/sk.po, po/ru.po, po/pl.po,
	po/nl.po, po/ko.po, po/it.po, po/id.po, po/fr.po, po/es.po,
	po/el.po, po/de.po, po/cs.po, VERSION, reldate.h, ChangeLog:
	post-release commit for 1.0pre2.

	* doc/manual.sgml.tail, doc/manual.sgml.head, protos.h, thread.c,
	OPS, curs_main.c, functions.h: Adding a <parent-message>
	function. From Roland Rosenfeld <roland@spinnaker.rhein.de>.

	* curs_lib.c: Fix possible signedness problem with localized
	y/n responses.

	* po/ru.po: New russian translation.  From Michael Sobolev
	<mss@transas.com>.

	* imap.c: [stable] fix IMAP caching.

1999-08-30 16:10:45  roessler  (roessler)

	* configure.in, imap/imap.c, main.c: Properly handle IMAP
	cache files.

	* mh.c: cosmetics.

	* mh.c: [stable] Back-port various fixes from stable.

	* mh.c: Avoid a memory and temporary file leak.

	* mx.c, buffy.c, configure.in, imap.c: [stable] back-port
	of various IMAP-related fixes.	From Brendan Cully
	<brendan@kublai.com>.

1999-08-27 07:41:44  roessler  (roessler)

	* TODO: some notes on generic limiting.

1999-08-26 20:26:56  roessler  (roessler)

	* keymap.c: Change alias menu key bindings to something more
	reasonable.

	* imap/TODO: Adding a TODO list.

	* mh.c: hrmpf.

	* doc/manual.sgml.tail: Fix the sgml-tools url.  Noted by Heiko
	Schlichting.

	* doc/manual.sgml.in: Fix the URL to the sgml-tools package.
	Noted by Heiko Schlichting.

	* mh.c: Fixing a somewhat hypothetical error condition.

	* curs_main.c, keymap.c, pager.c, recvattach.c: IRIX fixes.

	* keymap.c, main.c, pager.c, recvattach.c, curs_main.c, edit.c:
	Various fixes to make mutt compile on IRIX.  Additionally,
	we introduce default bindings for the <enter> key which is
	used by xwsh for "return".  Suggested by Heiko Schlichting
	<heiko@cis.fu-berlin.de>.

1999-08-25 06:33:37  roessler  (roessler)

	* configure.in: We need ranlib even when we don't use IMAP.

	* compose.c: Trivial patch to make attach-message work for
	IMAP folders.

1999-08-24 21:27:20  roessler  (roessler)

	* po/de.po: Updates from Roland Rosenfeld.

	* Makefile.am: Automake clean-up.  From Lars Hecking.

	* po/id.po: Updates.

	* doc/Makefile.in: build muttrc.man before installing it.

	* reldate.h, Makefile.am, VERSION, ChangeLog: automatic
	post-release commit for mutt-0.96.5

	* po/zh_TW.Big5.po, po/uk.po, po/sk.po, po/ru.po, po/pl.po,
	po/nl.po, po/ko.po, po/it.po, po/id.po, po/fr.po, po/es.po,
	po/el.po, po/de.po, po/cs.po, NEWS, VERSION, reldate.h, ChangeLog:
	release-commit 1.0pre1.

	* Makefile.am: Still more bugs in the release-building process.

	* Makefile.am: *grrrr*	typos.

	* po/sk.po, po/uk.po, po/zh_TW.Big5.po, po/ru.po, po/nl.po,
	po/pl.po, po/fr.po, po/id.po, po/it.po, po/ko.po, po/cs.po,
	po/de.po, po/el.po, po/es.po, ChangeLog: translation update.

	* Makefile.am: Some of the targets were broken.

	* Makefile.am: Another tidbit.

	* Makefile.am: Still more build-process stuff. Let's see whether
	this automatically builds 0.96.5.

	* doc/manual.sgml, doc/muttrc.man, Muttrc: Remove some auto-built
	files from the repository.

	* Makefile.am: Further distribution process fixes.

	* po/POTFILES.in: Make translations fit together with actual
	source tree.

	* doc/Makefile.in, Muttrc, ChangeLog, Makefile.am: More fixes
	to the distribution-building process; check-point commit for
	documentation and ChangeLog.

	* doc/Makefile.in, doc/manual.sgml, doc/muttrc.man: Various
	experimental changes to automate the distribution-building
	process; documentation update.

	* Makefile.am: Various experimental changes to automate the
	distribution-building process.

1999-08-23 22:12:05  roessler  (roessler)

	* configure.in: Fix charmaps part of the build process.

	* copy.c: Fix an off-by-one error which lead to a segmentation
	fault.

	* charset.c: Don't delete symbol -> character code mappings.
	Character sets may define multiple symbols. :-(

	* imap/auth.c, imap/browse.c, imap/imap.c, imap/imap.h,
	imap/imap_private.h, browser.c, configure.in, Makefile.am,
	acconfig.h: Inclue GSS authentization for IMAP.

	* dotlock.c, mx.c: Remove a couple of NFS-related hacks which
	seem to be unnecessary.

	* main.c: Fix a small typo affecting mutt -v's output.

1999-08-20 08:24:13  roessler  (roessler)

	* po/fr.po: Fixed french translation.

	* imap/Makefile.am, imap/auth.c, imap/browse.c, imap/imap.c,
	imap/imap.h, imap/imap_private.h, imap/imap_socket.h, imap/md5.h,
	imap/md5c.c, imap/socket.c, socket.c, globals.h, imap.c, imap.h,
	init.h, lib.h, mime.h, mutt_socket.h: Brendan Cully's latest
	IMAP clean-up.

	* prepare: branches:  2.8.2; Brendan Cully's latest IMAP clean-up.

	* protos.h, rfc2047.c, sendlib.c, Makefile.am, base64.c,
	configure.in, copy.c: Brendan Cully's latest IMAP clean-up.

	* doc/manual.sgml.in, NEWS, copy.c, init.h, mutt.h, sendlib.c:
	Back-port $bounce_delivered from unstable.

	* po/fr.po: [stable] Small fixes.

1999-08-19 10:04:28  roessler  (roessler)

	* sendlib.c: [stable] Fix a back-porting bug.

	* configure.in: [stable] Albert Chin-A-Young
	<china@thewrittenword.com> suggests a different check for -lnsl
	and -lsocket.

	* configure.in: Albert Chin-A-Young suggests a slightly different
	check for libsocket and libnsl.

	* doc/manual.sgml.in: [stable] fix the urlview url.

	* doc/manual.sgml.head: fix the urlview url.

	* main.c: copyright message cosmetics.

	* Makefile.am, configure.in, prepare: Remove the $output.in hack,
	and create a fake charmaps directory instead.

	* acconfig.h, configure.in: [stable] check signal.h for
	sig_atomic_t.  This should help to build this version of mutt
	on systems such as SunOS 4.1.

	* sendlib.c: [stable] Force quotes around the boundary parameter's
	value.

	* sendlib.c: Force quotes around the boundary parameter.
	Another courtesy towards Outlook.

	* pgp.c: [stable] Make sure the boundary MIME parameter is the
	last one on multipart/signed.  Otherwise, Outlook will fail.
	Pointed out by Ian Bell, Turnpike.

	* muttlib.c, pgp.c: Ian Bell (turnpike) reports that Outlook
	Express expects the boundary parameter to be the _last_ MIME
	parameter on a multipart/* body part, and otherwise displays
	messages as empty.

1999-08-18 06:54:13  roessler  (roessler)

	* doc/muttrc.man, doc/muttrc.man.head, doc/manual.sgml, NEWS:
	documentation fixes.

	* commands.c: Fetch senders' keys also when decrypting a message.
	There may be a signature.

	* main.c: Don't try to create $maildir if it's an IMAP folder.

1999-08-17 20:04:07  roessler  (roessler)

	* reldate.h: :-(

	* reldate.h: *grmbls*

	* po/de.po, ChangeLog, VERSION: post-release commit for 0.96.4.

	* po/de.po, VERSION, ChangeLog: post-release commit for 0.95.7.

	* doc/manual.sgml, doc/muttrc.man, Muttrc: ispell's default path.

	* postpone.c: Fixing a mutt -p segfault.

	* doc/mutt.man, main.c: cosmetics; mention warranties in the
	manual page.

1999-08-15 19:59:09  roessler  (roessler)

	* compose.c: Make attach-message work with IMAP folders.

	* po/cs.po: New CS translation.

	* doc/Makefile.in, doc/manual.sgml, doc/muttrc.man, mutt.h, mx.c,
	pgp.c, pgp.h, pgpinvoke.c, prepare, send.c, Makefile.am, Muttrc,
	NEWS, README.SECURITY, browser.c, browser.h, commands.c, copy.c,
	curs_main.c, globals.h, init.c, init.h, main.c: Various changes
	added over the last week:

	- $delete_untag - creation of "application/pgp" messages -
	an attempt to fix prepare.  - Browser format changes

	* dotlock.h: cosmetics.

	* dotlock.c: [stable] take dotlock.c from unstable.

	* dotlock.c: Commit remaining changes.

	* copy.c, mh.c, mutt.h: Remove ugly mh-synching kludge.

	* dotlock.c, dotlock.h: Really fix $save_empty, even when the
	dotlocking code is compiled into mutt.

	* dotlock.c, dotlock.h: [stable] Fix $save_empty even when the
	dotlocking code is linked into mutt.

1999-08-09 19:03:12  roessler  (roessler)

	* ChangeLog, ChangeLog: check-point commit.

	* po/sk.po, po/uk.po, po/zh_TW.Big5.po, po/ko.po, po/nl.po,
	po/pl.po, po/ru.po, po/de.po, po/el.po, po/es.po, po/fr.po,
	po/id.po, po/it.po, po/cs.po: update-po.

	* po/zh_TW.Big5.po: [stable] Fixing a small typo in the Chinese
	translation.

	* po/zh_TW.Big5.po, po/uk.po, po/sk.po, po/ru.po, po/pl.po,
	po/nl.po, po/ko.po, po/it.po, po/id.po, po/fr.po, po/el.po,
	po/es.po, po/de.po, po/cs.po: [stable] Adding the new polish
	translation; general "make update-po".

	* Muttrc, doc/muttrc.man, doc/muttrc.man.head, main.c,
	po/zh_TW.Big5.po: Various fixes.  Additionally, mutt will now
	create the $folder directory when started in curses mode and if
	it doesn't exist.

1999-08-08 14:57:13  roessler  (roessler)

	* po/zh_TW.Big5.po: new chinese translation.

	* po/zh_TW.Big5.po: New chinese translation.

	* Makefile.am: Fix order of some dependencies.

	* Makefile.am: Fix keymap_defs.h dependency.

	* po/it.po: Fix a translation string in it.po.

	* po/it.po: Fixing a message.  From Marco.

	* doc/muttrc.man, init.h: Include complete documentation
	regardless of actual features.

	* doc/manual.sgml.in, doc/manual.sgml.tail, doc/mutt.man,
	doc/mutt.man.in, doc/muttrc.man, doc/muttrc.man.head,
	doc/muttrc.man.tail, contrib/Makefile.in, contrib/gpg.rc,
	doc/Makefile.in, doc/devel-notes.txt, doc/dotlock.man,
	doc/dotlock.man.in, doc/manual.sgml, doc/manual.sgml.head,
	Makefile.am, Muttrc.head, Muttrc.in, NEWS, configure.in, init.h,
	makedoc.c: Documentation updates; autogeneration of documentation
	from init.h.

1999-08-04 19:58:13  roessler  (roessler)

	* NEWS: documentation to prepare the next release.

	* doc/dotlock.man.in, dotlock.c, dotlock.h, mbox.c, mx.c, mx.h:
	[stable] Fix $save_empty.

	* ChangeLog: ChangeLog.

	* NEWS, protos.h, send.c: Various fixes; documentation.

	* doc/dotlock.man.in: Document the -d option.

	* dotlock.h, mbox.c, mx.c, mx.h, dotlock.c: Fix $save_empty.

1999-07-29 09:17:29  roessler  (roessler)

	* doc/manual.sgml.in: Remove references to the old PGP
	configuration interface.  Noted by Hanno Wagner <wagner@fitug.de>.

	* browser.c, complete.c, enter.c, imap.c, imap.h, main.c,
	protos.h: Brendan Cully's latest IMAP patches.

1999-07-28 20:40:49  roessler  (roessler)

	* doc/manual.sgml.in: Fix "lists" documentation.  From Jeremy
	Blosser <jblosser@firinn.org>.

	* doc/manual.sgml.in: Fix the description of the lists command.
	Patch provided by Jeremy Blosser <jblosser@firinn.org>.

	* doc/PGP-Notes.txt, pgp.h, pgpinvoke.c, init.c, init.h, pgp.c:
	PGP 6 support.

	* doc/manual.sgml.in, doc/mutt.man.in, doc/manual.sgml.in,
	doc/mutt.man.in: Documentation fixes from Jeremy Blosser.

	* mh.c: Replarse mh message' headers when updating them.

	* mh.c: Re-parse mh messages when committing them to disk.
	The structure may have changed.

	* rfc822.h, commands.c, init.h, pgp.c, pgp.h, pgpinvoke.c: Add a
	hook which enables us to fetch PGP keys from servers on demand.
	Look out for pkspxy. :-)

	* hdrline.c: Enable the use of %F in conditionals.  From Aaron
	Schrab <aaron+mutt@schrab.com>.

1999-07-26 21:04:53  roessler  (roessler)

	* dotlock.c: impose a hard limit on the number of locking
	attempts.

	* dotlock.c: Impose a hard limit on dotlock attempts.

	* recvattach.c, gnupgparse.c, pgpinvoke.c: Fix an error message.
	Also, close Debian bug #37394 for stable.

	* acconfig.h, configure.in: Check for gpgm.

	* recvattach.c: Make an error message ready for translation.
	From Gero Treuner.

	* Makefile.am: Add missing dependencies for pgpring.  Fix from
	David Ellement <ellement@sdd.hp.com>

	* Makefile.am: Create keymap_defs.h when it isn't present.
	Fix from Lars Hecking <lhecking@nmrc.ucc.ie>.

	* Makefile.am: Generate keymap_defs.h when it isn't present.
	Fix proposed by Lars Hecking <lhecking@nmrc.ucc.ie>.

	* doc/manual.sgml.in, handler.c, init.h, mutt.h, parse.c: Undo
	the content-disposition changes.  They don't merge well with
	operations such as printing, and need some more thought.

